# Copyright (C) 2003-2005 Inversion Software Ltd. <inversion@inversion.ee>
# http://www.conflux.ee/
#
# This file is part of Conflux Lite
#
# Conflux Lite is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# Conflux Lite is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Conflux Lite; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
######################################################################

from mod_python import apache

import standard_html, _InitTypes, _Access, _Conf, _Utils
import Menus, _Resource, MultiForm

MY_MENU_ID = 5

def index(REQUEST):
    if REQUEST.USER.get_id() <> _Conf.SUPERUSER:
        if REQUEST.USER.get_id() <> REQUEST.USER.get_parent(REQUEST).get_top_parent().get('superuser_id'):
            raise RuntimeError, REQUEST.TLS('admin_notsuper')

    BASE_CALENDAR_URL = _Conf.BASE_CALENDAR_URL

    tls_resourceadd = REQUEST.TLS('resource_add')
    tls_save = REQUEST.TLS('tls_save')
    tls_name = REQUEST.TLS('tls_name')
    tls_resources = REQUEST.TLS('tls_resources')
    tls_deletesel = REQUEST.TLS('tls_deletesel')
    doc_rename = REQUEST.TLS('doc_rename')
    BASE_ICON_URL = _Conf.BASE_ICON_URL
    BASE_CALENDAR_URL = _Conf.BASE_CALENDAR_URL

    output = []
    output.append(standard_html.html_header(REQUEST))
    output.append(standard_html.window_script(height=625,width=550))
    output.append(Menus.get_calendar_menu(REQUEST, MY_MENU_ID))
    output.append(u"""\
<BR>
<TABLE border=0 cellpadding=0 cellspacing=0 width=400>
<FORM action="%(BASE_CALENDAR_URL)scalcats.py/edit" method="POST">
 <TR>
  <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD colspan=2 width="100%%">
    <TABLE border=0 width="100%%" cellpadding=0 cellspacing=0>
      <TR>
        <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk1.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
        <TD class="th_listing" align="center" nowrap>&nbsp;&nbsp;<b>%(tls_resources)s</b>&nbsp;&nbsp;</TD>
        <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk2.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
        <TD width="100%%">&nbsp;</TD>
      </TR>
    </TABLE>
  </TD>
 </TR>
""" % (locals()))

    right_param = _Access.select_param(REQUEST.USER.get_id(), _Access.ACCESS_READ, [_InitTypes.ITEM_TYPE_RESOURCE])
    if right_param:
        right_param = u" AND " + right_param
    QUERY = u"""SELECT r.*, i.* FROM resources r, items i WHERE i.item_id=r.resource_id%s""" % right_param
    REQUEST.db.execute(QUERY.encode('UTF8'))
    dbresult = REQUEST.db.dictfetchall()
    index = 0
    for row in dbresult:
        if(index%2 == 0):
          row['td_class']="td_listing1"
        else:
          row['td_class']="td_listing0"
        index = index + 1
        row['BASE_ICON_URL'] = _Conf.BASE_ICON_URL
        row['resource_name'] = _Utils.html_quote(row['resource_name'].decode('UTF8'))
        output.append(u"""  <TR>
    <TD class="%(td_class)s"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=20 border=0 alt=""></TD>
    <TD class="%(td_class)s">%(resource_name)s</TD>
    <TD class="%(td_class)s"><INPUT type="checkbox" name="sel_%(item_id)d"></TD>
  </TR>""" % row)
    if(index%2 == 0):
      td_class="td_listing1"
    else:
      td_class="td_listing0"
    output.append(u"""
  <TR>
    <TD class="%(td_class)s"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=20 border=0 alt=""></TD>
    <TD class="%(td_class)s" colspan="2"><INPUT class="input3" type="submit" value="%(tls_deletesel)s" name="_delete">&nbsp;<INPUT class="input3" type="submit" value="%(doc_rename)s" name="_rename"></TD>
  </TR>
</TABLE>
</FORM>
<BR>""" % locals())

    output.append(u"""\
<BR>
<TABLE border=0 cellpadding=0 cellspacing=0 width=400>
<FORM action="%(BASE_CALENDAR_URL)scalcats.py/add" method="POST">
 <TR>
  <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD colspan=2 width="100%%">
    <TABLE border=0 width="100%%" cellpadding=0 cellspacing=0>
      <TR>
        <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk1.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
        <TD class="th_listing" align=center nowrap>&nbsp;&nbsp;<b>%(tls_resourceadd)s</b>&nbsp;&nbsp;</TD>
        <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk2.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
        <TD width="100%%">&nbsp;</TD>
      </TR>
    </TABLE>
  </TD>
 </TR>
  <TR>
    <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=20 border=0 alt=""></TD>
    <TD class="td_listing1">%(tls_name)s</TD>
    <TD class="td_listing1"><INPUT type="text" class="textfield1" name="resource_name"></TD>
  </TR>
  <TR>
    <TD class="td_listing0"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=20 border=0 alt=""></TD>
    <TD class="td_listing0" colspan="2"><INPUT class="input2" type="submit" value="%(tls_save)s" name="_save"></TD>
  </TR>
</TABLE>
</FORM>
""" % locals())

    output.append(standard_html.html_footer(REQUEST))
    return "\n".join(output)

def add(REQUEST):
    if REQUEST.form.has_key('resource_name') and REQUEST.form['resource_name'].value.decode('UTF8').strip():
        res = _Resource.Resource(REQUEST, _InitTypes.INIT_TYPE_NEW)
        res.set('parent_id', REQUEST.USER.get_parent(REQUEST).get_top_parent().get_id())
        res.set('resource_name', REQUEST.form['resource_name'].value.decode('UTF8').strip())
        res.save()
    else:
        raise RuntimeError, REQUEST.TLS('required_parameters_missing')

    REQUEST.mod_req.headers_out["Location"] = "%scalcats.py" % _Conf.BASE_CALENDAR_URL
    return apache.HTTP_MOVED_TEMPORARILY


def edit(REQUEST):
    del_ids = []
    for key in REQUEST.form.keys():
        if key[:4] == 'sel_':
            del_ids.append(int(key[4:]))

    if REQUEST.form.has_key('_delete'):
        for del_id in del_ids:
            obj = _Resource.Resource(REQUEST, _InitTypes.INIT_TYPE_ID, del_id)
            obj.delete()
    elif REQUEST.form.has_key('_rename'):
        BASE_CALENDAR_URL = _Conf.BASE_CALENDAR_URL
        REQ_FIELD = _Conf.REQ_FIELD
        tls_name = REQUEST.TLS('tls_name')
        tls_save = REQUEST.TLS('tls_save')
        tls_rename = REQUEST.TLS('doc_rename')
        BASE_ICON_URL = _Conf.BASE_ICON_URL
        output = []
        output.append(standard_html.html_header(REQUEST))
        output.append(Menus.get_calendar_menu(REQUEST, MY_MENU_ID))
        output.append(u"""
<BR>
<TABLE border=0 width="100%%" cellpadding=0 cellspacing=0>
<FORM name="addform" method="POST" action="%(BASE_CALENDAR_URL)scalcats.py/edit">
 <TR>
  <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD colspan=2 width="100%%">
    <TABLE border=0 width="100%%" cellpadding=0 cellspacing=0>
      <TR>
        <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk1.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
        <TD class="th_listing" align=center nowrap>&nbsp;&nbsp;<b>%(tls_rename)s</b>&nbsp;&nbsp;</TD>
        <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk2.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
        <TD width="100%%">&nbsp;</TD>
      </TR>
    </TABLE>
  </TD>
 </TR>""" % locals())
        ndx = 0
        for del_id in del_ids:
            obj = _Resource.Resource(REQUEST, _InitTypes.INIT_TYPE_ID, del_id)
            obj_name = obj.get_name()
            output.append(u"""<INPUT type="hidden" name="form_%(ndx)d_resourceid" value="%(del_id)d">
  <TR class="tr_listing1">
    <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
    <TD class="td_listing1" nowrap>%(tls_name)s%(REQ_FIELD)s</TD>
    <TD class="td_listing1"><INPUT type="text" size=30 class="textfield1" value="%(obj_name)s" name="form_%(ndx)d_resname"></TD>
  </TR>""" % locals())
            ndx += 1
        output.append(u"""  <TR class="tr_listing0">
    <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
    <TD class="td_listing0" colspan="2"><INPUT type="submit" name="_saverename" value="%(tls_save)s" class="input2"></TD>
  </TR>
</TABLE>
</FORM>""" % locals())
        output.append(standard_html.html_footer(REQUEST))
        return "\n".join(output)

    elif REQUEST.form.has_key('_saverename'):
        form = MultiForm.MultiForm(REQUEST)
        for row in form.get_rows():
            obj = _Resource.Resource(REQUEST, _InitTypes.INIT_TYPE_ID, int(row['resourceid']))
            obj.set('resource_name', row['resname'])
            obj.save()

    REQUEST.mod_req.headers_out["Location"] = "%scalcats.py" % _Conf.BASE_CALENDAR_URL
    return apache.HTTP_MOVED_TEMPORARILY

