# Copyright (C) 2003-2005 Inversion Software Ltd. <inversion@inversion.ee>
# http://www.conflux.ee/
#
# This file is part of Conflux Lite
#
# Conflux Lite is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# Conflux Lite is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Conflux Lite; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
######################################################################

from mod_python import apache
import standard_html
import urllib
import _InitTypes, _Conf, _Utils, Menus, _Access
import _Contact, _RootObject, relations
import cPickle, base64

MY_MENU_ID = 3

def index(REQUEST):
    output = []
    output.append(standard_html.html_header(REQUEST, '<link rel="stylesheet" type="text/css" media="all" href="%sjscalendar/calendar-blue.css" />' % _Conf.BASE_WEB_URL))
    output.append(Menus.get_contact_menu(REQUEST, MY_MENU_ID))
    if REQUEST.form.has_key('returl') and REQUEST.form['returl'].value:
      returl = REQUEST.form['returl'].value
    else:
      returl = ""
    if REQUEST.form.has_key('rel_id') and REQUEST.form['rel_id'].value:
      rel_id = REQUEST.form['rel_id'].value
    else:
      rel_id = ""
    BASE_CONTACT_URL = _Conf.BASE_CONTACT_URL
    BASE_GENERAL_URL = _Conf.BASE_GENERAL_URL
    REQ_FIELD = _Conf.REQ_FIELD
    tls_missing_input = REQUEST.TLS('tls_missing_input')
    tls_first_name = REQUEST.TLS('tls_first_name')
    tls_last_name = REQUEST.TLS('tls_last_name')
    tls_middle_names = REQUEST.TLS('tls_middle_names')
    tls_company = REQUEST.TLS('contact_company')
    tls_department = REQUEST.TLS('contact_department')
    tls_job = REQUEST.TLS('contact_job')
    tls_phone_work = REQUEST.TLS('tls_phone_work')
    tls_phone_cell = REQUEST.TLS('tls_phone_cell')
    tls_phone_home = REQUEST.TLS('tls_phone_home')
    tls_phone_fax = REQUEST.TLS('tls_phone_fax')
    tls_email = REQUEST.TLS('tls_email')
    tls_email2 = REQUEST.TLS('tls_email') + " #2"
    tls_email3 = REQUEST.TLS('tls_email') + " #3"

    tls_category = REQUEST.TLS('tls_category')
    tls_dateofbirth = REQUEST.TLS('contact_dateofbirth')
    tls_sex = REQUEST.TLS('contact_sex')
    tls_private = REQUEST.TLS('tls_private')
    tls_address = REQUEST.TLS('contact_address')
    tls_description = REQUEST.TLS('tls_description')
    tls_save = REQUEST.TLS('tls_save')
    tls_description = REQUEST.TLS('tls_description')
    tls_addcontact = REQUEST.TLS('contact_addcontact')
    tls_homepage = REQUEST.TLS('contact_homepage')
    tls_sex = REQUEST.TLS('contact_sex')
    tls_male = REQUEST.TLS('contact_male')
    tls_female = REQUEST.TLS('contact_female')
    tls_invdateformat = REQUEST.TLS('tls_invdateformat')
    BASE_ICON_URL = _Conf.BASE_ICON_URL
    BASE_WEB_URL = _Conf.BASE_WEB_URL
    dformat = _Utils.dateformat2jscalformat(REQUEST)
    lformat = _Utils.lang2jscalformat(REQUEST)
    output.append(u"""<script type="text/javascript" src="%(BASE_WEB_URL)sjscalendar/calendar.js"></script><script type="text/javascript" src="%(BASE_WEB_URL)sjscalendar/lang/calendar-%(lformat)s.js"></script><script type="text/javascript" src="%(BASE_WEB_URL)sjscalendar/cal_setup.js"></script>""" % locals())
    
    person_mail = u''
    person_mail2 = u''
    person_mail3 = u''
    if REQUEST.form.has_key('e_mail'):
        right_param = _Access.select_param(REQUEST.USER.get_id(), _Access.ACCESS_READ, [_InitTypes.ITEM_TYPE_CONTACT])
        if right_param:
            right_param = " AND " + right_param
        person_mail = urllib.unquote(REQUEST.form['e_mail'].value).decode('UTF8')
        QUERY = u"""SELECT c.contact_id FROM contacts c, items i WHERE i.item_id=c.contact_id AND c.e_mail=%s%s ORDER BY contact_id""" % (_Utils.sql_quote(person_mail), right_param)
        REQUEST.db.execute(QUERY.encode('UTF8'))
        dbresult = REQUEST.db.dictfetchone()
        if dbresult:
            REQUEST.mod_req.headers_out["Location"] = "%scontactedit.py?contact_id=%s" % (_Conf.BASE_CONTACT_URL, dbresult['contact_id'])
            return apache.HTTP_MOVED_TEMPORARILY
    else:
        person_mail = u''
    if REQUEST.form.has_key('name'):
        person_name = urllib.unquote(REQUEST.form['name'].value).decode('UTF8')
        if person_name.count(' ') == 1:
            person_first, person_last = person_name.split(' ')
            person_middle = u''
        elif person_name.count(' ') == 2:
            person_first, person_middle, person_last = person_name.split(' ')
        else:
            person_first = person_name
            person_middle = person_last = u''
    else:
        person_first = person_middle = person_last = u''

    datecheck_js = REQUEST.datecheck_js(REQUEST)
    contact_category = _Utils.make_setting_selection(REQUEST, None, 'contact_category', 'contact_categories', is_multiple=1)

    contact_sex = """<SELECT name="contact_sex"><OPTION value="0">&nbsp;</OPTION><OPTION value="1">%(tls_male)s</OPTION><OPTION value="2">%(tls_female)s</OPTION></SELECT>"""%locals()
    output.append("""\
<SCRIPT type="text/JavaScript">
<!--
function cal_popup(url, fieldname)
{
    window.date_result = document.addform[fieldname];
    window.open(url,'popupcal','width=170,height=150,scrollbars=no');
}
  function check_values()
  {
    if (!document.addform.first_name.value || !document.addform.last_name.value)
    {
      alert("%(tls_missing_input)s");
      return false;
    }
    return true;
  }
%(datecheck_js)s
// -->
</SCRIPT>
<BR>
<TABLE border=0 width="100%%" cellpadding=0 cellspacing=0>
<FORM name="addform" method="POST" action="%(BASE_CONTACT_URL)scontactadd.py/add" onsubmit="return check_values();">
<INPUT type="hidden" name="returl" value="%(returl)s">
<INPUT type="hidden" name="rel_id" value="%(rel_id)s">
  <TR class="tr_listing0">
    <TD colspan=6>
      <TABLE border=0 width="100%%" cellpadding=0 cellspacing=0>
        <TR>
          <TD class="td_listing0"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk1.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
          <TD nowrap class="th_listing">&nbsp;&nbsp;<b>%(tls_addcontact)s</b>&nbsp;&nbsp;</TD>
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk2.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
          <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=1 border=0 alt=""></TD>
        </TR>
      </TABLE>
  </TR>
  <TR class="tr_listing1">
    <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
    <TD class="td_listing1" nowrap>%(tls_first_name)s%(REQ_FIELD)s</TD>
    <TD class="td_listing1"><INPUT type="text" class="textfield4" name="first_name" value="%(person_first)s"></TD>
    <TD class="td_listing1">%(tls_company)s</TD>
    <TD class="td_listing1"><INPUT type="text" class="textfield4" name="company"></TD>
    <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=1 border=0 alt=""></TD>
  </TR>
  <TR class="tr_listing0">
    <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
    <TD class="td_listing0" nowrap>%(tls_middle_names)s</TD>
    <TD class="td_listing0"><INPUT type="text" class="textfield4" name="middle_name" value="%(person_middle)s"></TD>
    <TD class="td_listing0">%(tls_department)s</TD>
    <TD class="td_listing0"><INPUT type="text" class="textfield4" name="department"></TD>
    <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=1 border=0 alt=""></TD>
  </TR>
  <TR class="tr_listing1">
    <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
    <TD class="td_listing1" nowrap>%(tls_last_name)s%(REQ_FIELD)s</TD>
    <TD class="td_listing1"><INPUT type="text" class="textfield4" name="last_name" value="%(person_last)s"></TD>
    <TD class="td_listing1" nowrap>%(tls_job)s</TD>
    <TD class="td_listing1"><INPUT type="text" class="textfield4" name="jobtitle"></TD>
    <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=1 border=0 alt=""></TD>
  </TR>
  <TR class="tr_listing0">
    <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
    <TD class="td_listing0" nowrap>%(tls_phone_work)s</TD>
    <TD class="td_listing0"><INPUT type="text" class="textfield4" name="phone_work"></TD>
    <TD class="td_listing0" nowrap>%(tls_email)s</TD>
    <TD class="td_listing0"><INPUT type="text" class="textfield4" name="e_mail" value="%(person_mail)s"></TD>
    <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=1 border=0 alt=""></TD>
  </TR>
  <TR class="tr_listing1">
    <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
    <TD class="td_listing1">%(tls_phone_fax)s</TD>
    <TD class="td_listing1"><INPUT type="text" class="textfield4" name="phone_fax"></TD>
    <TD class="td_listing1" nowrap>%(tls_email2)s</TD>
    <TD class="td_listing1"><INPUT type="text" class="textfield4" name="e_mail2" value="%(person_mail2)s"></TD>
    <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=1 border=0 alt=""></TD>
  </TR>
  <TR class="tr_listing0">
    <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
    <TD class="td_listing0" nowrap>%(tls_phone_cell)s</TD>
    <TD class="td_listing0"><INPUT type="text" class="textfield4" name="phone_cell"></TD>
    <TD class="td_listing0" nowrap>%(tls_email3)s</TD>
    <TD class="td_listing0"><INPUT type="text" class="textfield4" name="e_mail3" value="%(person_mail3)s"></TD>
    <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=1 border=0 alt=""></TD>
  </TR>
  <TR class="tr_listing1">
    <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
    <TD class="td_listing1" nowrap>%(tls_phone_home)s</TD>
    <TD class="td_listing1"><INPUT type="text" class="textfield4" name="phone_home"></TD>
    <TD class="td_listing1" nowrap>%(tls_homepage)s</TD>
    <TD class="td_listing1"><INPUT type="text" class="textfield4" name="homepage"></TD>
    <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=1 border=0 alt=""></TD>
  </TR>
  <TR class="tr_listing0" valign="top">
    <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
    <TD class="td_listing0" colspan="2">%(tls_address)s<BR><TEXTAREA class="textarea5" name="mailing_address" rows="8" cols="40"></TEXTAREA></TD>
    <TD class="td_listing0" colspan="2">%(tls_description)s<BR><TEXTAREA class="textarea5" name="description" rows="8" cols="40"></TEXTAREA></TD>
    <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=1 border=0 alt=""></TD>
  </TR>
  <TR class="tr_listing1">
    <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
    <TD colspan=2>
      <TABLE border=0 width="100%%" cellpadding=0 cellspacing=0>
        <TR>
          <TD class="td_listing1" nowrap>%(tls_dateofbirth)s</TD>
          <TD class="td_listing1"><INPUT type="text" size="10" class="textfield1" name="birth_date" id="birth_date" onblur="if (datecheck_js(this.value) != true) { if (!datecheck_js(this.value)) { alert('%(tls_invdateformat)s'); } this.value=datecheck_js(this.value); }"> <A href="javascript:void(0);" OnClick="return showCalendar('birth_date', '%(dformat)s');"><img src="%(BASE_ICON_URL)scale.gif" width="16" height="15" border=0 alt=""></A></TD>
        </TR>
        <TR>
          <TD class="td_listing1" nowrap>%(tls_sex)s</TD>
          <TD class="td_listing1">%(contact_sex)s</TD>
        </TR>
        <TR>
          <TD class="td_listing1" nowrap>%(tls_private)s</TD>
          <TD class="td_listing1" colspan=2><INPUT type="checkbox" name="contact_is_private"></TD>
        </TR>
      </TABLE>
    <TD class="td_listing1">%(tls_category)s</TD>
    <TD class="td_listing1">%(contact_category)s</TD>
    <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=1 border=0 alt=""></TD>
  </TR>
  <TR class="tr_listing0">
    <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
    <TD class="td_listing0" colspan="4"><INPUT type="submit" name="_save" value="%(tls_save)s" class="input2"></TD>
    <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=1 border=0 alt=""></TD>
  </TR>
</TABLE>
</FORM>"""%locals())
    output.append(standard_html.html_footer(REQUEST))
    return "\n".join(output)

def add(REQUEST):
    output = []
    output.append(standard_html.html_header(REQUEST))
    output.append(Menus.get_contact_menu(REQUEST, MY_MENU_ID))
    if REQUEST.form.has_key('first_name') and REQUEST.form.has_key('last_name') and \
       REQUEST.form['first_name'].value.decode('UTF8').strip() and REQUEST.form['last_name'].value.decode('UTF8').strip():
        contact = _Contact.Contact(REQUEST, _InitTypes.INIT_TYPE_REQ)
        if REQUEST.form.has_key('contact_category') and isinstance(REQUEST.form['contact_category'], list) and REQUEST.form['contact_category']:
            contact.set('contact_category', u"|%s|" % "|".join(map(lambda x:x.decode('UTF8'), REQUEST.form['contact_category'])))
        elif REQUEST.form.has_key('contact_category') and not isinstance(REQUEST.form['contact_category'], list) and REQUEST.form['contact_category'].value.decode('UTF8'):
            contact.set('contact_category', u"|%s|" % REQUEST.form['contact_category'].value.decode('UTF8'))
        else:
            contact.set('contact_category', u"")
        if REQUEST.form.has_key('contact_is_private'):
            contact.set('is_private', 1)
            contact.set('parent_id', REQUEST.USER.get_id())
        else:
            contact.set('parent_id', REQUEST.USER.get_parent_id(REQUEST))
            contact.set('is_private', 0)
        if REQUEST.form.has_key('birth_date') and REQUEST.form['birth_date'].value.decode('UTF8').strip():
            contact.set('birth_date', REQUEST.user2isodate(REQUEST, REQUEST.form['birth_date'].value.decode('UTF8').strip()))
        else:
            contact.set('birth_date', None)
        contact.save()
        if REQUEST.form.has_key('rel_id') and REQUEST.form['rel_id'].value:
          rel_id = int(REQUEST.form['rel_id'].value)
          relations.add_relation(REQUEST, rel_id, contact.get_id())
        output.append(REQUEST.TLS('contact_saved'))
        if REQUEST.form.has_key('returl') and REQUEST.form['returl'].value.strip():
            ref_url = urllib.unquote(REQUEST.form['returl'].value.strip())
            output.append(standard_html.standard_redirect(REQUEST, ref_url, 1))
        else:
            ref_url = REQUEST.SERVER_URL+_Conf.BASE_CONTACT_URL+"contactedit.py?contact_id="+str(contact.get_id())
            output.append(standard_html.standard_redirect(REQUEST, ref_url, 1))
    else:
        raise RuntimeError, REQUEST.TLS('required_parameters_missing')
    output.append(standard_html.html_footer(REQUEST))
    return "\n".join(output)

def quickadd(REQUEST):
    fn = ""
    mn = ""
    ln = ""
    em = ""
    name = ""
    if REQUEST.form.has_key('name'):
        name = urllib.unquote(REQUEST.form['name'].value.strip())
    if REQUEST.form.has_key('email'):
        em = urllib.unquote(REQUEST.form['email'].value.strip())
    if name:
        name = name.split(" ")
        if len(name)>2:
            fn = name[0].decode('UTF8').strip()
            ln = name[len(name)-1].decode('UTF8').strip()
            del name[len(name)-1]
            del name[0]
            mn = " ".join(name).decode('UTF8').strip()
        elif len(name)==2:
            fn = name[0].decode('UTF8').strip()
            ln = name[1].decode('UTF8').strip()
    if fn and ln and em:
        right_param = _Access.select_param(REQUEST.USER.get_id(), _Access.ACCESS_READ, [_InitTypes.ITEM_TYPE_CONTACT])
        if right_param:
            right_param = " AND " + right_param
        SQL = """SELECT contact_id from contacts c, items i where i.item_id=c.contact_id and lower(c.first_name)='%s' and lower(c.last_name)='%s' %s""" % (fn.lower(), ln.lower(), right_param)
        REQUEST.db.execute(SQL.encode('UTF8'))
        res = REQUEST.db.fetchall()
        if not res:
            contact = _Contact.Contact(REQUEST, _InitTypes.INIT_TYPE_REQ)
            contact.set('first_name', fn)
            contact.set('middle_name', mn)
            contact.set('last_name', ln)
            contact.set('e_mail', em)
            contact.set('parent_id', REQUEST.USER.get_parent_id(REQUEST))
            contact.save()
        elif res and len(res)==1:
            row = res[0]
            contact = _Contact.Contact(REQUEST, _InitTypes.INIT_TYPE_ID, row[0])
            em1 = contact.get('e_mail')
            em2 = contact.get('e_mail2')
            em3 = contact.get('e_mail3')
            if em<>em1 and em<>em2 and em<>em3:
                if not contact.get('e_mail') or contact.get('e_mail')=="":
                    contact.set('e_mail', em)
                    contact.save()
                elif not contact.get('e_mail2') or contact.get('e_mail2')=="":
                    contact.set('e_mail2', em)
                    contact.save()
                elif not contact.get('e_mail3') or contact.get('e_mail3')=="":
                    contact.set('e_mail3', em)
                    contact.save()
    return " "

def quickadd2(REQUEST):
    if not REQUEST.form.has_key('content') or not REQUEST.form['content'].value.strip():
        raise RuntimeError, REQUEST.TLS('required_parameters_missing')
    data = cPickle.loads(base64.decodestring(REQUEST.form['content'].value))
    SQL = """SELECT p.person_id from persons p, items i where p.person_id=i.item_id and i.creator_id=%d and lower(p.first_name)='%s' and lower(p.last_name)='%s'""" % (REQUEST.USER.get_id(), data['first_name'].lower(), data['last_name'].lower())
    REQUEST.db.execute(SQL.encode('UTF8'))
    res = REQUEST.db.fetchone()
    if not res:
        contact = _Contact.Contact(REQUEST, _InitTypes.INIT_TYPE_NEW)
        contact.set('parent_id', REQUEST.USER.get_parent_id(REQUEST))
        contact.set('first_name', data.get('first_name'))
        contact.set('last_name', data.get('last_name'))
        contact.set('company', data.get('company'))
        contact.set('department', data.get('department'))
        contact.set('jobtitle', data.get('jobtitle'))
        contact.set('phone_work', data.get('phone_work'))
        contact.set('phone_home', data.get('phone_home'))
        contact.set('phone_cell', data.get('phone_cell'))
        contact.set('phone_fax', data.get('phone_fax'))
        contact.set('e_mail', data.get('e_mail'))
        contact.set('mailing_address', data.get('mailing_address'))
        contact.set('homepage', data.get('homepage'))
        contact.save()
    return " "
