# Copyright (C) 2003-2005 Inversion Software Ltd. <inversion@inversion.ee>
# http://www.conflux.ee/
#
# This file is part of Conflux Lite
#
# Conflux Lite is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# Conflux Lite is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Conflux Lite; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
######################################################################

from mod_python import apache
from cStringIO import StringIO
import email, base64
import email.Utils
import mx.DateTime

import _Conf, _Utils, _mail, _Efolder, _Email, _InitTypes, _Eaccount, _Access
from Menus import get_email_menu
import standard_html
from _mail import sync

def index(REQUEST):
    ns = {}
    ns['BASE_WEB_URL'] = _Conf.BASE_WEB_URL
    ns['app_name'] = _Conf.APP_NAME
    ns['BASE_EMAIL_URL'] = _Conf.BASE_EMAIL_URL
    return """\
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
<HEAD>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <TITLE>%(app_name)s</TITLE>
    <LINK rel="stylesheet" href="%(BASE_WEB_URL)slothelle.css">
</HEAD>
<BODY>
<iframe width="1" height="1" FRAMEBORDER="0" src="%(BASE_EMAIL_URL)sautocheck.py/iframe"></iframe>
</BODY>
</HTML>""" % ns



def iframe(REQUEST):
    output = []
    ns = {}
    ns['BASE_WEB_URL'] = _Conf.BASE_WEB_URL
    ns['BASE_EMAIL_URL'] = _Conf.BASE_EMAIL_URL
    ns['BASE_ICON_URL'] = _Conf.BASE_ICON_URL
    ns['BASE_MESSENGER_URL'] = _Conf.BASE_MESSENGER_URL
    ns['host_name'] = REQUEST.mod_req.server.server_hostname
    if REQUEST.is_https:
        ns['protocol'] = "https://"
    else:
        ns['protocol'] = "http://"

    ns['app_name'] = _Conf.APP_NAME
    ref_url = REQUEST.SERVER_URL+_Conf.BASE_EMAIL_URL+"autocheck.py/iframe"
    ns['ref_html'] = standard_html.standard_redirect(REQUEST, ref_url, 300)
    output.append(u"""\
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
  <HEAD>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <TITLE>%(app_name)s</TITLE>
    <LINK rel="stylesheet" href="%(BASE_WEB_URL)slothelle.css">
    %(ref_html)s
  </HEAD>
<!-- <script type="text/javascript" src="%(BASE_WEB_URL)sreq.js"></script> -->
<script type="text/javascript">
var agt = navigator.userAgent.toLowerCase(); var is_ie = (agt.indexOf('msie') != -1); var is_ie5 = (agt.indexOf('msie 5') != -1);
function CreateXmlHttpReq(handler){ var xmlhttp = null; if (is_ie) { var control = (is_ie5) ? "Microsoft.XMLHTTP" : "Msxml2.XMLHTTP"; try { xmlhttp = new ActiveXObject(control); xmlhttp.onreadystatechange = handler; } catch(e) { return true; } } else { xmlhttp = new XMLHttpRequest(); xmlhttp.onload = handler; xmlhttp.onerror = handler; } return xmlhttp;}
function DummyHandler() { return true; }
var uniqnum_counter = (new Date).getTime();
function XmlHttpGET_RES(xmlhttp, url){ try{ xmlhttp.open('GET', url, false); xmlhttp.send(null);a = xmlhttp.responseText;} catch (e){a = " ";} return a;}
function SendRequest_RES(url){ var xmlhttp = CreateXmlHttpReq(DummyHandler); ++uniqnum_counter; resp = XmlHttpGET_RES(xmlhttp, url + "&rand=" + uniqnum_counter); return resp;}
function XmlHttpGET(xmlhttp, url){ try{ xmlhttp.open('GET', url, true); xmlhttp.send(null); } catch (e){;}}
function SendRequest(url){ var xmlhttp = CreateXmlHttpReq(DummyHandler); ++uniqnum_counter; XmlHttpGET(xmlhttp, url + "&rand=" + uniqnum_counter);}
function load_im(url) {    if (window.XMLHttpRequest) {        req = new XMLHttpRequest();        req.onreadystatechange = pReqChange;        req.open("GET", url, true);        req.send(null);    } else if (window.ActiveXObject) {        req = new ActiveXObject("Microsoft.XMLHTTP");        if (req) {            req.onreadystatechange = pReqChange;            req.open("GET", url, true);            req.send();        }    }}
function pReqChange() {    try{    if (req.readyState == 4) {        if (req.status == 200) {            chk_im(req.responseText);        }    } } catch(e){ ; }}
var im_win = ""
var im_win2 = ""
var im_win3 = ""
var xmlhttp = false;
var req;
function check_im()
{
  if(is_ie)
  {
    uid = SendRequest_RES('%(protocol)s%(host_name)s%(BASE_EMAIL_URL)sautocheck.py/get_msg?k=1');
    chk_im(uid);
  }
  else
  {
    load_im('%(protocol)s%(host_name)s%(BASE_EMAIL_URL)sautocheck.py/get_msg?k=1');
  }
  SendRequest("%(protocol)s%(host_name)s%(BASE_EMAIL_URL)sautocheck.py/do_update?k=1");
  setTimeout("check_im()", 5000);
}
function chk_im(uid)
{
  if(uid && uid.substring(0, 3)=="###")
     uid = uid.substring(3, uid.length);
  else
     uid = "";
  if(uid && uid!=" ")
  {
    ok1 = 0;
    if(!ok1)
    {
        try
        {
            if(im_win2 && im_win2.name!="imwindow"+uid && im_win2.open && !im_win2.closed)
            {
                a = cW("imwindow"+uid);
                if(!a)
                {
                  im_win3 = window.open("","imwindow"+uid,"width=410,height=280,toolbar=0,directories=0,menubar=0,status=0,location=0,scrollbars=yes,resizable=no");
                  if(im_win3 && im_win3.location.href && im_win3.location.href=="about:blank")
                  {
                    ok1 = 1;
                    myhref = '%(protocol)s%(host_name)s%(BASE_MESSENGER_URL)smessenger.py?im_to='+uid;
                    im_win3.location.href=myhref;
                  }
                }
            }
        }
        catch(e)
        {
           ok1 =0;
        }
    }
    if(!ok1)
    {
        try
        {
            if(im_win && im_win.name!="imwindow"+uid && im_win.open && !im_win.closed)
            {
                a = cW("imwindow"+uid);
                if(!a)
                {
                  im_win2 = window.open("","imwindow"+uid,"width=410,height=280,toolbar=0,directories=0,menubar=0,status=0,location=0,scrollbars=yes,resizable=no");
                  if(im_win2 && im_win2.location.href && im_win2.location.href=="about:blank")
                  {
                    ok1 = 1;
                    myhref = '%(protocol)s%(host_name)s%(BASE_MESSENGER_URL)smessenger.py?im_to='+uid;
                    im_win2.location.href=myhref;
                  }
                }
            }
        }
        catch(e)
        {
           ok1 =0;
        }
    }
    if(!ok1)
    {
        try
        {
            a = cW("imwindow"+uid);
            if(!a)
            {
              im_win = window.open("","imwindow"+uid,"width=410,height=280,toolbar=0,directories=0,menubar=0,status=0,location=0,scrollbars=yes,resizable=no");
              if(im_win && im_win.location.href && im_win.location.href=="about:blank")
              {
                myhref = '%(protocol)s%(host_name)s%(BASE_MESSENGER_URL)smessenger.py?im_to='+uid;
                im_win.location.href=myhref;
              }
            }
        }
        catch(e)
        {
           ok1 =0;
        }
    }
  }
}
function cW(wname){ try{if(eval("window."+wname+".document"))return true;}catch(e){ ; } return false; }
</script>
""" % ns)
    out = sync(REQUEST, autocheck=1)
    ns['num']=out[1]
    ns['contents']=base64.encodestring(out[0].encode('UTF8'))
    if ns['num']:
        output.append(u"""\
<BODY onload="check_im(); email(); return false;" background="%(BASE_ICON_URL)smenubg.gif">
<form method="post" name="autocheckform" action="%(BASE_EMAIL_URL)sautocheck.py/new" target="popup_window">
<input type="hidden" name="num" value="%(num)d">
<input type="hidden" name="contents" value="%(contents)s">
</form>
<SCRIPT language="javascript" type="text/javascript">
<!--
  function email()
  {
    mywin = window.open("about:blank","popup_window","width=150,height=100,toolbar=0,directories=0,menubar=0,status=0,location=0,scrollbars=yes,resizable=no");
    if(mywin)
      document.forms[0].submit();
  }
// -->
</SCRIPT>
""" % ns)
    else:
        output.append(u"""<BODY onload="check_im();" background="%(BASE_ICON_URL)smenubg.gif">""" % ns)
    output.append(u"""\
</BODY>
</HTML>""" % ns)
    return '\n'.join(output)

def do_update(REQUEST):
    SQL = """UPDATE sessions set update_stamp=now() where session_id=%d""" % REQUEST.session.userdata['session_id']
    REQUEST.db.execute(SQL)
    return " "

def get_msg(REQUEST):
    SQL = """SELECT i.source_id from im i where i.dest_id=%d order by date desc""" % (REQUEST.USER.get_id())
    REQUEST.db.execute(SQL)
    dbres = REQUEST.db.fetchall()
    output = []
    if dbres:
      return "###%s" % dbres[0][0]
    else:
        return " "

def new(REQUEST):
    output = []
    ns = {}
    ns['BASE_WEB_URL'] = _Conf.BASE_WEB_URL
    ns['BASE_EMAIL_URL'] = _Conf.BASE_EMAIL_URL
    if REQUEST.form.has_key('num') and REQUEST.form['num'].value.strip():
      ns['num']=int(REQUEST.form['num'].value)
    else:
      ns['num']=0
    if REQUEST.form.has_key('contents') and REQUEST.form['contents'].value.strip():
      ns['contents']=base64.decodestring(REQUEST.form['contents'].value).decode('UTF8')
    else:
      ns['contents']=u""
    if ns['num'] == 1:
        ns['tls_gotmail'] = REQUEST.TLS('email_syncro_popup1')
    else:
        ns['tls_gotmail'] = REQUEST.TLS('email_syncro_popup') % int(ns['num'])
    ns['app_name'] = _Conf.APP_NAME
    output.append(u"""\
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
  <HEAD>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <TITLE>%(app_name)s</TITLE>
    <LINK rel="stylesheet" href="%(BASE_WEB_URL)slothelle2.css">
  </HEAD>""" % ns)
    output.append(u"""<BODY bgcolor=lightblue onload="pos();">""")
    output.append(u"""\
<SCRIPT language="javascript" type="text/javascript">
<!--
  function pos()
  {
  var swidth = screen.width; 
  var sheight = screen.height; 
  window.moveTo(swidth-152,sheight-159);
  window.focus();
  }
// -->
</SCRIPT>
<TABLE border=0 width="100%%" cellpadding=3 cellspacing=0>
  <TR>
    <TD><IMG src="%(BASE_WEB_URL)sicons/spacer.gif" width=1 height=1 border=0 alt=""></TD>
  <TR>
  <TR>
    <TD class="got_new_mail"><a class="got_new_mail" href="#" onclick="window.opener.top.frames['topcontents'].location.href='%(BASE_EMAIL_URL)sefolder1.py';window.close();">%(tls_gotmail)s</TD>
  </TR>
</TABLE>
%(contents)s""" % ns)
    output.append(standard_html.html_footer(REQUEST))
    return '\n'.join(output)
