# Copyright (C) 2003-2005 Inversion Software Ltd. <inversion@inversion.ee>
# http://www.conflux.ee/
#
# This file is part of Conflux Lite
#
# Conflux Lite is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# Conflux Lite is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Conflux Lite; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
######################################################################

import _Conf, _Utils, _mail, _Efolder, _Email, _InitTypes, _Access, _Indexer
import email.Utils, math
from Menus import get_email_menu
import standard_html

MY_MENU_ID=1


def index(REQUEST):
    output = []
    output.append(standard_html.html_header(REQUEST))
    output.append(get_email_menu(REQUEST, MY_MENU_ID))
    tls_search = REQUEST.TLS('tls_search')
    tls_from = REQUEST.TLS('email_from')
    tls_to = REQUEST.TLS('email_to')
    tls_subject = REQUEST.TLS('tls_subject')
    tls_contents = REQUEST.TLS('tls_contents')
    tls_folders = REQUEST.TLS('tls_folders')
    tls_all = REQUEST.TLS('tls_all')
    tls_attatch = REQUEST.TLS('email_attachment')
    tls_att0 = REQUEST.TLS('email_attach_nocheck')
    tls_att1 = REQUEST.TLS('email_attach_yes')
    tls_att2 = REQUEST.TLS('email_attach_no')
    BASE_EMAIL_URL = _Conf.BASE_EMAIL_URL
    BASE_ICON_URL = _Conf.BASE_ICON_URL
    email_from = ""
    email_to = ""
    email_subject = ""
    if REQUEST.form.has_key('email_from') and REQUEST.form['email_from'].value.strip():
        email_from = REQUEST.form['email_from'].value.decode('UTF8').strip()
    if REQUEST.form.has_key('email_to') and REQUEST.form['email_to'].value.strip():
        email_to = REQUEST.form['email_to'].value.decode('UTF8').strip()
    if REQUEST.form.has_key('email_subject') and REQUEST.form['email_subject'].value.strip():
        email_subject = REQUEST.form['email_subject'].value.decode('UTF8').strip()

    REQUEST.db.execute("""SELECT e.efolder_id, e.efolder_name, efolder_flags FROM items i, efolders e WHERE e.efolder_id=i.item_id AND i.parent_id=%d ORDER BY efolder_id ASC""" % REQUEST.USER.get_id())
    result = REQUEST.db.dictfetchall()
    select = [u"""<SELECT name="efolder_id">"""]
    select.append(u"""<OPTION value="0">%s""" % tls_all)
    if not result:
        raise RuntimeError, REQUEST.TLS('emails_nofolders')
    for item in result:
        if item['efolder_id']:
            sel = ""
            if item.get('efolder_flags') & _Efolder.EFOLDER_DRAFTS:
                item['efolder_name'] = REQUEST.TLS('mail_Drafts')
            elif item.get('efolder_flags') & _Efolder.EFOLDER_SENT:
                item['efolder_name'] = REQUEST.TLS('mail_Sent Items')
            elif item.get('efolder_flags') & _Efolder.EFOLDER_INBOX:
                item['efolder_name'] = REQUEST.TLS('mail_Inbox')
                if not REQUEST.form.has_key('efolder_id'):
                    sel = " SELECTED"
            elif item.get('efolder_flags') & _Efolder.EFOLDER_DELETED:
                item['efolder_name'] = REQUEST.TLS('mail_Deleted Items')
            else: item['efolder_name'] = item['efolder_name'].decode('UTF8')
            if REQUEST.form.has_key('efolder_id') and REQUEST.form['efolder_id'].value and int(REQUEST.form['efolder_id'].value)==item['efolder_id']:
                select.append(u"""<OPTION value="%s" selected>%s""" % (item['efolder_id'], item['efolder_name']))
            else:
                select.append(u"""<OPTION value="%s" %s>%s""" % (item['efolder_id'], sel, item['efolder_name']))
    select.append(u"""</SELECT>""")
    select = "\n".join(select)
    
    att_str = u"""    <SELECT name="attatch">"""
    if REQUEST.form.has_key('attatch') and REQUEST.form['attatch'].value=="0":
        att_str = att_str + u"""<OPTION value="0" selected>%(tls_att0)s</OPTION>""" % locals()
    else:
        att_str = att_str + u"""<OPTION value="0">%(tls_att0)s</OPTION>""" % locals()
    if REQUEST.form.has_key('attatch') and REQUEST.form['attatch'].value=="1":
        att_str = att_str + u"""<OPTION value="1" selected>%(tls_att1)s</OPTION>""" % locals()
    else:
        att_str = att_str + u"""<OPTION value="1">%(tls_att1)s</OPTION>""" % locals()
    if REQUEST.form.has_key('attatch') and REQUEST.form['attatch'].value=="2":
        att_str = att_str + u"""<OPTION value="2" selected>%(tls_att2)s</OPTION>""" % locals()
    else:
        att_str = att_str + u"""<OPTION value="2">%(tls_att2)s</OPTION>""" % locals()
    att_str = att_str + u"""</SELECT>"""

    output.append(u"""\
<BR>
<TABLE border=0 cellpadding=0 cellspacing=0>
<FORM action="%(BASE_EMAIL_URL)sesearch.py" method="POST">
<TR>
  <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD width="100%%" colspan="5">
    <TABLE border=0 width="100%%" cellpadding=0 cellspacing=0>
      <TR>
        <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk1.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
        <TD nowrap class="th_listing" nowrap>&nbsp;&nbsp;&nbsp;<b>%(tls_search)s</b>&nbsp;&nbsp;&nbsp;</TD>
        <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk2.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
        <TD width="100%%">&nbsp;</TD>
      </TR>
    </TABLE>
  </TD>
</TR>
 <TR class="tr_listing1">
  <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing1" nowrap>%(tls_from)s</TD>
  <TD class="td_listing1"><INPUT size=20 class="textfield1" type="text" name="email_from" value="%(email_from)s"></TD>
  <TD class="td_listing1" nowrap>%(tls_to)s</TD>
  <TD class="td_listing1"><INPUT size=20 class="textfield1" type="text" name="email_to" value="%(email_to)s"></TD>
  <TD class="td_listing1" width="100%%">&nbsp;</TD>
 </TR>
 <TR class="tr_listing0">
  <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing0" nowrap>%(tls_subject)s</TD>
  <TD class="td_listing0"><INPUT size=20 class="textfield1" type="text" name="email_subject" value="%(email_subject)s"></TD>
  <TD class="td_listing0" colspan="2">&nbsp;</TD>
  <TD class="td_listing0" width="100%%">&nbsp;</TD>
 </TR>
 <TR class="tr_listing1">
  <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing1" nowrap>%(tls_folders)s</TD>
  <TD class="td_listing1">%(select)s</TD>
  <TD class="td_listing1" nowrap>%(tls_attatch)s</TD>
  <TD class="td_listing1">%(att_str)s</TD>
  <TD class="td_listing1" width="100%%"><INPUT name='search' type="submit" value="%(tls_search)s" class="input2"></TD>
 </TR>
</TABLE>
</FORM>
""" % locals())



    if REQUEST.form.has_key('search'):
        # Translation stuff
        tls_folders = REQUEST.TLS('tls_folders')
        tls_active = REQUEST.TLS('tls_active')
        tls_from = REQUEST.TLS('email_from')
        tls_to = REQUEST.TLS('email_to')
        tls_subject = REQUEST.TLS('tls_subject')
        tls_size = REQUEST.TLS('size')
        tls_date = REQUEST.TLS('tls_date')
        tls_createnew = REQUEST.TLS('email_createnew')
        tls_deletefolder = REQUEST.TLS('email_deletefolder')
        tls_short_newmail = REQUEST.TLS('email_short_newmail')
        email_confirm_del = REQUEST.TLS('email_confirm_del')
        BASE_ICON_URL = _Conf.BASE_ICON_URL
        tls_folder = REQUEST.TLS('log_folder_id')
        tls_delete = REQUEST.TLS('tls_delete')
        email_moveselto = REQUEST.TLS('email_moveselto')
        tls_mark_read = REQUEST.TLS('email_mark_read')
        tls_mark_unread = REQUEST.TLS('email_mark_unread')
        tls_high_priority = REQUEST.TLS('email_high_priority')
        tls_normal_priority = REQUEST.TLS('email_normal_priority')
        tls_short_attach = REQUEST.TLS('email_short_attach')

        sortby = [
    'email_from ASC, email_date DESC', 'email_from DESC, email_date DESC',
    'email_subject ASC, email_date DESC', 'email_subject DESC, email_date DESC',
    'email_date ASC, email_id ASC', 'email_date DESC, email_id ASC',
    'email_size ASC, email_id ASC', 'email_size DESC, email_id ASC',
    '(case when (email_flags & %d)<>0 then 1 else 0 end), email_date DESC' % _Email.EMAIL_READ, '(case when (email_flags & %d)=0 then 1 else 0 end), email_date DESC' % _Email.EMAIL_READ,
    '(case when (email_flags & %d)=0 then 1 else 0 end), email_date DESC' % _Email.EMAIL_ATTACH, '(case when (email_flags & %d)<>0 then 1 else 0 end), email_date DESC' % _Email.EMAIL_ATTACH]

        if REQUEST.form.has_key('efolder_id') and int(REQUEST.form['efolder_id'].value):
            active_folder = _Efolder.Efolder(REQUEST, _InitTypes.INIT_TYPE_ID, int(REQUEST.form['efolder_id'].value))
            if (active_folder.get('efolder_flags') & _Efolder.EFOLDER_DRAFTS) or (active_folder.get('efolder_flags') & _Efolder.EFOLDER_SENT):
                from_or_to = "To"
                tls_from = tls_to
                sortby = [
    'email_to ASC, email_id ASC', 'email_to DESC, email_id ASC',
    'email_subject ASC, email_id ASC', 'email_subject DESC, email_id ASC',
    'email_date ASC, email_id ASC', 'email_date DESC, email_id ASC',
    'email_size ASC, email_id ASC', 'email_size DESC, email_id ASC',
    '(case when (email_flags & %d)<>0 then 1 else 0 end), email_date DESC' % _Email.EMAIL_READ, '(case when (email_flags & %d)=0 then 1 else 0 end), email_date DESC' % _Email.EMAIL_READ,
    '(case when (email_flags & %d)=0 then 1 else 0 end), email_date DESC' % _Email.EMAIL_ATTACH, '(case when (email_flags & %d)<>0 then 1 else 0 end), email_date DESC' % _Email.EMAIL_ATTACH]
            else:
                from_or_to = "From"
                sortby = [
    'email_from ASC, email_date DESC', 'email_from DESC, email_date DESC',
    'email_subject ASC, email_date DESC', 'email_subject DESC, email_date DESC',
    'email_date ASC, email_id ASC', 'email_date DESC, email_id ASC',
    'email_size ASC, email_id ASC', 'email_size DESC, email_id ASC',
    '(case when (email_flags & %d)<>0 then 1 else 0 end), email_date DESC' % _Email.EMAIL_READ, '(case when (email_flags & %d)=0 then 1 else 0 end), email_date DESC' % _Email.EMAIL_READ,
    '(case when (email_flags & %d)=0 then 1 else 0 end), email_date DESC' % _Email.EMAIL_ATTACH, '(case when (email_flags & %d)<>0 then 1 else 0 end), email_date DESC' % _Email.EMAIL_ATTACH]
        else:
            active_folder = 0

        DEFAULT_SORTBY = 5
        sortby_id = -1
        if REQUEST.form.has_key('sort_by') and REQUEST.form['sort_by'].value.decode('UTF8').strip():
            sortby_id = int(REQUEST.form['sort_by'].value.decode('UTF8').strip())   
        if sortby_id < 0 or sortby_id >= len(sortby):
            sortby_id  = DEFAULT_SORTBY






        BASE_EMAIL_URL = _Conf.BASE_EMAIL_URL
        if active_folder:
            if active_folder.get('efolder_flags') & _Efolder.EFOLDER_DRAFTS:
                active_folder_name = REQUEST.TLS('mail_Drafts')
            elif active_folder.get('efolder_flags') & _Efolder.EFOLDER_SENT:
                active_folder_name = REQUEST.TLS('mail_Sent Items')
            elif active_folder.get('efolder_flags') & _Efolder.EFOLDER_INBOX:
                active_folder_name = REQUEST.TLS('mail_Inbox')
            elif active_folder.get('efolder_flags') & _Efolder.EFOLDER_DELETED:
                active_folder_name = REQUEST.TLS('mail_Deleted Items')
            else:
                active_folder_name =  active_folder.get_name()
        else:
            active_folder_name = ''

        REQUEST.db.execute("""SELECT  e.*, i.* FROM items i, efolders e WHERE e.efolder_id=i.item_id AND i.parent_id=%d ORDER by efolder_id ASC""" % REQUEST.USER.get_id())
        result = REQUEST.db.dictfetchall()
        for i in range(len(result)):
            temp = result[i]
            if temp.get('efolder_flags') & _Efolder.EFOLDER_DRAFTS:
                result[i]['efolder_name'] = REQUEST.TLS('mail_Drafts').encode('UTF8')
            elif temp.get('efolder_flags') & _Efolder.EFOLDER_SENT:
                result[i]['efolder_name'] = REQUEST.TLS('mail_Sent Items').encode('UTF8')
            elif temp.get('efolder_flags') & _Efolder.EFOLDER_INBOX:
                result[i]['efolder_name'] = REQUEST.TLS('mail_Inbox').encode('UTF8')
            elif temp.get('efolder_flags') & _Efolder.EFOLDER_DELETED:
                result[i]['efolder_name'] = REQUEST.TLS('mail_Deleted Items').encode('UTF8')

        div_height = 123 + ((len(result) - 4)*21)

        output.append(u"""\
    <SCRIPT language="javascript" type="text/javascript">
    <!--
    function show_folders(){ var fld = document.getElementById('folders'); if(fld.style.visibility=='visible') fld.style.visibility='hidden'; else fld.style.visibility='visible'; }
    function markAll(formvar){ for(var x=0;x<formvar.elements.length;x++) { var y=formvar.elements[x]; if(y.name != 'all') y.checked = formvar.all.checked; } CAC(); }
    function CCA(CB){ ie = document.all?1:0; if (CB.checked) hL(CB); else dL(CB); }
    function CAC(){ie = document.all?1:0;for (var i=0;i<document.forms['email'].elements.length;i++){var e = document.forms['email'].elements[i];if ((e.name != 'all') && (e.type=='checkbox')){if (e.checked){hL(e);}else{dL(e);}}}}
    function hL(E){if (ie){while (E.tagName!="TR"){E=E.parentElement;}}else{while (E.tagName!="TR"){E=E.parentNode;}}E.className = "S";}
    function dL(E){if (ie){while (E.tagName!="TR"){E=E.parentElement;}}else{while (E.tagName!="TR"){E=E.parentNode;}}E.className = "";}
    function confidel(){if(confirm('%(email_confirm_del)s')){document.forms['email'].noname.name = "deleteselected";document.forms['email'].submit();}}
    function markread(){document.forms['email'].noname.name = "_markread";document.forms['email'].submit();}
    function markunread(){document.forms['email'].noname.name = "_markunread";document.forms['email'].submit();}
    function markpri(){document.forms['email'].noname.name = "_markpriority";document.forms['email'].submit();}
    function markunpri(){document.forms['email'].noname.name = "_markunpriority";document.forms['email'].submit();}
    function move(id){document.forms['email'].noname.name = "moveselected";document.forms['email'].noid.name = "moveto_efolder_id";document.forms['email'].noid.value = id;document.forms['email'].submit();}
    function on_over(kala){kala.style.backgroundColor = "#91E600";}
    function on_out(kala){kala.style.backgroundColor = "#7BC300";}
    //-->
    </SCRIPT>""" % locals())

        folder_output = []
        folder_output.append(u"""\
    <div id="folders" style="position:absolute; width:150px; height: %(div_height)spx ;top:48px; left:9px; visibility: hidden; z-index: 1100">
    <table border=0 width="100%%" cellpadding=2 cellspacing=0 style="background: #FAFAFA; border-left: 1px solid #AAAAAA; border-right: 1px solid #AAAAAA; border-bottom: 1px solid #AAAAAA; padding: 3px;">""" % locals())

        for efolder in result:
            SQL = u"""SELECT
     (SELECT count(email_id) FROM emails e, items i WHERE e.email_id=i.item_id AND i.parent_id=%d) AS count_all,
     (SELECT count(email_id) FROM emails e, items i WHERE e.email_id=i.item_id AND i.parent_id=%d AND (e.email_flags & %d) = 0) AS count_unread
    """ % (efolder['efolder_id'], efolder['efolder_id'], _Email.EMAIL_READ)
            REQUEST.db.execute(SQL.encode('UTF8'))
            number_of_emails = REQUEST.db.dictfetchone()
            folder_output.append(u"""\
      <tr>
        <td><img src="%sspacer.gif" width=10 height=1 border=0 alt=""></td>
        <td width="100%%" nowrap><img src="%sfld.gif" border=0 alt="">&nbsp;<a class="email_folder" href="%sefolder1.py?folder_id=%d">%s</a> <span class="efoldercount">(%s/%s)</span></td>
        <td><img src="%sspacer.gif" width=7 height=1 border=0 alt=""></td>
      </tr>""" % (_Conf.BASE_ICON_URL, _Conf.BASE_ICON_URL, _Conf.BASE_EMAIL_URL, efolder['efolder_id'], efolder['efolder_name'].decode('UTF8'), number_of_emails['count_unread'] or 0, number_of_emails['count_all'] or 0, _Conf.BASE_ICON_URL))
        # end efolder stuff


        folder_output.append(u"""
      <tr>
        <td colspan=3><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=10 border=0 alt=""></td>
      </tr>
      <tr>
        <td><img src="%(BASE_ICON_URL)sspacer.gif" width=7 height=1 border=0 alt=""></td>
        <td width="100%%" align="center">&nbsp;<a class="email_folder"  href="%(BASE_EMAIL_URL)sefolder.py/createfolder">%(tls_createnew)s</a>&nbsp;&nbsp;|&nbsp;&nbsp;<a class="email_folder"  href="%(BASE_EMAIL_URL)sefolder.py/deletefolder">%(tls_deletefolder)s</a></td>
        <td><img src="%(BASE_ICON_URL)sspacer.gif" width=7 height=1 border=0 alt=""></td>
      </tr>
      <tr>
        <td colspan=3><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=5 border=0 alt=""></td>
      </tr>
    </table>
    </div>
    """ % locals())


        REQUEST.db.execute("""SELECT e.efolder_id, e.efolder_name, efolder_flags FROM items i, efolders e WHERE e.efolder_id=i.item_id AND i.parent_id=%d ORDER BY efolder_id ASC""" % REQUEST.USER.get_id())
        result = REQUEST.db.dictfetchall()

        div_height = 120 + ((len(result) - 4)*21)

        efolder_output = []
        efolder_output.append(u"""\
    <script language="javascript" type="text/javascript">function show_efolders(){ var fld = document.getElementById('efolders'); if(fld.style.visibility=='visible') fld.style.visibility='hidden'; else fld.style.visibility='visible';}</script>
    <div id="efolders" style="position:absolute; width:100px; height: %(div_height)spx ;top:48px; left:215px; visibility: hidden; z-index: 1100">
    <table border=0 width="100%%" cellpadding="3" cellspacing="0" style="background: #FAFAFA; border-left: 1px solid #AAAAAA; border-right: 1px solid #AAAAAA; border-bottom: 1px solid #AAAAAA; padding: 3px;">""" % locals())


        if not result:
            raise RuntimeError, REQUEST.TLS('emails_nofolders')
        for item in result:
            if active_folder and item['efolder_id'] == active_folder.get_id():
                continue
            if item.get('efolder_flags') & _Efolder.EFOLDER_DRAFTS:
                item['efolder_name'] = REQUEST.TLS('mail_Drafts')
            elif item.get('efolder_flags') & _Efolder.EFOLDER_SENT:
                item['efolder_name'] = REQUEST.TLS('mail_Sent Items')
            elif item.get('efolder_flags') & _Efolder.EFOLDER_INBOX:
                item['efolder_name'] = REQUEST.TLS('mail_Inbox')
            elif item.get('efolder_flags') & _Efolder.EFOLDER_DELETED:
                item['efolder_name'] = REQUEST.TLS('mail_Deleted Items')
            else: 
                item['efolder_name'] = item['efolder_name'].decode('UTF8')
            efolder_output.append(u"""\
      <tr onclick="move(%d);show_efolders();" style="cursor: pointer; cursor: hand; font-size: 11px;" onmouseover="this.style.backgroundColor='#CCCCCC';" onmouseout="this.style.backgroundColor='#FAFAFA';">
        <td><img src="%sspacer.gif" width=1 height=17 border=0 alt=""></td>
        <td width="100%%" nowrap>%s</td>
        <td><img src="%sspacer.gif" width=1 height=1 border=0 alt=""></td>
      </tr>""" % (item['efolder_id'], _Conf.BASE_ICON_URL, item['efolder_name'], _Conf.BASE_ICON_URL))

        efolder_output.append(u"""</table>\n</div>""" % locals())



        formstring = REQUEST.get_formstring(['qs','sort_by'])
        sortby_from = u"""<A class="email_contentsb" href="%sesearch.py%ssort_by=0">%s</A>""" % (_Conf.BASE_EMAIL_URL, formstring, tls_from)
        sortby_subject = u"""<A class="email_contentsb" href="%sesearch.py%ssort_by=2">%s</A>""" % (_Conf.BASE_EMAIL_URL, formstring, tls_subject)
        sortby_date = u"""<A class="email_contentsb" href="%sesearch.py%ssort_by=4">%s</A>""" % (_Conf.BASE_EMAIL_URL, formstring, tls_date)
        sortby_size = u"""<A class="email_contentsb" href="%sesearch.py%ssort_by=6">%s</A>""" % (_Conf.BASE_EMAIL_URL, formstring, tls_size)
        sortby_flags = u"""<A class="email_contentsb" href="%sesearch.py%ssort_by=8">%s</A>""" % (_Conf.BASE_EMAIL_URL, formstring, tls_short_newmail)
        sortby_attach = u"""<A class="email_contentsb" href="%sesearch.py%ssort_by=10">%s</A>""" % (_Conf.BASE_EMAIL_URL, formstring, tls_short_attach)
        if sortby_id == 0:
            sortby_from = u"""<A class="email_contentsb" href="%sesearch.py%ssort_by=1">%s</A>&nbsp;<SPAN class="sort">&uarr;</SPAN>""" % (_Conf.BASE_EMAIL_URL, formstring, tls_from)
        elif sortby_id == 1:
            sortby_from = u"""<A class="email_contentsb" href="%sesearch.py%ssort_by=0">%s</A>&nbsp;<SPAN class="sort">&darr;</SPAN>""" % (_Conf.BASE_EMAIL_URL, formstring, tls_from)
        elif sortby_id == 2:
            sortby_subject = u"""<A class="email_contentsb" href="%sesearch.py%ssort_by=3">%s</A>&nbsp;<SPAN class="sort">&uarr;</SPAN>""" % (_Conf.BASE_EMAIL_URL, formstring, tls_subject)
        elif sortby_id == 3:
            sortby_subject = u"""<A class="email_contentsb" href="%sesearch.py%ssort_by=2">%s</A>&nbsp;<SPAN class="sort">&darr;</SPAN>""" % (_Conf.BASE_EMAIL_URL, formstring, tls_subject)
        elif sortby_id == 4:
            sortby_date = u"""<A class="email_contentsb" href="%sesearch.py%ssort_by=5">%s</A>&nbsp;<SPAN class="sort">&uarr;</SPAN>""" % (_Conf.BASE_EMAIL_URL, formstring, tls_date)
        elif sortby_id == 5:
            sortby_date = u"""<A class="email_contentsb" href="%sesearch.py%ssort_by=4">%s</A>&nbsp;<SPAN class="sort">&darr;</SPAN>""" % (_Conf.BASE_EMAIL_URL, formstring, tls_date)
        elif sortby_id == 6:
            sortby_size = u"""<A class="email_contentsb" href="%sesearch.py%ssort_by=7">%s</A>&nbsp;<SPAN class="sort">&uarr;</SPAN>""" % (_Conf.BASE_EMAIL_URL, formstring, tls_size)
        elif sortby_id == 7:
            sortby_size = u"""<A class="email_contentsb" href="%sesearch.py%ssort_by=6">%s</A>&nbsp;<SPAN class="sort">&darr;</SPAN>""" % (_Conf.BASE_EMAIL_URL, formstring, tls_size)
        elif sortby_id == 8:
            sortby_flags = u"""<A class="email_contentsb" href="%sesearch.py%ssort_by=9">%s</A>&nbsp;<SPAN class="sort">&uarr;</SPAN>""" % (_Conf.BASE_EMAIL_URL, formstring, tls_short_newmail)
        elif sortby_id == 9:
            sortby_flags = u"""<A class="email_contentsb" href="%sesearch.py%ssort_by=8">%s</A>&nbsp;<SPAN class="sort">&darr;</SPAN>""" % (_Conf.BASE_EMAIL_URL, formstring, tls_short_newmail)
        elif sortby_id == 10:
            sortby_attach = u"""<A class="email_contentsb" href="%sesearch.py%ssort_by=11">%s</A>&nbsp;<SPAN class="sort">&uarr;</SPAN>""" % (_Conf.BASE_EMAIL_URL, formstring, tls_short_attach)
        elif sortby_id == 11:
            sortby_attach = u"""<A class="email_contentsb" href="%sesearch.py%ssort_by=10">%s</A>&nbsp;<SPAN class="sort">&darr;</SPAN>""" % (_Conf.BASE_EMAIL_URL, formstring, tls_short_attach)
        del formstring

        BASE_EMAIL_URL = _Conf.BASE_EMAIL_URL
        BASE_ICON_URL = _Conf.BASE_ICON_URL
        output.append(u"""\
    <DIV style="position: absolute; top: 23px; z-index: 1;">
    <TABLE border=0 width="100%%" cellpadding=0 cellspacing=0 bgcolor="#7BC300" class="email_buttons">
    <TR>
      <TD colspan="15" width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width="1" height="2" border="0" alt=""></TD>
    </TR>
    <TR>
      <TD><img src="%(BASE_ICON_URL)sspacer.gif" width="10" height="14" border="0" alt=""></TD>
      <TD nowrap onclick="show_folders();" onmouseover="on_over(this);" onmouseout="on_out(this);" class="email_btns"><img src="%(BASE_ICON_URL)semail_folder.gif" width="16" height="14" border="0" alt="">&nbsp;%(tls_folder)s: <b>%(active_folder_name)s</b></TD>
      <TD><img src="%(BASE_ICON_URL)semail_sep.gif" width="11" height="20" border="0" alt=""></TD>
      <TD nowrap onclick="confidel();" onmouseover="on_over(this);" onmouseout="on_out(this);" class="email_btns"><img src="%(BASE_ICON_URL)semail_del.gif" width="14" height="14" border="0" alt="">&nbsp;%(tls_delete)s</TD>
      <TD><img src="%(BASE_ICON_URL)semail_sep.gif" width="11" height="20" border="0" alt=""></TD>
      <TD nowrap onclick="show_efolders();" onmouseover="on_over(this);" onmouseout="on_out(this);" class="email_btns"><img src="%(BASE_ICON_URL)semail_moveto.gif" width="15" height="14" border="0" alt="">&nbsp;%(email_moveselto)s&nbsp;<img src="%(BASE_ICON_URL)semail_moveto2.gif" width="7" height="14" border="0" alt=""></TD>
      <TD><img src="%(BASE_ICON_URL)semail_sep.gif" width="11" height="20" border="0" alt=""></TD>
      <TD nowrap onclick="markread();" onmouseover="on_over(this);" onmouseout="on_out(this);" class="email_btns"><img src="%(BASE_ICON_URL)semail_markread.gif" width="14" height="14" border="0" alt="">&nbsp;%(tls_mark_read)s</TD>
      <TD><img src="%(BASE_ICON_URL)semail_sep.gif" width="11" height="20" border="0" alt=""></TD>
      <TD nowrap onclick="markunread();" onmouseover="on_over(this);" onmouseout="on_out(this);" class="email_btns"><img src="%(BASE_ICON_URL)semail_markunread.gif" width="14" height="14" border="0" alt="">&nbsp;%(tls_mark_unread)s</TD>
      <TD><img src="%(BASE_ICON_URL)semail_sep.gif" width="11" height="20" border="0" alt=""></TD>
      <TD nowrap onclick="markpri();" onmouseover="on_over(this);" onmouseout="on_out(this);" class="email_btns"><img src="%(BASE_ICON_URL)semail_markpri.gif" width="14" height="14" border="0" alt="">&nbsp;%(tls_high_priority)s</TD>
      <TD><img src="%(BASE_ICON_URL)semail_sep.gif" width="11" height="20" border="0" alt=""></TD>
      <TD nowrap onclick="markunpri();" onmouseover="on_over(this);" onmouseout="on_out(this);" class="email_btns"><img src="%(BASE_ICON_URL)semail_markunpri.gif" width="14" height="14" border="0" alt="">&nbsp;%(tls_normal_priority)s</TD>
      <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width="10" height="1" border="0" alt=""></TD>
    </TR>
    <TR>
      <TD colspan="15" width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width="1" height="2" border="0" alt=""></TD>
    </TR>
    </TABLE>
    </DIV>
    <TABLE style="position: relative; top: 3px; left: 1px;" border=0 width="99%%" cellpadding=1 cellspacing=0 bgcolor="#FAFAFA">
    <FORM method="POST" action="%(BASE_EMAIL_URL)sefolder1.py" name="email">
    <input type="hidden" name="noname" value="1">
    <input type="hidden" name="noid" value="1">
     <TR class="email_contentsb" bgcolor="#EEEEEE">
      <TH nowrap style="border-bottom: 1px solid #AAAAAA; border-right: 1px solid #AAAAAA; border-top: 1px solid #AAAAAA; border-left: 1px solid #AAAAAA" nowrap><IMG src="%(BASE_ICON_URL)sspacer.gif" width=2 height=1 border=0 alt="">%(sortby_attach)s<IMG src="%(BASE_ICON_URL)sspacer.gif" width=2 height=1 border=0 alt=""></TH>
      <TH nowrap style="border-bottom: 1px solid #AAAAAA; border-right: 1px solid #AAAAAA; border-top: 1px solid #AAAAAA;">%(sortby_flags)s</TH>
      <TH nowrap style="border-bottom: 1px solid #AAAAAA; border-right: 1px solid #AAAAAA; border-top: 1px solid #AAAAAA;" width="40%%">%(sortby_from)s</TH>
      <TH nowrap style="border-bottom: 1px solid #AAAAAA; border-right: 1px solid #AAAAAA; border-top: 1px solid #AAAAAA;" width="60%%">%(sortby_subject)s</TH>
      <TH nowrap style="border-bottom: 1px solid #AAAAAA; border-right: 1px solid #AAAAAA; border-top: 1px solid #AAAAAA;" nowrap>&nbsp;%(sortby_date)s</TH>
      <TH nowrap style="border-bottom: 1px solid #AAAAAA; border-right: 1px solid #AAAAAA; border-top: 1px solid #AAAAAA;">%(sortby_size)s</TH>
      <TH nowrap style="border-bottom: 1px solid #AAAAAA; border-right: 1px solid #AAAAAA; border-top: 1px solid #AAAAAA;" width="1"><INPUT type="checkbox" name="all" onClick="javascript:markAll(this.form);"></TH>
     </TR>""" % locals())

        params = []
        if REQUEST.form.has_key('email_from') and REQUEST.form['email_from'].value:
            params.append(" (lower(e.email_from) like '%%%s%%' OR lower(e.email_from_addr) like '%%%s%%') " % (_Utils.sql_quote_simple(REQUEST.form['email_from'].value.decode('UTF8').lower()), _Utils.sql_quote_simple(REQUEST.form['email_from'].value.decode('UTF8').lower())))
        if REQUEST.form.has_key('email_to') and REQUEST.form['email_to'].value:
            params.append("lower(e.email_to) like '%%%s%%'" % _Utils.sql_quote_simple(REQUEST.form['email_to'].value.decode('UTF8').lower()))
        if REQUEST.form.has_key('email_subject') and REQUEST.form['email_subject'].value:
            params.append("lower(e.email_subject) like '%%%s%%'" % _Utils.sql_quote_simple(REQUEST.form['email_subject'].value.decode('UTF8').lower()))
        if active_folder:
            params.append("i.parent_id=%d" % active_folder.get_id())
        if REQUEST.form.has_key('attatch') and int(REQUEST.form['attatch'].value):
            if int(REQUEST.form['attatch'].value)==1:
                params.append("(e.email_flags & %d) <> 0" % _Email.EMAIL_ATTACH)
            else:
                params.append("(e.email_flags & %d) = 0" % _Email.EMAIL_ATTACH)

        if params:
            params = " AND %s" % " AND ".join(params)
        else:
            params = ""

        SQL = """SELECT count(email_id) AS count_all FROM items i, emails e WHERE e.email_id=i.item_id AND i.creator_id=%d %s""" % (REQUEST.USER.get_id(), params)
        REQUEST.db.execute(SQL.encode('UTF8'))
        count_all = REQUEST.db.dictfetchone()['count_all']


        if REQUEST.qs <> 0 or count_all > REQUEST.qs + REQUEST.email_batch_size:
            batch_url = "%sesearch.py%sqs=" % (_Conf.BASE_EMAIL_URL, REQUEST.get_formstring(['qs']))
            batches = []
            i = 1
            try:
                current = int((REQUEST.qs)/REQUEST.email_batch_size) + 1
            except:
                current = 1
            batch_count = math.ceil(float(count_all)/REQUEST.email_batch_size)
            p1 = 0
            p2 = 0
            for n in range(1,batch_count+1):
                ok = 0
                if batch_count>15:
                        if n<=5:
                            ok = 1
                        elif n>5 and n<current-2 and not p1:
                            batches.append("&nbsp;...&nbsp;")
                            p1 = 1
                        elif (n>=current-2 and n<=current+2):
                            ok = 2
                        elif (n>=current-2 and n<batch_count - 5 and not p2):
                            batches.append("&nbsp;...&nbsp;")
                            p2 = 1
                        elif (n>batch_count - 5):
                            ok = 3
                        else:
                            ok = 0
                        if ok:
                            if (n==current):
                                batches.append(u"""<SPAN class="bb">%d</SPAN>&nbsp;&nbsp;""" % (i))
                            else:
                                batches.append(u"""<A class="bbl" href="%s%d">%d</A>&nbsp;&nbsp;""" % (batch_url, (n-1)*REQUEST.email_batch_size, i))
                        elif not ok and n>=batch_count:
                            raise RuntimeError, n
                else:
                    if (n==current):
                        batches.append(u"""<SPAN class="bb">%d</SPAN>&nbsp;&nbsp;""" % (i))
                    else:
                        batches.append(u"""<A class="bbl" href="%s%d">%d</A>&nbsp;&nbsp;""" % (batch_url, (n-1)*REQUEST.email_batch_size, i))
                i = i + 1
            NAV_BAR = " ".join(batches)
            START_BAR = ""
            END_BAR = ""
            if REQUEST.qs <> 0:
                START_BAR = """<A class="bbt" href="%sesearch.py%sqs=%d">&laquo;&nbsp;&nbsp;%s</A>""" % (_Conf.BASE_EMAIL_URL, REQUEST.get_formstring(['qs']), REQUEST.qs-REQUEST.email_batch_size, (REQUEST.TLS('tls_back_x') % REQUEST.email_batch_size))
            if count_all > REQUEST.qs + REQUEST.batch_size:
                END_BAR = u"""<A class="bbt" href="%sesearch.py%sqs=%d">%s&nbsp;&nbsp;&raquo;</A>""" %  (_Conf.BASE_EMAIL_URL, REQUEST.get_formstring(['qs']), REQUEST.email_batch_size+REQUEST.qs, (REQUEST.TLS('tls_forward_x') % REQUEST.email_batch_size))
            FULL_BAR = standard_html.FULL_BAR3(START_BAR, NAV_BAR, END_BAR)
        else:
            FULL_BAR = ""



        SQL = """SELECT  e.email_id,
     e.email_from,
     e.email_subject,
     e.email_to,
     e.email_date,
     e.email_savedate,
     e.email_size,
     e.email_flags,
     e.email_from_addr, i.* FROM items i, emails e WHERE e.email_id=i.item_id AND i.creator_id=%d %s ORDER BY %s LIMIT %d OFFSET %d""" % (REQUEST.USER.get_id(), params, sortby[sortby_id], REQUEST.email_batch_size, REQUEST.qs)
        REQUEST.db.execute(SQL.encode('UTF8'))
        result = REQUEST.db.dictfetchall()

        ns = {'BASE_EMAIL_URL':_Conf.BASE_EMAIL_URL}
        ndx = 0
        for email_str in result:
            if active_folder and ((active_folder.get('efolder_flags') & _Efolder.EFOLDER_DRAFTS) or (active_folder.get('efolder_flags') & _Efolder.EFOLDER_SENT)):
                ns['from'] = _Utils.html_quote(email.Utils.parseaddr(email_str['email_to'])[0] or email_str['email_to']) or  '-- no to --'
            else:
                ns['from'] = _Utils.html_quote(email.Utils.parseaddr(email_str['email_from'])[0] or email_str['email_from'])
            if active_folder and (active_folder.get('efolder_flags') & _Efolder.EFOLDER_DRAFTS):
                ns['read_or_compose'] = 'compose'
            else:
                ns['read_or_compose'] = 'read'

            ns['date'] = _Utils.date2text(REQUEST, email_str['email_date'])
            ns['size'] = _Utils.str_size(email_str['email_size'])
            ns['ndx'] = email_str['email_id']
            if email_str['email_flags'] & _Email.EMAIL_ANSWERED:
                ns['is_new'] = '<img src="%sansmail.gif" border=0 alt="">' % _Conf.BASE_ICON_URL
                ns['start_bold'] = ''
                ns['end_bold'] = ''
            else:
                if email_str['email_flags'] & _Email.EMAIL_READ:
                    ns['is_new'] = '<img src="%smail.gif" width="18" height="14" border=0 alt="">' % _Conf.BASE_ICON_URL
                    ns['start_bold'] = ''
                    ns['end_bold'] = ''
                else:
                    ns['is_new'] = '<img src="%snewmail.gif" width="18" height="12" border=0 alt="">' % _Conf.BASE_ICON_URL
                    ns['start_bold'] = '<b>'
                    ns['end_bold'] = '</b>'
            if email_str['email_flags'] & _Email.EMAIL_ATTACH:
                ns['has_attachment'] = '<img src="%sattatch.gif" width=14 height=12 border=0 alt="">' % _Conf.BASE_ICON_URL
            else:
                ns['has_attachment'] = '<img src="%sspacer.gif" width=1 height=1 border=0 alt="">'
            if isinstance(ns['from'], str):
                ns['from'] = ns['from'].decode('UTF8')
            ns['subject'] = email_str['email_subject']
            if isinstance(ns['subject'], str):
                ns['subject'] = _Utils.html_quote(_Utils.shorten_string(ns['subject'].decode('UTF8'), 70))
            else:
                ns['subject'] = _Utils.html_quote(_Utils.shorten_string(ns['subject'], 70))
            if email_str['email_flags'] & _Email.EMAIL_PRIORITY:
                ns['ispriority'] = 'red'
            else:
                ns['ispriority'] = ''
            result = u"""\
     <TR valign="top">
      <TD class="email_contents%(ispriority)s" style="border-bottom: 1px solid #bbbbbb; border-left: 1px solid #AAAAAA;">%(has_attachment)s</TD>
      <TD class="email_contents%(ispriority)s" style="border-bottom: 1px solid #bbbbbb;">%(is_new)s</TD>
      <TD width="40%%"           style="border-bottom: 1px solid #bbbbbb; padding-left: 3px; padding-top: 3px;"><A class="email_contents%(ispriority)s" href="%(BASE_EMAIL_URL)sread.py?mail_id=%(ndx)d">%(start_bold)s%(from)s%(end_bold)s</A></TD>
      <TD width="60%%"           style="border-bottom: 1px solid #bbbbbb; padding-left: 3px; padding-top: 3px;"><A  class="email_contents%(ispriority)s" href="%(BASE_EMAIL_URL)sread.py?mail_id=%(ndx)d">%(start_bold)s%(subject)s%(end_bold)s</A></TD>
      <TD class="email_contents%(ispriority)s" style="border-bottom: 1px solid #bbbbbb; padding-left: 3px; padding-top: 3px;" nowrap>%(start_bold)s%(date)s%(end_bold)s</TD>
      <TD class="email_contents%(ispriority)s" style="border-bottom: 1px solid #bbbbbb; padding-left: 3px; padding-top: 3px">%(start_bold)s%(size)s%(end_bold)s</TD>
      <TD class="email_contents%(ispriority)s" style="border-bottom: 1px solid #bbbbbb; border-right: 1px solid #AAAAAA;"><center><INPUT type="checkbox" name="sel_%(ndx)d" onClick="CCA(this);"></center></TD>
     </TR>""" % ns
            output.append(result)
            ndx += 1

        output.append(u"""</FORM></TABLE><BR>""")
        if FULL_BAR:
            output.append(FULL_BAR)

        output.append("\n".join(folder_output))
        output.append("\n".join(efolder_output))
        output.append("<BR>")
    output.append(standard_html.html_footer(REQUEST))
    return '\n'.join(output)
