# Copyright (C) 2003-2005 Inversion Software Ltd. <inversion@inversion.ee>
# http://www.conflux.ee/
#
# This file is part of Conflux Lite
#
# Conflux Lite is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# Conflux Lite is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Conflux Lite; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
######################################################################

from mod_python import apache
import _Conf, _Utils, _mail, _Eaccount, _InitTypes
from Menus import get_email_menu
import standard_html

MY_MENU_ID=3

def index(REQUEST):
    
    if REQUEST.form.has_key('add'):
        return add_account(REQUEST)
    elif REQUEST.form.has_key('show'):
        return show_userinfo(REQUEST)
    elif REQUEST.form.has_key('sig'):
        return signatures(REQUEST)
    elif REQUEST.form.has_key('dic'):
        return dicts(REQUEST)

    output = []
    output.append(standard_html.html_header(REQUEST))
    output.append(get_email_menu(REQUEST, MY_MENU_ID))
    BASE_ICON_URL = _Conf.BASE_ICON_URL

    REQUEST.db.execute("""SELECT e.* FROM eaccounts e, items i WHERE e.eaccount_id=i.item_id AND i.parent_id=%d ORDER BY eaccount_id""" % REQUEST.USER.get_id())
    accounts = REQUEST.db.dictfetchall()

    accounts_string = []
    index = 0
    for account in accounts:
        if (index%2 == 0):
            account['tdstyle'] = "td_listing0"
        else:
            account['tdstyle'] = "td_listing1"
        index = index + 1
        if account['eaccount_flags'] & _Eaccount.EACCOUNT_IMAP4:
            account['eaccount_type'] = "IMAP4"
        elif account['eaccount_flags'] & _Eaccount.EACCOUNT_POP3:
            account['eaccount_type'] = "POP3"
        else:
            account['eaccount_type'] = '<DIV style="color: red;">Unknown</DIV>'
        if account['eaccount_flags'] & _Eaccount.EACCOUNT_ACTIVE:
            account['active_check'] = '<DIV style="color: green;">YES</DIV>'
        else:
            account['active_check'] = '<DIV style="color: red;">NO</DIV>'
        if (account['eaccount_flags'] & _Eaccount.EACCOUNT_DELETE_MESSAGES) <> 0:
            account['delete_check'] = '<DIV style="color: red;">NO</DIV>'
        else:
            account['delete_check'] = '<DIV style="color: green;">YES</DIV>'
        account['BASE_ICON_URL'] = BASE_ICON_URL
        accounts_string.append(u"""
<TR>
  <TD class="%(tdstyle)s"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="%(tdstyle)s"><INPUT type="checkbox" name="sel_%(eaccount_id)d"></TD>
  <TD class="%(tdstyle)s" nowrap>%(eaccount_name)s</TD>
  <TD class="%(tdstyle)s">%(eaccount_user)s</TD>
  <TD class="%(tdstyle)s">%(eaccount_type)s</TD>
  <TD class="%(tdstyle)s" align="center">%(active_check)s</TD>
  <TD class="%(tdstyle)s" align="center">%(delete_check)s</TD>
</TR>""" % account)
    accounts_string = "\n".join(accounts_string)

    ns = {'BASE_EMAIL_URL':_Conf.BASE_EMAIL_URL,'accounts_string':accounts_string}
    
    if (index%2 == 0):
        ns['tdstyle'] = "td_listing0"
    else:
        ns['tdstyle'] = "td_listing1"
    ns['REQ_FIELD'] = _Conf.REQ_FIELD
    ns['tls_missing_input'] = REQUEST.TLS('tls_missing_input')
    ns['tls_accounts'] = REQUEST.TLS('email_accounts')
    ns['tls_save'] = REQUEST.TLS('tls_save')
    ns['tls_delete'] = REQUEST.TLS('tls_delete')
    ns['tls_server'] = REQUEST.TLS('email_server')
    ns['tls_user'] = REQUEST.TLS('email_user')
    ns['tls_type'] = REQUEST.TLS('email_type')
    ns['tls_active'] = REQUEST.TLS('email_active')
    ns['tls_deletemessages'] = REQUEST.TLS('email_deletemessages')
    ns['tls_deletemessagesbutton'] = REQUEST.TLS('email_deletemessagesbutton')
    ns['tls_activate'] = REQUEST.TLS('email_activate')
    ns['tls_deactivate'] = REQUEST.TLS('email_deactivate')
    ns['tls_addaccount'] = REQUEST.TLS('email_addaccount')
    ns['BASE_ICON_URL'] = BASE_ICON_URL
    ns['menu'] = menu_output(REQUEST)
    output.append(u"""\
<BR>
<TABLE border="0" cellpadding="0" cellspacing="0" width="550">
<FORM action="%(BASE_EMAIL_URL)sesettings.py/managesettings" method="POST">
<TR>
  <TD colspan="7" width="100%%">%(menu)s</TD>
</TR>
<TR>
  <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing1b" width="5%%">&nbsp;</TD>
  <TD class="td_listing1b" nowrap width="25%%">%(tls_server)s</TD>
  <TD class="td_listing1b" nowrap width="20%%">%(tls_user)s</TD>
  <TD class="td_listing1b" nowrap width="20%%">%(tls_type)s</TD>
  <TD class="td_listing1b" align="center" nowrap width="15%%">%(tls_active)s</TD>
  <TD class="td_listing1b" align="center" nowrap width="15%%">%(tls_deletemessages)s</TD>
</TR>
%(accounts_string)s
<TR>
  <TD class="%(tdstyle)s"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="%(tdstyle)sb" colspan="6"><INPUT class="input6" type="submit" name="listingdelete" value="%(tls_delete)s">&nbsp;&nbsp;<INPUT class="input6" type="submit" name="listingactivate" value="%(tls_activate)s">&nbsp;&nbsp;<INPUT class="input6" type="submit" name="listingdeactivate" value="%(tls_deactivate)s">&nbsp;&nbsp;<INPUT class="input6" type="submit" name="listingtoggle" value="%(tls_deletemessagesbutton)s"></TD>
</TR>
</TABLE>
</FORM>""" % ns)
    output.append(standard_html.html_footer(REQUEST))
    return '\n'.join(output)

def add_account(REQUEST):
    output = []
    output.append(standard_html.html_header(REQUEST))
    output.append(get_email_menu(REQUEST, MY_MENU_ID))
    ns = {'BASE_EMAIL_URL':_Conf.BASE_EMAIL_URL}
    ns['BASE_ICON_URL'] = _Conf.BASE_ICON_URL
    ns['tls_delete'] = REQUEST.TLS('tls_delete')
    ns['tls_server'] = REQUEST.TLS('email_server')
    ns['tls_user'] = REQUEST.TLS('email_user')
    ns['tls_type'] = REQUEST.TLS('email_type')
    ns['tls_password'] = REQUEST.TLS('tls_password')
    ns['tls_passwordagain'] = REQUEST.TLS('tls_passwordagain')
    ns['tls_missing_input'] = REQUEST.TLS('tls_missing_input')
    ns['tls_addaccount'] = REQUEST.TLS('email_addaccount')
    ns['REQ_FIELD'] = _Conf.REQ_FIELD
    ns['tls_deletemessages'] = REQUEST.TLS('email_deletemessages')
    ns['tls_save'] = REQUEST.TLS('tls_save')
    ns['menu'] = menu_output(REQUEST)

    output.append(u"""\
<BR>
<SCRIPT language="javascript" type="text/javascript">
<!--
  function check_values()
  {
    if (!document.addaccountform.eaccount_name.value || !document.addaccountform.eaccount_user.value || !document.addaccountform.eaccount_password1.value || !document.addaccountform.eaccount_password2.value)
    {
      alert("%(tls_missing_input)s");
      return false;
    }
    return true;
  }
// -->
</SCRIPT>
<TABLE border=0 cellpadding=0 cellspacing=0 width=550>
<FORM action="%(BASE_EMAIL_URL)sesettings.py/managesettings" method="POST" name="addaccountform" onsubmit="return check_values();">
 <TR>
  <TD colspan=3 width="100%%">%(menu)s</TD>
 </TR>
 <TR>
  <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing1" nowrap>%(tls_server)s%(REQ_FIELD)s</TD>
  <TD class="td_listing1" width="100%%"><INPUT class="textfield1" type="text" name="eaccount_name"></TD>
 </TR>
 <TR>
  <TD class="td_listing0"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing0" nowrap>%(tls_user)s%(REQ_FIELD)s</TD>
  <TD class="td_listing0"><INPUT class="textfield1" type="text" name="eaccount_user"></TD>
 </TR>
 <TR>
  <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing1" nowrap>%(tls_password)s%(REQ_FIELD)s</TD>
  <TD class="td_listing1"><INPUT class="textfield1" type="password" name="eaccount_password1"></TD>
 </TR>
 <TR>
  <TD class="td_listing0"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing0" nowrap>%(tls_passwordagain)s%(REQ_FIELD)s</TD>
  <TD class="td_listing0"><INPUT class="textfield1" type="password" name="eaccount_password2"></TD>
 </TR>
 <TR>
  <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing1" nowrap>%(tls_type)s</TD>
  <TD class="td_listing1"><INPUT type="radio" name="eaccount_type" value="POP3" CHECKED>Pop3<INPUT type="radio" name="eaccount_type" value="IMAP4">IMAP4</TD>
 </TR>
 <TR>
  <TD class="td_listing0"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing0" nowrap>%(tls_deletemessages)s</TD>
  <TD class="td_listing0"><INPUT type="checkbox" name="eaccount_messages"></TD>
 </TR>
 <TR>
  <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing1" colspan="2"><INPUT class="input2" type="submit" name="newsubmit" value="%(tls_save)s"></TD>
 </TR>
</TABLE>
</FORM>""" % ns)
    output.append(standard_html.html_footer(REQUEST))
    return '\n'.join(output)

def show_userinfo(REQUEST):
    output = []
    output.append(standard_html.html_header(REQUEST))
    output.append(get_email_menu(REQUEST, MY_MENU_ID))
    ns = {'BASE_EMAIL_URL':_Conf.BASE_EMAIL_URL}
    ns['BASE_ICON_URL'] = _Conf.BASE_ICON_URL
    ns['menu'] = menu_output(REQUEST)
    ns['tls_userinfo'] = REQUEST.TLS('email_userinfo')
    ns['tls_sendermail'] = REQUEST.TLS('email_sendermail')
    ns['tls_sendername'] = REQUEST.TLS('email_sendername')
    ns['tls_replyto'] = REQUEST.TLS('email_replyto')
    ns['tls_delchk'] = REQUEST.TLS('email_delchk')
    ns['tls_deldays'] = REQUEST.TLS('email_deldays')
    ns['tls_days'] = REQUEST.TLS('tls_timelimit_arg')
    ns['tls_save'] = REQUEST.TLS('tls_save')
    try:
        ns['sender_name'] = REQUEST.get_setting('email_sender_name')
    except:
        ns['sender_name'] = REQUEST.USER.get_name()
    try:
        ns['sender_email'] = REQUEST.get_setting('email_sender_email')
    except:
        ns['sender_email'] = ""
    try:
        ns['reply_to'] = REQUEST.get_setting('email_reply_to')
    except:
        ns['reply_to'] = ""
    try:
        setting = REQUEST.get_setting('email_deleteold')
        if setting:
           ns['email_deleteold'] = " checked"
        else:
           ns['email_deleteold'] = ""
    except:
        ns['email_deleteold'] = ""
    try:
        ns['email_deletedays'] = int(REQUEST.get_setting('email_deletedays'))
    except:
        ns['email_deletedays'] = 5
    output.append(u"""
<BR>
<TABLE border=0 cellpadding=0 cellspacing=0 width=550>
<FORM action="%(BASE_EMAIL_URL)sesettings.py/managesettings" method="POST">
 <TR>
  <TD colspan="3">%(menu)s</TD>
 </TR>
 <TR>
  <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing1" nowrap>%(tls_sendername)s:</TD>
  <TD class="td_listing1" width="100%%"><INPUT class="textfield1" type="text" name="email_sender_name" value="%(sender_name)s"></TD>
 </TR>
 <TR>
  <TD class="td_listing0"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing0" nowrap>%(tls_sendermail)s:</TD>
  <TD class="td_listing0"><INPUT class="textfield1" type="text" name="email_sender_email" value="%(sender_email)s"></TD>
 </TR>
 <TR>
  <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing1" nowrap>%(tls_replyto)s:</TD>
  <TD class="td_listing1"><INPUT class="textfield1" type="text" name="sender_reply_to" value="%(reply_to)s"></TD>
 </TR>
 <TR>
  <TD class="td_listing0"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing0" nowrap>%(tls_delchk)s:</TD>
  <TD class="td_listing0"><INPUT type="checkbox" name="delete_old" %(email_deleteold)s></TD>
 </TR>
 <TR>
  <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing1" nowrap>%(tls_deldays)s:</TD>
  <TD class="td_listing1"><INPUT class="textfield1" type="text" name="delete_days" value="%(email_deletedays)d" size=2>&nbsp;%(tls_days)s</TD>
 </TR>
 <TR>
  <TD class="td_listing0"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing0" colspan="2"><INPUT type="submit" class="input2" name="setsubmit" value="%(tls_save)s"></TD>
 </TR>
</TABLE>
</FORM>""" % ns)
    output.append(standard_html.html_footer(REQUEST))
    return '\n'.join(output)

def signatures(REQUEST):
    output = []
    output.append(standard_html.html_header(REQUEST))
    output.append(get_email_menu(REQUEST, MY_MENU_ID))
    ns = {'BASE_EMAIL_URL':_Conf.BASE_EMAIL_URL}
    ns['BASE_ICON_URL'] = _Conf.BASE_ICON_URL
    ns['menu'] = menu_output(REQUEST)
    ns['tls_signature'] = REQUEST.TLS('email_signature')
    ns['tls_name'] = REQUEST.TLS('tls_name')
    ns['tls_save'] = REQUEST.TLS('tls_save')
    try:
        sig1 = REQUEST.get_setting('user_signature1')
        ns['name1'] = sig1[0]
        ns['sig1'] = sig1[1]
    except:
        ns['name1'] = ''
        ns['sig1'] = ''
    try:
        sig1 = REQUEST.get_setting('user_signature2')
        ns['name2'] = sig1[0]
        ns['sig2'] = sig1[1]
    except:
        ns['name2'] = ''
        ns['sig2'] = ''
    try:
        sig1 = REQUEST.get_setting('user_signature3')
        ns['name3'] = sig1[0]
        ns['sig3'] = sig1[1]
    except:
        ns['name3'] = ''
        ns['sig3'] = ''
    output.append(u"""
<BR>
<TABLE border=0 cellpadding=0 cellspacing=0 width=400>
<FORM action="%(BASE_EMAIL_URL)sesettings.py/managesettings" method="POST">
<TR>
  <TD colspan="4">%(menu)s</TD>
</TR>
<TR>
  <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing1b" nowrap>%(tls_signature)s 1&nbsp;&nbsp;&nbsp;&nbsp;</TD>
  <TD class="td_listing1" nowrap>%(tls_name)s:</TD>
  <TD class="td_listing1" width="100%%"><input type="text" value="%(name1)s" class="textfield1" maxlenth="20" name="name1"></TD>
</TR>
<TR>
  <TD class="td_listing0"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing0" width="100%%" colspan="3"><TEXTAREA class="textarea4" wrap="virtual" cols=50 rows=6 name="sig1">%(sig1)s</TEXTAREA></TD>
</TR>
<TR>
  <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing1b" nowrap>%(tls_signature)s 2&nbsp;&nbsp;&nbsp;&nbsp;</TD>
  <TD class="td_listing1" nowrap>%(tls_name)s:</TD>
  <TD class="td_listing1" width="100%%"><input type="text" value="%(name2)s" class="textfield1" maxlenth="20" name="name2"></TD>
</TR>
<TR>
  <TD class="td_listing0"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing0" width="100%%" colspan="3"><TEXTAREA class="textarea4" wrap="virtual" cols=50 rows=6 name="sig2">%(sig2)s</TEXTAREA></TD>
</TR>
<TR>
  <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing1b" nowrap>%(tls_signature)s 3&nbsp;&nbsp;&nbsp;&nbsp;</TD>
  <TD class="td_listing1" nowrap>%(tls_name)s:</TD>
  <TD class="td_listing1" width="100%%"><input type="text" value="%(name3)s" class="textfield1" maxlenth="20" name="name3"></TD>
</TR>
<TR>
  <TD class="td_listing0"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing0" width="100%%" colspan="3"><TEXTAREA class="textarea4" wrap="virtual" cols=50 rows=6 name="sig3">%(sig3)s</TEXTAREA></TD>
</TR>
<TR>
  <TD class="td_listing0"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD class="td_listing0" colspan="3"><INPUT type="submit" class="input2" name="sigsubmit" value="%(tls_save)s"></TD>
</TR>
</TABLE>
</FORM>
""" % ns)

    output.append(standard_html.html_footer(REQUEST))
    return '\n'.join(output)

def managesettings(REQUEST):
    if REQUEST.form.has_key('setsubmit') or REQUEST.form.has_key('setsubmit.x'):
        if REQUEST.form.has_key('email_sender_name') and REQUEST.form['email_sender_name'].value.decode('UTF8').strip():
            REQUEST.set_setting('email_sender_name', REQUEST.form['email_sender_name'].value.decode('UTF8').strip())
        else:
            REQUEST.del_setting('email_sender_name')
        if REQUEST.form.has_key('email_sender_email') and REQUEST.form['email_sender_email'].value.decode('UTF8').strip():
            REQUEST.set_setting('email_sender_email', REQUEST.form['email_sender_email'].value.decode('UTF8').strip())
        else:
            REQUEST.del_setting('email_sender_email')
        if REQUEST.form.has_key('sender_reply_to') and REQUEST.form['sender_reply_to'].value.decode('UTF8').strip():
            REQUEST.set_setting('email_reply_to', REQUEST.form['sender_reply_to'].value.decode('UTF8').strip())
        else:
            REQUEST.del_setting('email_reply_to')
        if REQUEST.form.has_key('delete_old'):
            REQUEST.set_setting('email_deleteold', 1)
        else:
            REQUEST.del_setting('email_deleteold')
        if REQUEST.form.has_key('delete_days') and REQUEST.form['delete_days'].value.decode('UTF8').strip():
            days = int(REQUEST.form['delete_days'].value.decode('UTF8').strip())
            if days > 0 and days < 367:
                REQUEST.set_setting('email_deletedays', days)
        else:
            REQUEST.del_setting('email_deletedays')

        REQUEST.mod_req.headers_out["Location"] = "%sesettings.py?show=1" % _Conf.BASE_EMAIL_URL
        return apache.HTTP_MOVED_TEMPORARILY

    elif REQUEST.form.has_key('sigsubmit') or REQUEST.form.has_key('sigsubmit.x'):
        if REQUEST.form.has_key('name1') and REQUEST.form['name1'].value.decode('UTF8').strip():
            sig1 = ""
            if REQUEST.form.has_key('sig1') and REQUEST.form['sig1'].value.decode('UTF8').strip():
                sig1 = REQUEST.form['sig1'].value.decode('UTF8').strip()
            sign1 = [REQUEST.form['name1'].value.decode('UTF8').strip(), sig1]
            REQUEST.set_setting('user_signature1', sign1)
        else:
            REQUEST.del_setting('user_signature1')
        if REQUEST.form.has_key('name2') and REQUEST.form['name2'].value.decode('UTF8').strip():
            sig2 = ""
            if REQUEST.form.has_key('sig2') and REQUEST.form['sig2'].value.decode('UTF8').strip():
                sig2 = REQUEST.form['sig2'].value.decode('UTF8').strip()
            sign2 = [REQUEST.form['name2'].value.decode('UTF8').strip(), sig2]
            REQUEST.set_setting('user_signature2', sign2)
        else:
            REQUEST.del_setting('user_signature2')
        if REQUEST.form.has_key('name3') and REQUEST.form['name3'].value.decode('UTF8').strip():
            sig3 = ""
            if REQUEST.form.has_key('sig3') and REQUEST.form['sig3'].value.decode('UTF8').strip():
                sig3 = REQUEST.form['sig3'].value.decode('UTF8').strip()
            sign3 = [REQUEST.form['name3'].value.decode('UTF8').strip(), sig3]
            REQUEST.set_setting('user_signature3', sign3)
        else:
            REQUEST.del_setting('user_signature3')

        REQUEST.mod_req.headers_out["Location"] = "%sesettings.py?sig=1" % _Conf.BASE_EMAIL_URL
        return apache.HTTP_MOVED_TEMPORARILY

    elif REQUEST.form.has_key('listingdelete') or REQUEST.form.has_key('listingdelete.x'):
        del_ids = []
        for key in REQUEST.form.keys():
            if key[:4] == 'sel_':
                del_ids.append(int(key[4:]))

        for del_id in del_ids:
            account = _Eaccount.Eaccount(REQUEST, _InitTypes.INIT_TYPE_ID, del_id)
            account.delete()

        REQUEST.mod_req.headers_out["Location"] = "%sesettings.py" % _Conf.BASE_EMAIL_URL
        return apache.HTTP_MOVED_TEMPORARILY

    elif REQUEST.form.has_key('listingtoggle') or REQUEST.form.has_key('listingtoggle.x'):
        del_ids = []
        for key in REQUEST.form.keys():
            if key[:4] == 'sel_':
                del_ids.append(int(key[4:]))

        for del_id in del_ids:
            account = _Eaccount.Eaccount(REQUEST, _InitTypes.INIT_TYPE_ID, del_id)
            if (account.get('eaccount_flags') & _Eaccount.EACCOUNT_DELETE_MESSAGES) <> 0:
                account.set('eaccount_flags', account.get('eaccount_flags') & ~(_Eaccount.EACCOUNT_DELETE_MESSAGES))
            else:
                account.set('eaccount_flags', account.get('eaccount_flags') | _Eaccount.EACCOUNT_DELETE_MESSAGES)
            account.save()

        REQUEST.mod_req.headers_out["Location"] = "%sesettings.py" % _Conf.BASE_EMAIL_URL
        return apache.HTTP_MOVED_TEMPORARILY

    elif REQUEST.form.has_key('listingactivate') or REQUEST.form.has_key('listingactivate.x'):
        del_ids = []
        for key in REQUEST.form.keys():
            if key[:4] == 'sel_':
                del_ids.append(int(key[4:]))

        for del_id in del_ids:
            account = _Eaccount.Eaccount(REQUEST, _InitTypes.INIT_TYPE_ID, del_id)
            account.set('eaccount_flags', account.get('eaccount_flags') | _Eaccount.EACCOUNT_ACTIVE)
            account.save()

        REQUEST.mod_req.headers_out["Location"] = "%sesettings.py" % _Conf.BASE_EMAIL_URL
        return apache.HTTP_MOVED_TEMPORARILY

    elif REQUEST.form.has_key('listingdeactivate') or REQUEST.form.has_key('listingdeactivate.x'):
        del_ids = []
        for key in REQUEST.form.keys():
            if key[:4] == 'sel_':
                del_ids.append(int(key[4:]))

        for del_id in del_ids:
            account = _Eaccount.Eaccount(REQUEST, _InitTypes.INIT_TYPE_ID, del_id)
            account.set('eaccount_flags', account.get('eaccount_flags') & ~(_Eaccount.EACCOUNT_ACTIVE))
            account.save()

        REQUEST.mod_req.headers_out["Location"] = "%sesettings.py" % _Conf.BASE_EMAIL_URL
        return apache.HTTP_MOVED_TEMPORARILY

    elif REQUEST.form.has_key('newsubmit') or REQUEST.form.has_key('newsubmit.x'):
        if not REQUEST.form.has_key('eaccount_name') or not REQUEST.form['eaccount_name'].value.decode('UTF8').strip() or \
           not REQUEST.form.has_key('eaccount_user') or not REQUEST.form['eaccount_user'].value.decode('UTF8').strip() or \
           not REQUEST.form.has_key('eaccount_password1') or not REQUEST.form['eaccount_password1'].value.decode('UTF8').strip() or \
           not REQUEST.form.has_key('eaccount_password2') or not REQUEST.form['eaccount_password2'].value.decode('UTF8').strip() or \
           not REQUEST.form.has_key('eaccount_type') or not REQUEST.form['eaccount_type'].value.decode('UTF8').strip():
            raise RuntimeError, REQUEST.TLS('tls_missinginfo')
        if REQUEST.form['eaccount_password1'].value.decode('UTF8').strip() <> REQUEST.form['eaccount_password2'].value.decode('UTF8').strip():
            raise RuntimeError, REQUEST.TLS('admin_users_nomatch')
        if REQUEST.form['eaccount_type'].value.decode('UTF8').strip() not in ['IMAP4','POP3']:
            raise RuntimeError, REQUEST.TLS('email_invalidserver')

        account = _Eaccount.Eaccount(REQUEST, _InitTypes.INIT_TYPE_NEW)
        if REQUEST.form.has_key('eaccount_messages'):
            account.set('eaccount_flags', 0)
        else:
            account.set('eaccount_flags', _Eaccount.EACCOUNT_DELETE_MESSAGES)
        account.set('parent_id', REQUEST.USER.get_id())
        account.set('is_private', 1)

        account.set('eaccount_name', REQUEST.form['eaccount_name'].value.decode('UTF8').strip())
        account.set('eaccount_user', REQUEST.form['eaccount_user'].value.decode('UTF8').strip())
        account.set('eaccount_password', REQUEST.form['eaccount_password1'].value.decode('UTF8').strip())
        if REQUEST.form['eaccount_type'].value.decode('UTF8').strip() == 'IMAP4':
            account.set('eaccount_flags', account.get('eaccount_flags') | _Eaccount.EACCOUNT_IMAP4)
        else:
            account.set('eaccount_flags', account.get('eaccount_flags') | _Eaccount.EACCOUNT_POP3)
        account.set('eaccount_flags', account.get('eaccount_flags') | _Eaccount.EACCOUNT_ACTIVE)
        account.save()

        REQUEST.mod_req.headers_out["Location"] = "%sesettings.py" % _Conf.BASE_EMAIL_URL
        return apache.HTTP_MOVED_TEMPORARILY
    else:
        REQUEST.mod_req.headers_out["Location"] = "%sesettings.py" % _Conf.BASE_EMAIL_URL
        return apache.HTTP_MOVED_TEMPORARILY


def menu_output(REQUEST):
    output=[]
    BASE_ICON_URL = _Conf.BASE_ICON_URL
    BASE_EMAIL_URL = _Conf.BASE_EMAIL_URL
    tls_addaccount = REQUEST.TLS('email_addaccount')
    tls_accounts = REQUEST.TLS('email_accounts')
    tls_userinfo = REQUEST.TLS('email_userinfo')
    tls_signatures = REQUEST.TLS('email_sig')
    tls_dictionaries = REQUEST.TLS('tls_dictionaries')


    active = 0
    if REQUEST.form.has_key('add') and REQUEST.form['add'].value=='1':
      active = 1
      el2 = u"""
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk3.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
          <TD nowrap class="th_listingun">&nbsp;&nbsp;<a class="blackboldlink" href="%(BASE_EMAIL_URL)sesettings.py?add=1">%(tls_addaccount)s</a>&nbsp;&nbsp;</TD>
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk4.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>""" % locals()
    else:
      el2 = u"""
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk1.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
          <TD nowrap class="th_listing">&nbsp;&nbsp;<a class="blacklink" href="%(BASE_EMAIL_URL)sesettings.py?add=1">%(tls_addaccount)s</a>&nbsp;&nbsp;</TD>
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk2.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>""" % locals()
    if REQUEST.form.has_key('show') and REQUEST.form['show'].value=='1':
      active = 1
      el3 = u"""
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk3.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
          <TD nowrap class="th_listingun">&nbsp;&nbsp;<a class="blackboldlink" href="%(BASE_EMAIL_URL)sesettings.py?show=1">%(tls_userinfo)s</a>&nbsp;&nbsp;</TD>
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk4.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>""" % locals()
    else:
      el3 = u"""
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk1.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
          <TD nowrap class="th_listing">&nbsp;&nbsp;<a class="blacklink" href="%(BASE_EMAIL_URL)sesettings.py?show=1">%(tls_userinfo)s</a>&nbsp;&nbsp;</TD>
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk2.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>""" % locals()
    if REQUEST.form.has_key('sig') and REQUEST.form['sig'].value=='1':
      active = 1
      el4 = u"""
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk3.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
          <TD nowrap class="th_listingun">&nbsp;&nbsp;<a class="blackboldlink" href="%(BASE_EMAIL_URL)sesettings.py?sig=1">%(tls_signatures)s</a>&nbsp;&nbsp;</TD>
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk4.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>""" % locals()
    else:
      el4 = u"""
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk1.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
          <TD nowrap class="th_listing">&nbsp;&nbsp;<a class="blacklink" href="%(BASE_EMAIL_URL)sesettings.py?sig=1">%(tls_signatures)s</a>&nbsp;&nbsp;</TD>
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk2.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>""" % locals()
    if active<> 1:
      el1 = u"""
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk3.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
          <TD nowrap class="th_listingun">&nbsp;&nbsp;<a class="blackboldlink" href="%(BASE_EMAIL_URL)sesettings.py">%(tls_accounts)s</a>&nbsp;&nbsp;</TD>
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk4.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>""" % locals()
    else:
      el1 = u"""
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk1.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
          <TD nowrap class="th_listing">&nbsp;&nbsp;<a class="blacklink" href="%(BASE_EMAIL_URL)sesettings.py">%(tls_accounts)s</a>&nbsp;&nbsp;</TD>
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk2.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>""" % locals()


    output.append(u"""
      <TABLE border=0 width="100%%" cellpadding=0 cellspacing=0>
        <TR>
          <TD class="td_listing0"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
          %(el1)s
          <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=5 height=1 border=0 alt=""></TD>
          %(el2)s
          <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=5 height=1 border=0 alt=""></TD>
          %(el3)s
          <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=5 height=1 border=0 alt=""></TD>
          %(el4)s
          <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=1 border=0 alt=""></TD>
        </TR>
      </TABLE>""" % locals())
    return "\n".join(output)
