# Copyright (C) 2003-2005 Inversion Software Ltd. <inversion@inversion.ee>
# http://www.conflux.ee/
#
# This file is part of Conflux Lite
#
# Conflux Lite is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# Conflux Lite is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Conflux Lite; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
######################################################################

import _Conf, standard_html, urllib

def index(REQUEST):
    ns = {'BASE_URL':_Conf.BASE_URL, 'BASE_EMAIL_URL':_Conf.BASE_EMAIL_URL}
    if REQUEST.form.has_key('ext_link'):
        ns['ext_link'] = urllib.unquote(REQUEST.form['ext_link']).decode('UTF8')
    else:
        ns['ext_link'] = _Conf.BASE_URL + 'frontpage.py'
    ns['app_name'] = _Conf.APP_NAME
    return u"""\
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN"
   "http://www.w3.org/TR/html4/frameset.dtd">
<HTML>
  <HEAD>
    <TITLE>%(app_name)s</TITLE>
    <LINK REL="SHORTCUT ICON" HREF="%(BASE_URL)sfavicon.ico">
  </HEAD>
<FRAMESET cols="180, *" frameborder="0" border="0">
  <FRAMESET rows="*, 30, 1" frameborder="0" border="0">
    <FRAME name="topmenu" src="%(BASE_URL)sindex.py/topmenu" frameborder="0" noresize scrolling="no" marginwidth="0" marginheight="0">
    <FRAME name="logoff" src="%(BASE_URL)slogoff.py" frameborder="0" noresize scrolling="no" marginwidth="0" marginheight="0">
    <FRAME name="check" src="%(BASE_URL)semail/autocheck.py" frameborder="0" noresize scrolling="no" marginwidth="0" marginheight="0">
  </FRAMESET>
  <FRAME name="topcontents" src="%(ext_link)s" frameborder="0" noresize scrolling="auto" marginwidth="0" marginheight="0">
  <NOFRAMES>
    This document requires a browser that supports frames.
  </NOFRAMES>
</FRAMESET>
</HTML>""" % ns

def topmenu(REQUEST):
    return standard_html.top_menu(REQUEST)
