function selected(cal, date) {
  cal.sel.value = date; // just update the date in the input field.
  if (cal.sel2)
  {
      document.getElementById(cal.sel2).value = date; // just update the date in the input field.
  }
  if (cal.dateClicked)
    // if we add this call we close the calendar on single-click.
    // just to exemplify both cases, we are using this only for the 1st
    // and the 3rd field, while 2nd and 4th will still require double-click.
    cal.callCloseHandler();
}
// And this gets called when the end-user clicks on the _selected_ date,
// or clicks on the "Close" button.  It just hides the calendar without
// destroying it.
function closeHandler(cal) {
  cal.hide();
  calendar = null;
}

function showCalendar(id, format, id2) {
  var el = document.getElementById(id);
  if (calendar != null) {
    calendar.hide();
  } 
  else 
  {
    var cal = new Calendar(true, null, selected, closeHandler);
    // cal.weekNumbers = false;
    cal.showsOtherMonths = true;
    calendar = cal;                  // remember it in the global var
    cal.setRange(1900, 2070);        // min/max year allowed.
    cal.create();
  }
  calendar.setDateFormat(format);    // set the specified date format
  calendar.parseDate(el.value);      // try to parse the text in field
  calendar.sel = el;                 // inform it what input field we use
  if (id2)
  {
      calendar.sel2 = id2;
  }

  // the reference element that we pass to showAtElement is the button that
  // triggers the calendar.  In this example we align the calendar bottom-right
  // to the button.
  calendar.showAtElement(el, "Br");        // show the calendar
  return false;
}