# Copyright (C) 2003-2005 Inversion Software Ltd. <inversion@inversion.ee>
# http://www.conflux.ee/
#
# This file is part of Conflux Lite
#
# Conflux Lite is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# Conflux Lite is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Conflux Lite; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
######################################################################

# -*- coding: UTF-8 -*-
translation_dict = {
# Login
'login_user':'Utilizador',
'login_password':'Senha',
'login_remember':'Recordar utilizador',

# Top level left menu items
'topmenu_desktop':'Ambiente de Trabalho',
'topmenu_documents':'Gestão Documental'.decode('UTF-8'),
'topmenu_calendar':'Calendário'.decode('UTF-8'),
'topmenu_todos':'Tarefas e Notas',
'topmenu_contacts':'Contactos',
'topmenu_email':'E-mail',
'topmenu_disc':'Discussões'.decode('UTF-8'),
'topmenu_admin':'Administração'.decode('UTF-8'),
'topmenu_workflows':'Fluxos de Trabalho',
'topmenu_clients':'Clientes',
'topmenu_products':'Produtos',
'topmenu_opportunities':'Oportunidades',
'topmenu_messages':'Mensagens',

# Item types
'type_Persons':'Pessoas',
'type_Organizations':'Organizações'.decode('UTF-8'),
'type_Folders':'Pastas',
'type_Documents':'Gestão Documental'.decode('UTF-8'),
'type_Events':'Eventos',
'type_Todos':'Tarefas',
'type_Contacts':'Contactos',
'type_eFolders':'ePastas',
'type_e-mails':'E-mails',
'type_eAccounts':'eContas',
'type_Discussions':'Discussões'.decode('UTF-8'),
'type_UserNotes':'Notas',
'type_Discussion categories':'Categorias de Discussão'.decode('UTF-8'),
'type_Calendar resources':'Recursos do Calendário'.decode('UTF-8'),
'type_Bookmarks':'Bookmarks',
'type_Workflows':'Fluxos de Trabalho',
'type_Client':'Clientes',
'type_Opportunity':'Oportunidades',
'type_Product':'Produtos',
'type_Quota':'Quotas',

# System e-mail folders
'mail_Inbox':'Caixa de Entrada',
'mail_Sent Items':'Items Enviados',
'mail_Deleted Items':'Items Apagados',
'mail_Drafts':'Esboços'.decode('UTF-8'),


# Generic keywords
'':'', # EMPTY STRING
'tls_search':'Pesquisa',
'tls_adv_search':'Pesquisa Avançada'.decode('UTF-8'),
'tls_dupe_search':'Pesquisa Duplicada',
'tls_keyword':'Palavra Chave',
'tls_add':'Adicionar',
'tls_save':'Gravar',
'tls_list':'Lista',
'tls_name':'Nome',
'tls_information':'Informação'.decode('UTF-8'),
'tls_versions':'Versões'.decode('UTF-8'),
'tls_title':'Titulo',
'tls_creator':'Criador',
'tls_author':'Autor',
'tls_editor':'Editor',
'tls_edit':'Editar',
'tls_createtime':'Criado em',
'tls_edittime':'Editado em',
'tls_description':'Descrição'.decode('UTF-8'),
'tls_comments':'Comentários'.decode('UTF-8'),
'tls_contents':'Conteúdo'.decode('UTF-8'),
'tls_folders':'Pastas',
'tls_active':'Activo',
'tls_missing_input':'Por favor, preencha todos os campos requiridos antes de enviar!',
'tls_missing_meta_data':'Por favor verifique a informação do campo'.decode('UTF-8'),
'tls_subject':'Assunto',
'tls_date':'Data',
'tls_back_x':'%d items anteriores',
'tls_forward_x':'Próximos %d items'.decode('UTF-8'),
'tls_deletesel':'Apagar Seleccionados',
'tls_delete':"Apagar",
'tls_password':'Senha',
'tls_passwordagain':'Senha novamente',
'tls_email':'E-mail',
'tls_phone_work':'Telefone do trabalho',
'tls_phone_fax':'Fax',
'tls_phone_home':'Telefone de Casa',
'tls_phone_cell':'Telemóvel'.decode('UTF-8'),
'tls_website':'Website',
'tls_email':'E-mail',
'tls_contacts':'Contactos',
'tls_todos':'Tarefas',
'tls_todo':'Tarefa',
'tls_first_name':'Primeiro Nome',
'tls_last_name':'Último Nome'.decode('UTF-8'),
'tls_middle_names':'Nomes intermédios'.decode('UTF-8'),
'tls_category':'Categoria',
'tls_private':'Privado',
'tls_public':'Público'.decode('UTF-8'),
'tls_fromto_to':'para',
'tls_priority':'Prioridade',
'tls_activity':'Actividade',
'tls_status':'Estado',
'tls_related':'Relacionado',
'tls_responsible_per':'Pessoas responsáveis'.decode('UTF-8'),
'tls_responsible':'Responsável'.decode('UTF-8'),
'tls_invdateformat':'Formato de data introduzido inválido.'.decode('UTF-8'),
'tls_nousers':'Nenhum utilizador especificado.',
'tls_nodata':'Dados do Evento não fornecidos.'.decode('UTF-8'),
'tls_missinginfo':'Informação obrigatória em falta'.decode('UTF-8'),
'tls_notitle':'Nenhum título atribuído'.decode('UTF-8'),
'tls_notes':'Notas',
'tls_note':'Nota',
'tls_discussions':'Discussões'.decode('UTF-8'),
'tls_emails':'E-mails',
'tls_myinfo':'Informações Pessoais'.decode('UTF-8'),
'tls_settings':'Definições do Utilizador'.decode('UTF-8'),
'tls_remove':'Remover',
'tls_enabled_modules':'Activar módulos'.decode('UTF-8'),
'tls_select_all':'sleccionar todos',
'tls_relations':'Relações'.decode('UTF-8'),
'tls_remove_rels':'Remover relações'.decode('UTF-8'),
'tls_add_relation':'Criar Relação'.decode('UTF-8'),
'tls_logoff':'Sair',
'tls_search_events':'Eventos no Calendário'.decode('UTF-8'),
'tls_input_short':'Pesquisa de palavras chave requer pelo menos 3 letras.',
'tls_type':'Tipo',
'tls_search_results':'Resultados da pesquisa',
'tls_sms':'SMS',
'tls_emoticons':'Emoções'.decode('UTF-8'),
'tls_timezone':'Fuso horário'.decode('UTF-8'),
'tls_subjects':'Tópicos'.decode('UTF-8'),
'tls_noitemid':'Não foi definido o id para o item'.decode('UTF-8'),
'tls_all':'Todos',
'tls_my':'Meu',
'tls_confirm_del':'Tem a certeza que quer apagar?',
'tls_save_close':'Gravar & Fechar'.decode('UTF-8'),
'tls_selected':'Seleccionados',
'tls_remove_sel':'Remover seleccionados',
'tls_add_sel':'Adicionar os seleccionados',
'tls_group':'Grupo',
'tls_file':'Ficheiro',
'tls_norecords':'Nenhum registo especificado.',
'tls_groupname':'Nome do grupo',
'tls_members':'Membros',
'tls_members2':'Membros',
'tls_viewmembers':'Ver Membros',
'tls_nomembers':'Não existem membros neste grupo.'.decode('UTF-8'),
'tls_usedspace':'Espaço utilizado'.decode('UTF-8'),
'tls_invalid_file':'Ficheiro enviado inválido.'.decode('UTF-8'),
'tls_document':'Documento',
'tls_currdate':'Data actual',
'tls_time':'Horas',
'tls_time2':'Horas',
'tls_time3':'Horas',
'tls_merge':'Fundir',
'tls_object':'Objecto',
'tls_show':'Visualizar',
'tls_deleter':'Apagado por',
'tls_deltime':'Apagado em',
'tls_deleteditem':'Item Apagado',
'tls_path':'Caminho',
'tls_free':'Livre',
'tls_used':'Utilizado',
'tls_size':'Tamanho',
'tls_format':'Formato',
'tls_bgcolor':'Côr de Fundo'.decode('UTF-8'),
'tls_recentsearches':'pesquisas recentes',
'tls_programs':'Programas',
'tls_dictionaries':'Dicionários'.decode('UTF-8'),
'tls_add_to_dict':'Adicionar ao dicionário'.decode('UTF-8'),
'tls_schedule':'Agendar',
'tls_mymessages':'As minhas mensagens',
'tls_mynotes':'As minhas notas',
'tls_greeting':'Bem vindo ao Conflux %s',
'tls_newevent':'novo evento',
'tls_newtask':'nova tarefa',
'tls_newnote':'nova nota',
'tls_newemail':'novo email',
'tls_noevents':'Nenhum evento agendado.',
'tls_close':'Fechar',
'tls_closewin':'Fechar Janela',
'tls_back':'Voltar',
'tls_view':'Visualizar',
'tls_birthdays':'Aniversários'.decode('UTF-8'),


# Menus.py, admin menu
'compmenu_admin_org':'Organizações'.decode('UTF-8'),
'compmenu_admin_user':'Utilizadores',
'compmenu_admin_group':'Grupos',
'compmenu_admin_settings':'Definições'.decode('UTF-8'),
'compmenu_admin_choices':'Selecções'.decode('UTF-8'),
'compmenu_admin_access':'Árvore de acessos'.decode('UTF-8'),
'compmenu_admin_toplevel':'ASP',
'compmenu_admin_news':'Notícias'.decode('UTF-8'),
'compmenu_admin_system':'Sistema',

# Menus.py, calendar menu
'compmenu_cal_day':'Calendário Diário'.decode('UTF-8'),
'compmenu_cal_week':'Calendário Semanal'.decode('UTF-8'),
'compmenu_cal_month':'Calendário Mensal'.decode('UTF-8'),

# Menus.py, document menu
'compmenu_doc_docs':'Documentos',
'compmenu_doc_addfile':'Adicionar ficheiro',
'compmenu_doc_addfolder':'Adicionar pasta',
'compmenu_doc_tree':'Árvore de documentos'.decode('UTF-8'),
'compmenu_org_tree':'Árvore de organizações'.decode('UTF-8'),

# Menus.py, messages menu
'compmenu_mes_mess':'Mensagens',
'compmenu_mes_addmess':'Adicionar mensagem',
'compmenu_mes_addfolder':'Adicionar pasta',

# Menus.py, todo menu
'compmenu_todo_active':'Tarefas Activas',
'compmenu_todo_all':'Todas as Tarefas',
'compmenu_todo_notes':'Notas',

# Menus.py, contact menu
'compmenu_contact_listmy':'Os Meus Contactos',
'compmenu_contact_all':'Todos os  Contactos',
'compmenu_export_import':'Exportar/Importar',

# Menus.py, email menu
'compmenu_email_list':'E-mails',
'compmenu_email_compose':'Escrever',
'compmenu_email_settings':'Definições'.decode('UTF-8'),
'compmenu_email_sync':'Verificar E-mail',
'compmenu_email_filters':'Filtros',

# Menus.py, clients menu
'compmenu_client_mine':'Os Meus Clientes',
'compmenu_client_all':'Todos os Clientes',

# Menus.py opportunities menu
'compmenu_active_opp':'As minhas activas',
'compmenu_active_oth':'Todas  activas',
'compmenu_all_opp':'Todas fechadas',

# Menus.py products menu
'compmenu_products':'Produtos',

# _Document.py
'docobj_nodocsave':'Nada foi adicionado.',
'docobj_undeletemissing':'INTERNO: Falta informação requerida para recuperar o documento.'.decode('UTF-8'),
'docobj_notsaved':'Objecto Documento (não gravado)'.decode('UTF-8'),
'docobj_noname':'Ojecto Documento #%s',

# _Event.py
'eventobj_noname':'Objecto Evento #%s',
'eventobj_notsaved':'Objecto Evento (não gravado)'.decode('UTF-8'),

# _Folder.py
'folderobj_noname':'Objecto Pasta #%s',
'folderobj_notsaved':'Objecto Pasta (não gravado)'.decode('UTF-8'),
'folderobj_undeletemissing':'INTERNO: Falta informação requrida para recuperar a pasta.'.decode('UTF-8'),

# _Indexer.py
'indexer_noparser':'Nenhum parser para %s encontrado.',
'indexer_nofilter':'Nenhum filtro para %s encontrado.',
'indexer_failed':'Filtro falhou: %s, %d',

# _Organization.py
'orgobj_noname':'Objecto Organização #%s'.decode('UTF-8'),
'orgobj_notsaved':'Objecto Organização (não gravado)'.decode('UTF-8'),
'orgobj_accgrperr':'Não foi possível criar o grupo de acesso por defeito para a organização.'.decode('UTF-8'),
'orgobj_undeletemissing':'INTERNO: Falta informação requerida para recuperar a organização.'.decode('UTF-8'),
'orgobj_copytohook':'As Organizações não podem ser copiadas!'.decode('UTF-8'),
'orgobj_noaccgrp':'Nenhum grupo de acesso para a organização!'.decode('UTF-8'),

# _Person.py
'personobj_noname':'Objecto Pessoa #%s',
'personobj_notsaved':'Objecto Pessoa (não gravado)'.decode('UTF-8'),

# _RootObject.py
'rootobj_matchingkeys':'Campos correspondentes em item_data e object_data encontrados.',
'rootobj_noitemtype':'Objecto não tem nenhum tipo de item definido.'.decode('UTF-8'),
'rootobj_invalidinit':'Tipo de convite inválido.'.decode('UTF-8'),
'rootobj_nosetaccess':'Acesso às definições do campo "%s" não permitido.'.decode('UTF-8'),
'rootobj_noname':'Objecto RootObject #%s',
'rootobj_notsaved':'Objecto RootObject (não gravado)'.decode('UTF-8'),
'rootobj_selecterror':'Falha ao carregar objecto da base de dados.',
'rootobj_primarykeyset':'INTERNO: Tentando inserir um objecto com a primary key definida.',
'rootobj_typecasterr':'Casting falhou no campo "%s".',
'rootobj_missingnodefault':'Falta informação no campo obrigatório "%s".'.decode('UTF-8'),
'rootobj_primarykeymissing':'INTERNO: Tentando actualizar um objecto sem primary key.',
'rootobj_parentmissing':'Nenhum parente válido encontrado enquanto é feita a gravação.'.decode('UTF-8'),
'rootobj_savefailed':'Gravação do objecto na base de dados falhou.'.decode('UTF-8'),
'rootobj_selectnoprimary':'Falha ao carregar da base de dados sem a informação requerida.'.decode('UTF-8'),
'rootobj_noreadaccess':'Permissão de leitura do objecto negada.'.decode('UTF-8'),
'rootobj_noinsertaccess':'Permissão para criar um novo objecto negada.'.decode('UTF-8'),
'rootobj_noupdateaccess':'Permissão para modificar um objecto negada.'.decode('UTF-8'),
'rootobj_recursiveupdate':'Actualizações recursivas não são permitidas.'.decode('UTF-8'),
'rootobj_nodeleteaccess':'Permissão para apagar objecto negada.'.decode('UTF-8'),
'rootobj_dispatchnotype':'INTERNO: Unsupported object found item dispatcher.',

# _Todo.py
'todoobj_noname':'Objecto Tarefa #%s',
'todoobj_notsaved':'Objecto Tarefa (não gravado)'.decode('UTF-8'),

# _Efolder.py
'efolderobj_noname':'Objecto E-pasta #%s',
'efolderobj_notsaved':'Objecto E-pasta (não gravado)'.decode('UTF-8'),

# _Eaccount.py
'eaccountobj_noname':'Objecto E-conta  #%s',
'eaccountobj_notsaved':'Objecto E-conta (não gravado)'.decode('UTF-8'),

# _Email.py
'emailobj_noname':'Objecto E-mail #%s',
'emailobj_notsaved':'Objecto E-mail (não gravado)'.decode('UTF-8'),

# _Discusssion.py
'discobj_noname':'Objecto Discussão #%s'.decode('UTF-8'),
'discobj_notsaved':'Objecto Discussão (não gravado)'.decode('UTF-8'),

# _Usernote.py
'noteobj_noname':'Objecto Nota #%s',      
'noteobj_notsaved':'Objecto Nota (não gravado)'.decode('UTF-8'),

# _Contact.py
'contactobj_noname':'Objecto Contacto #%s',
'contactobj_notsaved':'Objecto Contacto (não gravado)'.decode('UTF-8'),

# _Utils.py
'utils_invalidboolean':'Valor inválido para um boolean.'.decode('UTF-8'),
'utils_invalidint':'Valor inválido para um integer.'.decode('UTF-8'),
'utils_invalidarray':'Valor inválido para um array.'.decode('UTF-8'),

# Error messages, _Baselib.py
'baselib_authenticate_please':'Por favor autentique-se:',
'baselib_authenticate_wrongpass':'Nome de utilizador ou senha incorrectos.',
'baselib_authenticate_disabled':'O utilizador foi desactivado.',
'baselib_authenticate_expired':'A sua sessão expirou.'.decode('UTF-8'),
'request_sunouser':'Su não encontrou informação correspondente a esse utilizador.'.decode('UTF-8'),
'request_nounsu':'A session stack para su já está vazia.'.decode('UTF-8'),

# Calendar
'month_1':'Janeiro',
'month_2':'Fevereiro',
'month_3':'Março'.decode('UTF-8'),
'month_4':'Abril',
'month_5':'Maio',
'month_6':'Junho',
'month_7':'Julho',
'month_8':'Agostot',
'month_9':'Setembro',
'month_10':'Outubro',
'month_11':'Novembro',
'month_12':'Dezembro',

# Document management
'size':'Tamanho',
'date':'Data',
'doc_cutbutton':'cutbtn_pt.gif',
'doc_copybutton':'copybtn_pt.gif',
'doc_deletebutton':'deletebtn_pt.gif',
'doc_renamebutton':'renamebtn_pt.gif',
'doc_pastebutton':'pastebtn_pt.gif',
'doc_metadatasaved':'Metadados do documento gravado.',
'doc_contentssaved':'Conteúdo do documento gravado.'.decode('UTF-8'),
'doc_newversaved':'Nova versão do documento gravada.'.decode('UTF-8'),
'doc_simple_search':'Pesquisa Simples',
'doc_complex_search':'Pesquisa Avançada'.decode('UTF-8'),
'doc_filename':'Nome do ficheiro',
'doc_file':'Ficheiro',
'doc_folder':'Pasta',
'doc_author':'Autor',
'doc_modification_date':'Data de modificação'.decode('UTF-8'),
'doc_creation_date':'Data de criação'.decode('UTF-8'),
'doc_addfile':'Adicionar ficheiro',
'doc_editfilemeta':'Editar metadados',
'doc_editfilecontents':'Editar conteúdo do ficheiro'.decode('UTF-8'),
'doc_loadnewversion':'Carregar nova versão'.decode('UTF-8'),
'doc_delversion':'Apagar Versões'.decode('UTF-8'),
'doc_primeversion':'Recuperar Versão'.decode('UTF-8'),
'doc_saveasnewversion':'Gravar como nova versão'.decode('UTF-8'),
'doc_addfolder':'Adicionar pasta'.decode('UTF-8'),
'doc_foldername':'Nome',     
'doc_fileadded':'Ficheiro criado.<BR>Está a ser redireccionado para a lista.'.decode('UTF-8'),
'required_parameters_missing':'Parámetros obrigatórios não foram fornecidos.'.decode('UTF-8'),
'doc_folderadded':'Pasta criada.<BR>Está a ser redireccionado para a lista.'.decode('UTF-8'),
'doc_nosuchdocop':'O tipo de operação que pediu no documento não está implementada.'.decode('UTF-8'),
'doc_nothing_selected':'Não seleccionou nehum objecto.'.decode('UTF-8'),
'doc_rename_wrongtype':'O tipo de objecto seleccionado não pode ser renomeado através da gestão documental.'.decode('UTF-8'),
'doc_rename':'Renomear',
'doc_rename_newname':'Novo nome',
'doc_simple':'simples',
'doc_advanced':'avançado'.decode('UTF-8'),
'doc_copy_marked':'Objectos marcados para serem copiados.',
'doc_cut_marked':'Objectos marcados para serem cortados.',
'doc_item_copied':'Objecto %s copiado.<BR>',
'doc_item_moved':'Objecto %s movido.<BR>',
'doc_item_deleted':'Objecto %s apagado.<BR>',
'doc_item_renamed':'Objecto renomeado.',
'doc_rename_nochange':'Nome do Objecto não foi alterado.'.decode('UTF-8'),
'doc_rename_exists':'Já existe um ficheiro ou uma pasta com esse nome.'.decode('UTF-8'),
'doc_file_notfound':'Solicitou uma  acção para um documento que não existe, ou então não tem as permissões necessárias para o ver.'.decode('UTF-8'),
'doc_toolarge':'Ediação Web-based não suporta ficheiros com tamanho superior a 1 megabyte.'.decode('UTF-8'),
'doc_noid':'Nenhum id no documento',
'doc_islocked':'Documento está bloqueado.'.decode('UTF-8'),
'doc_isunlocked':'Documento desbloqueado.',
'doc_isnotlocked':'Document não está bloqueado.'.decode('UTF-8'),
'doc_cantunlock':'Não é possível desbloquear o documento.'.decode('UTF-8'),
'doc_alreadylocked':'Documento já está bloqueado.'.decode('UTF-8'),
'doc_nolocktime':'Tempo de bloqueio não definido.'.decode('UTF-8'),
'doc_lock':'Bloquear Documento',
'doc_unlock':'Desbloquear Documento',
'doc_lockuntil':'Bloquear até'.decode('UTF-8'),
'doc_islock_show':'Documento está <font color="red">bloqueado.</font>'.decode('UTF-8'),
'doc_lockedby':'Bloqueado por',
'doc_lockeduntil':'Bloqueado até'.decode('UTF-8'),
'doc_showtree':'Visualizar Árvore'.decode('UTF-8'),
'doc_hidetree':'Esconder Árvore'.decode('UTF-8'),

'day_monday':'Segunda',
'day_tuesday':'Terça'.decode('UTF-8'),
'day_wednesday':'Quarta',
'day_thursday':'Quinta',
'day_friday':'Sexta',
'day_saturday':'Sábado'.decode('UTF-8'),
'day_sunday':'Domingo',

'day_end_th':'dia'.decode('UTF-8'),
'day_end_st':'1º'.decode('UTF-8'),
'day_end_nd':'2º'.decode('UTF-8'),
'day_end_rd':'3º'.decode('UTF-8'),

'email_nodeletedfolder':'Nehuma pasta "Items Apagados" encontrada.',
'email_noinboxfolder':'Nenuma pasta "Caixa de Entrada" encontrada.',
'email_nodraftsfolder':'Nenhuma pasta "Esboços" encontrada.'.decode('UTF-8'),
'email_nosentfolder':'Nenhuma pasta "Items Enviados" encontrada.',
'email_nofolderdef':'Nenhuma pasta foi seleccionada para esta operação.'.decode('UTF-8'),
'emails_nofolders':'Nenhuma e-Pasta foi encontrada.',
'emails_totalstring':'Total %d mensagens.',
'email_from':'De',
'email_to':'Para',
'email_cc':'CC',
'email_bcc':'BCC',
'email_createnew':'Criar novo',
'email_deletefolder':'Apagar pasta',
'email_short_newmail':'N',
'email_confirm_del':'Tem a certeza que pretende apagar os items seleccionados?',
'email_moveselto':'Mover para Pasta',
'email_imapreturnednoid':'Um servidor IMAP retornou uma mensagem sem um message-id. A sincronização não é possível.'.decode('UTF-8'),
'email_invalidserver':'Tipo de servidor inválido.'.decode('UTF-8'),
'email_syncrostring':'Foram encontradas %d novas mensagens no servidor %s, utilizador %s.',
'email_syncro_popup':'Tem  %d novas mensagens!',
'email_syncro_popup1':'Tem 1 mensagem nova!',
'email_newfolder':'Criar uma nova e-Pasta',
'email_delfolder':'Apagar uma e-Pasta',
'email_accounts':'Contas',
'email_server':'Servidor',
'email_user':'Utilizador',
'email_type':'Tipo de Servidor',
'email_active':'Activo',
'email_activate':'Activar',
'email_deactivate':'Desactivar',
'email_addaccount':'Adicionar uma conta',
'email_userinfo':'Informação do utilizador'.decode('UTF-8'),
'email_sendername':'Nome do remetente',
'email_sendermail':'E-mail do remetente',
'email_replyto':'Responder para',
'email_drafts':'Esboços'.decode('UTF-8'),
'email_attachment':'Anexos',
'email_addattachment':'Adicionar um anexo',
'email_short_del':'Apagar',
'email_newmessage':'Nova Mensagem',
'email_replymessage':'Responder a uma mensagem',
'email_replyallmessage':'Responder a todos',
'email_forwardmessage':'Reencaminhar uma mensagem',
'email_send':'Enviar',
'email_nofileattached':'Não juntou um anexo.'.decode('UTF-8'),
'email_emptyfileattached':'Juntou um anexo vazio.',
'email_nosettings':'Não configurou as definições da sua conta de e-mail. Por favor clique em "Definições".'.decode('UTF-8'),
'email_noreturnpath':'A informação foi submetida por um formulário não suportado.'.decode('UTF-8'),
'email_msgdeleted':'A Mensagem foi movida para "Items Apagados".',
'email_msgdeleted2':'Mensagem apagada.',
'email_messagesent':'Mensagem foi enviada.',
'email_sendmailerror':'O recipiente %s foi rejeitado pelo servidor de email: %s [%s]',
'email_forward':'Reencaminhar',
'email_forwardwhole':'Reencaminhar toda a mensagem',
'email_reply':'Responder',
'email_unsupported_quoting':'Citação utilizada na mensagem não é suportada.'.decode('UTF-8'),
'email_invalidsubject':'Encontrado assunto inválido "%s" : erro %s'.decode('UTF-8'),
'email_sig':'Assinaturas',
'email_signature':'Assinatura',
'email_choose':'Escolher',
'email_advanced_options':'Opções avançadas'.decode('UTF-8'),
'email_mark_read':'Marcar como lido',
'email_mark_unread':'Marcar como não lido'.decode('UTF-8'),
'email_high_priority':'Alta prioridade',
'email_normal_priority':'Prioridade Normal',
'email_no_accounts':'Não há contas activas.'.decode('UTF-8'),
'email_newfilter':'Novo filtro',
'email_condition':'Condição'.decode('UTF-8'),
'email_action':'Acção'.decode('UTF-8'),
'email_search_in':'Pesquisar em',
'email_contains':'para',
'email_case':'Sensível a maiúsculas e minúsculas'.decode('UTF-8'),
'email_cond_whole':'Toda a mensagem',
'email_cond_header':'Cabeçalho (de, para)'.decode('UTF-8'),
'email_cond_body':'Corpo (assunto, texto)',
'email_cond_from':'De',
'email_cond_to':'Para',
'email_cond_title':'Assunto',
'email_cond_text':'Texto',
'email_act_move':'Mover mensagem para',
'email_act_del':'Apagar mensagem',
'email_act_pri':'Marcar como alta prioridade',
'email_filter_moved':'Movida',
'email_filter_del':'Apagada',
'email_filter_pri':'Marcada',
'email_attach_nocheck':'Não verificar'.decode('UTF-8'),
'email_attach_yes':'Deve ter',
'email_attach_no':'Não deve ter'.decode('UTF-8'),
'email_pref_client':'Editor de e-mail por defeito',
'email_format_html':'Rich Text',
'email_format_plain':'Plain Text',
'email_format_confirm':'Algumas alterações podem ser perdidas. Proceder?'.decode('UTF-8'),
'email_view_frames':'Listagem de E-mails e conteúdos :'.decode('UTF-8'),
'email_view_single':'Vista com Frame única'.decode('UTF-8'),
'email_view_dual':'Vista com Frame dupla (Recomendado)',
'email_framesize':'Tamanho da Frame',
'email_sent':'Enviado',
'email_missingattachment':'Por favor primeiro junte o anexo.',
'email_spellcheck':'Verificação ortográfica'.decode('UTF-8'),
'email_resumeedit':'Sumário da edição'.decode('UTF-8'),
'email_spellingok':'Verificação sucedida.'.decode('UTF-8'),
'email_contactadded':'O remetente foi adicionado á sua lista de contactos'.decode('UTF-8'),
'email_mygroups':'Os meus Grupos',
'email_pubgroups':'Grupos Públicos'.decode('UTF-8'),
'email_delchk':'Eliminar mail dos Items Apagados',
'email_deldays':'Apagar depois de',
'email_inline':'Ver anexos em linha',

'contact_company':'Empresa',
'contact_department':'Departamento',
'contact_job':'Função'.decode('UTF-8'),
'contact_dateofbirth':'Data de Nascimento',
'contact_male':'Masculino',
'contact_female':'Feminino',
'contact_sex':'Sexo',
'contact_address':'Morada',
'contact_state':'Distrito',
'contact_tele':'Telefone',
'contact_addcontact':'Adicionar novo contacto',
'contact_viewcontact':'Ver contacto',
'contact_editcontact':'Editar contacto',
'contact_searchcontact':'Pesquisar contactos',
'contact_homepage':'Página WEB'.decode('UTF-8'),
'contact_saved':'Contacto gravado.',
'contact_info':'Info',
'contact_export':'Exportar',
'contact_import':'Importar',
'contact_import_csv':'Importar CSV',
'contact_format':'Formato de Output',
'contact_import_req':'Todos os contactos devem ter o primeiro e o último nome.'.decode('UTF-8'),
'contact_duplicate':'Foram encontrados vários contactos correspondendo ao contacto \'%s %s\', abortar.'.decode('UTF-8'),
'contact_matching':'Nomes correspondentes',
'contact_insert_new':'Inserir como novo',
'contact_update_ex':'Actualizar contactos existentes',
'contact_leave_out':'Deixar como está'.decode('UTF-8'),
'contact_import_success':'Importação bem sucedida'.decode('UTF-8'),
'contact_import_fount':'Encontrados %s contactos',
'contact_import_added':'Adicionados %s contactos',
'contact_import_updated':'Actualizados %s contactos',
'contact_import_left_out':'Não incluídos %s contactos'.decode('UTF-8'),
'contact_corresp':'Correspondência com contacto %s'.decode('UTF-8'),
'contact_merge':'Fundir Contactos',
'contact_stay':'Este contacto permanece.',
'contact_out':'Este contacto é apagado.'.decode('UTF-8'),
'contact_flip':'Trocar valores',
'contact_select_two':'Por favor seleccione dois contactos para serem fundidos.',
'contact_nomergeaccess':'Não tem permissões para alterar pelo menos um dos contactos.'.decode('UTF-8'),
'contact_selprim':'Por favor seleccione o contacto primário'.decode('UTF-8'),
'contact_prim':'Seleccionar como Primário'.decode('UTF-8'),

'todo_due':'Por Fazer',
'todo_done':'Concluído'.decode('UTF-8'),
'todo_searchtodo':'Pesquisar tarefas',
'todo_addtodo':'Adicionar uma tarefa',
'todo_edittodo':'Ver/editar uma tarefa',
'todo_starttime':'Data inicial',
'todo_duetime':'Data limite',
'todo_completedover':'Completadas igual ou superior a',
'todo_percentcomplete':'Percentagem completada',
'todo_complete':'Completada',
'todo_saved':'A tarefa foi gravada.',
'todo_accept':'Gravar e aceitar',
'todo_reject':'Gravar e rejeitar',
'todo_hasseen':'Viu a tarefa',
'todo_hasaccepted':'Aceitou a tarefa',
'todo_deleted':'A tarefa foi apagada.',
'todo_onlyme':'Apenas as minhas tarefas',
'todo_select_others':'Seleccionar tarefas de outros',
'todo_mytasks':'As minhas Tarefas',
'todo_date_1':'Faltam %d dias.',
'todo_date_2':'Falta um dia.',
'todo_date_3':'A data limite é hoje.'.decode('UTF-8'),
'todo_date_4':'Um dia de atraso.',
'todo_date_5':'%d dias de atraso.',
'todo_v_normal':'Vista normal',
'todo_v_created':'Tarefas criadas por mim',
'todo_v_assigned':'Tarefas atribuídas a mim'.decode('UTF-8'),
'todo_v_due':'Tarefas em atraso',

'note_message':'Mensagem',
'note_addnote':'Adicionar uma nota',
'note_editnote':'Editar a nota',
'note_public':'Nota de primeira página'.decode('UTF-8'),
'note_none':'Não tem qualquer nota pessoal.'.decode('UTF-8'),

'disc_posted':'Publicada em',
'disc_updated':'Última mensagem'.decode('UTF-8'),
'disc_search':'Pesquisar mensagens',
'disc_add':'Adicionar um tópico'.decode('UTF-8'),
'disc_reply':'Responder a um tópico'.decode('UTF-8'),
'disc_front':'Página principal da discussão'.decode('UTF-8'),
'disc_onlytop':'Pode apenas responder a tópicos, não a respostas.'.decode('UTF-8'),
'disc_replies':'Respostas',
'disc_open':'Discussão aberta'.decode('UTF-8'),

'front_notes':'Notas públicas da organização'.decode('UTF-8'),
'front_notodos':'Não tem tarefas em atraso ou activas.'.decode('UTF-8'),
'front_nodiscs':'Nenhuma discussão está actualmente em aberto.'.decode('UTF-8'),
'front_noaccount':'Não tem email.'.decode('UTF-8'),
'front_mail':"""Tem <span style="color: #A50000;">%d</span> mensagens na caixa de entrada, das quais <span style="color: #A50000;">%d</span> não foram lidas.""".decode('UTF-8'),
'front_nonotes':'Nenhuma nota pública foi publicada.'.decode('UTF-8'),
'front_exptodos':'Tarefas em atraso',
'front_todtodos':'Tarefas para hoje',

'setting_language':'Língua'.decode('UTF-8'),
'setting_dateformat':'Formato da Data',
'setting_batch':'Tamanho do Batch',
'setting_nolang':'Língua pedida desconhecida.'.decode('UTF-8'),
'setting_nodate':'Formato de Data pedido desconhecido.',
'setting_nobatch':'Tamanho de batch inválido, valores válidos entre 10 e 100.'.decode('UTF-8'),
'setting_saved':'Definições foram gravadas.'.decode('UTF-8'),

'cal_start':'Começa em'.decode('UTF-8'),
'cal_end':'Termina em',
'cal_nextyear':'Próximo ano'.decode('UTF-8'),
'cal_lastyear':'Ano anterior',
'cal_nextmonth':'Próximo mês'.decode('UTF-8'),
'cal_lastmonth':'Mês anterior'.decode('UTF-8'),
'cal_users':'Eventos/Tarefas de outros',
'cal_selusers':'Seleccionar outros',
'cal_onlymine':'Visualizar apenas os meus',
'cal_usertitle':'Seleccionar as pessoas cujos eventos/tarefas gostaria de ver:',
'cal_myviewlist':'Está a ver os eventos/tarefas das seguintes pessoas:'.decode('UTF-8'),
'cal_allpeople':'Todas as outras pessoas:',
'cal_select_resources':'Seleccionar os recursos cuja utilização gostaria de ver no seu calendário:'.decode('UTF-8'),
'cal_myviewresources':'Estou a ver os seguintes recursos no meu calendário:'.decode('UTF-8'),
'cal_allresources':'Todos os outros recursos:',
'cal_addevent':'Adicionar um evento',
'cal_editevent':'Editar um evento',
'cal_startdate':'Data do ínicio'.decode('UTF-8'),
'cal_enddate':'Data do fim',
'cal_starttime':'Hora do ínicio'.decode('UTF-8'),
'cal_endtime':'Hora do fim',
'cal_reminder':'Relembrar por',
'cal_remindtime':'Com antecedência de'.decode('UTF-8'),
'cal_repeattype':'Tipo de repetição'.decode('UTF-8'),
'cal_repeatinterval':'Intervalo de repetição'.decode('UTF-8'),
'cal_repweek':'Repete semanalmente',
'cal_repmonth':'Repete mensalmente',
'cal_repyear':'Repete anualmente',
'cal_onthe':'no',
'cal_repmonthstr':'dia do mês'.decode('UTF-8'),
'cal_dayof':'dia of',
'cal_every':'todos',
'cal_minutes':'minutos',
'cal_daily':'Diáriamente'.decode('UTF-8'),
'cal_weekly':'Semanalmente',
'cal_monthly':'Mensalmente',
'cal_yearly':'Anualmente',
'cal_doesnotrepeat':'Não se repete'.decode('UTF-8'),
'cal_off':'Desligado',
'cal_nosuprep':'O tipo especificado de repetição de eventos não é suportado.'.decode('UTF-8'),
'cal_saved':'Evento gravado.',
'cal_hasseen':'viu o evento.',
'cal_hasaccepted':'aceitou o evento.',
'cal_deleted':'Evento foi apagado.',
'cal_between':'entre',
'cal_searchevent':'Pesquisar eventos',
'cal_and':'e',
'cal_nodayselected':'Nenhum dia de repetição foi seleccionado para repetição semanal.'.decode('UTF-8'),
'cal_onday':'dia',
'cal_dayevery':'todos',
'cal_onweek':'semana',
'cal_weekevery':'todas',
'cal_onmonth':'mês'.decode('UTF-8'),
'cal_monthevery':'todas',
'cal_onyear':'anos',
'cal_yearevery':'todas',
'cal_legend':'Legenda',
'cal_myevent':'Meu evento',
'cal_related_event':'Evento relacionado',
'cal_other_event':'Evento de outro',
'cal_group_event':'Evento de grupo',
'cal_resource_event':'Recurso relacionado',
'cal_creator_related':'Criador ou pessoa relacionada',
'cal_uses_resource':'Recursos',
'cal_groups':'Grupos',
'cal_newgroup':'Criar novo grupo',
'cal_grouptitle':'Seleccionar membros para o seu novo grupo:',
'cal_inmygroup':'Members of my group:',
'cal_relgroups':'Grupos relacionados',
'cal_selgroups':'Seleccione os grupos cujos eventos/tarefas gostaria de ver:',
'cal_myviewgroups':'Está a ver os grupos seguintes:'.decode('UTF-8'),
'cal_allgroups':'Todos os outros grupos:',
'cal_sendrelated':'Relembre as pessoas convidadas',
'cal_repmontherror':'Valor não especificado para o dia do repetição mensal.'.decode('UTF-8'),
'cal_repyearerror':'Valor não especificado para o dia de repetição mensal ou para o mês do ano.'.decode('UTF-8'),
'cal_nogroupname':'Nome do grupo não definido'.decode('UTF-8'),
'cal_nogroup':'Não existe esse grupo'.decode('UTF-8'),
'cal_relcontacts':'Contactos relacionados',
'cal_show_rels':'Visualizar relações'.decode('UTF-8'),
'cal_hide_rels':'Esconder relações'.decode('UTF-8'),
'cal_div_help':'Clique no botão para escolher.'.decode('UTF-8'),
'cal_choose_persons':'Escolha os participantes',
'cal_prevweek':'Semana anterior',
'cal_nextweek':'Próxima semana'.decode('UTF-8'),
'cal_prevday':'Dia Anterior',
'cal_nextday':'Próximo dia'.decode('UTF-8'),
'cal_wrongstamp':'Hora de ínicio do evento não pode ser posterior à hora de fim.'.decode('UTF-8'),
'cal_invitep':'Convide pessoas',
'cal_inviteg':'Convide grupos',
'cal_invitedpersons':'Pessoas convidadas',
'cal_invitedgroups':'Grupos convidados',
'cal_invitedcontacts':'Contactos convidados',
'cal_showas_0':'Livre',
'cal_showas_1':'Tentativa',
'cal_showas_2':'Ocupado',
'cal_showas_3':'Fora',
'cal_showas':'Ver horas como',
'cal_scheduling':'Programar',

'admin_organizations':'Organizações'.decode('UTF-8'),
'admin_organization':'Organização'.decode('UTF-8'),
'admin_phone':'Telefone',
'admin_edit':'Editar',
'admin_delete':'Apagar',
'admin_notsuper':'Acesso concedido apenas a superusers!',
'admin_sureq':'Tem a certeza?',
'admin_orgname':'Nome da Organização'.decode('UTF-8'),
'admin_parentorg':'Organização Mãe'.decode('UTF-8'),
'admin_city':'Cidade',
'admin_state':'Distrito',
'admin_zipcode':'Código postal'.decode('UTF-8'),
'admin_country':'País'.decode('UTF-8'),
'admin_choices':'Editar Selecções'.decode('UTF-8'),
'admin_choices_systemwide':'Editar definições por defeito do sistema:'.decode('UTF-8'),
'admin_choices_org':'Editar definições por defeito da organização de mais alto nível:'.decode('UTF-8'),
'admin_choices_notfound':'Definição não encontrada.'.decode('UTF-8'),
'admin_choice':'Selecção'.decode('UTF-8'),
'admin_choices_updated':'Seleções para selecção \'%s\' actualizada.'.decode('UTF-8'),
'admin_choices_empty':'Selecções não podem estar vazias.'.decode('UTF-8'),
'admin_access':'Acesso',
'admin_read':'Leitura',
'admin_write':'Escrita',
'admin_manage':'Gestão'.decode('UTF-8'),
'admin_hasaccess':'tem',
'admin_right':'acesso a',
'admin_right_end':'',
'admin_orgsamename':'Já existe Uma organização com o mesmo nome.'.decode('UTF-8'),
'admin_orgsaved':'Organização gravada.'.decode('UTF-8'),
'admin_orgdeleted':'Organização apagada.'.decode('UTF-8'),
'admin_orgedit':'Ver/editar organização'.decode('UTF-8'),
'admin_users':'Utilizadores do Sistema',
'admin_username':'Nome de utilizador',
'admin_usersaved':'Utilizador gravado.',
'admin_userdeleted':'Utilizador apagado.',
'admin_users_edit':'Editar informação do utilizador'.decode('UTF-8'),
'admin_users_nofirst':'Não foi definido o primero nome.'.decode('UTF-8'),
'admin_users_nolast':'Não foi definido o último nome.'.decode('UTF-8'),
'admin_users_nouser':'Não foi definido o nome de utilizador.'.decode('UTF-8'),
'admin_users_nomatch':'As senhas não estão iguais.'.decode('UTF-8'),
'admin_users_usertaken':'Este nome de utilizador já está a ser usado.'.decode('UTF-8'),
'admin_upload':'Upload',
'admin_picture':'Retrato',
'admin_choose_pic':'Escolher Retrato',
'admin_sys_status':'Estado do Sistema',
'admin_backups':'Backups',
'admin_file_backups':'Backups de Ficeiros',
'admin_db_backups':'Backups de Bases de Dados',
'admin_create_backup':'Criar backup',
'admin_file_backup_failed':'Criação de backup de ficheiros falhou.'.decode('UTF-8'),
'admin_db_backup_failed':'Criação de backup de base de dados falhou.'.decode('UTF-8'),
'admin_disc_space':'Espaço em Disco'.decode('UTF-8'),
'admin_memory':'Memória'.decode('UTF-8'),
'admin_processes':'Processos',
'admin_toplevel':'Org Top',
'admin_undelete':'Recuperar items apagados',
'admin_pit':'Recuperação Point-in-Time'.decode('UTF-8'),
'admin_data':'Dados do Objecto',
'admin_recover':'Recuperação'.decode('UTF-8'),
'admin_rec_confirm':'Tem a certeza que deseja recuperar o objecto no estado apresentado?',
'admin_recovered':'Dados do Objecto recuperados.',
'admin_on_time':'Ligado',
'admin_lastitems':'Últimos 5 items alterados'.decode('UTF-8'),
'admin_lastitems2':'Últimos 5 items apagados'.decode('UTF-8'),
'admin_notfound':'Nada foi encontrado',
'admin_mountpoint':'Mount point',
'admin_partition':'Partição'.decode('UTF-8'),
'admin_percent_used':'Percentagem usada',
'admin_mem_phys':'Memória Física'.decode('UTF-8'),
'admin_mem_swap':'Memória Swap'.decode('UTF-8'),
'admin_notify':'Enviar-me convites e delegações por e-mail'.decode('UTF-8'),
'admin_permissions':'Permissões'.decode('UTF-8'),
'admin_haspermissions':'tem as seguintes permissões'.decode('UTF-8'),
'admin_manage_to':'Acesso de gestão ao'.decode('UTF-8'),
'admin_write_to':'Acesso de escrita a',
'admin_read_to':'Acesso de leitura a',
'admin_no_to':'Nenhum acesso a',
'admin_interface':'Interface do utilizador:',
'admin_interface_1':'Standard (Recomendado)',
'admin_interface_2':'Docked Menu',


'cal_short_1':'Seg',
'cal_short_2':'Ter',
'cal_short_3':'Qua',
'cal_short_4':'Qui',
'cal_short_5':'Sex',
'cal_short_6':'Sab',
'cal_short_7':'Dom',
'tls_month_1':'Janeiro',
'tls_month_2':'Fevereiro',
'tls_month_3':'Março'.decode('UTF-8'),
'tls_month_4':'Abril',
'tls_month_5':'Maio',
'tls_month_6':'Junho',
'tls_month_7':'Julho',
'tls_month_8':'Agosto',
'tls_month_9':'Setembro',
'tls_month_10':'Outubro',
'tls_month_11':'Novembro',
'tls_month_12':'Dezembro',

'email_short_attach':'F',

'reminder_subject':'Recordar evento : %s',
'reminder_message':"""Pediu para ser relembrado do evento '%s', que começa às %s.

Descrição:
%s
""".decode('UTF-8'),
'invite_message':"""\nCaro %s,\n\n%s convidou-o para participar no evento: %s.\n O Evento começa às: %s\nDescrição: %s\url: %s""".decode('UTF-8'),
'assign_message':"""\nCaro %s,\n\n%s atribui-lhe uma nova tarefa: %s.\nData Limite: %s\nDescrição: %s\nurl: %s""".decode('UTF-8'),

'admin_orgadmin':'Administrador da Organização'.decode('UTF-8'),
'admin_assign':'Atribuir',
'admin_assigntitle':'Atribuir um superuser à Organização'.decode('UTF-8'),

'admin_newsmessage':'Mensagem',

'system_erroroccured':'Ocorreu um erro',
'system_back':'Voltar',

'email_failedsyncrostring':'Falhou a recolha de novo mail do servidor %s, utilizador %s.'.decode('UTF-8'),

'contact_sendemail':'Enviar e-mail',

'docinvalidrename':'Nome fornecido é ilegal.'.decode('UTF-8'),

'tls_or':'ou',
'email_selectdoc':'Seleccionar a partir da gestão documental'.decode('UTF-8'),

'disccatobj_noname':'Objecto Tópico de Discussão #%s'.decode('UTF-8'),
'disccatobj_notsaved':'Ojecto Tópico de Discussão (não gravado)'.decode('UTF-8'),
'resourceobj_noname':'Objecto recurso #%s',
'resourceobj_notsaved':'Objecto Recurso (não gravado)'.decode('UTF-8'),

'compmenu_disc_mancat':'Gerir tópicos'.decode('UTF-8'),
'disc_addcat':'Adicionar um tópico'.decode('UTF-8'),
'disc_delcat':'Apagar tópicos'.decode('UTF-8'),

'todo_reject':'Gravar e rejeitar',
'cal_hasrejected':'rejeitou o evento.',
'todo_hasrejected':'rejeitou a tarefa',

'contact_resbatch':'Visualizar resultado em batches',

'disc_wrongparent':'Por favor seleccione um tópico de discussão.'.decode('UTF-8'),

# Info:
'info':'Info',
'info_suborg':'Sub-organização da'.decode('UTF-8'),


# Seach:
'tls_search_words':'Pesquisar palavras',
'tls_search_modules':'Pesquisar em',
'tls_search_meta':'Pesquisar nos metadados dos objectos',
'tls_search_data':'Pesquisar no conteúdo dos objectos'.decode('UTF-8'),

# Resources:
'tls_resource':'Recurso',
'tls_resources':'Recursos',
'resource_conflictmsg':'Utilização do Recurso "%s" entra em conflito com o evento "%s".'.decode('UTF-8'),
'resource_add':'Adicionar um recurso',

# E-Mail
'email_deletemessages':"""Deixar no servidor""",
'email_deletemessagesbutton':"Mudar 'Deixar no servidor'",
'email_tocontacts':'Adicionar aos contactos',
'email_forwardedemail':'Email reenchaminhado',

'tls_manage':'Gerir',
'tls_overview':'Visualizar',
'tls_links':'Bookmarks',
'tls_url':'URL',

# Workflows:
'tls_workflow':'Fluxo de Trabalho',
'tls_myworkflows':'Os Meus Fluxos de Trabalho',
'tls_othersworkflows':'Fluxos de Trabalho dos Outros',
'tls_allworkflows':'Todos os Fluxos de Trabalho',
'tls_addworkflow':'Adicionar',
'tls_searchworkflows':'Pesquisar',
'tls_addworkflow':'Adicionar Fluxo de Trabalho',
'tls_current_task':'Tarefa actual',
'tls_workflow_saved':'Fluxo de Trabalho gravado',
'tls_edit_info':'Editar informação'.decode('UTF-8'),
'tls_edit_tasks':'Gerir tarefas',
'tls_related_tasks':'Tarefas do Fluxo de Trabalho',
'tls_other_tasks':'Escolher tarefas',
'tls_workflow_saved':'O Fluxo de Trabalho foi gravado.',
'tls_search_workflow':'Pesquisar Fluxo de Trabalho',
'tls_add_rows':'Acrescentar linhas',
'tls_serial':'Fluxos de Trabalho em série'.decode('UTF-8'),
'tls_send':'Enviar',
'tls_send_initial':'Enviar um e-mail às pessoas relacionadas para as notificar sobre o novo Fluxo de Trabalho'.decode('UTF-8'),
'tls_send_final':'Enviar um e-mail às pessoas relacionadas quando o Fluxo de Trabalho é finalizado'.decode('UTF-8'),
'tls_choose_related':'Por favor seleccione as pessoas relacionadas',
'tls_workflow_related':'Pessoas relacionadas',
'tls_workflow_other':'Todas as outras pessoas',
'tls_workflow_flags':'Propriedades',
'tls_workflow_serial':'Fluxo de Trabalho em série'.decode('UTF-8'),
'tls_workflow_parallel':'Fluxo de Trabalho em paralelo',
'tls_workflow_initmail':'Enviar e-mail no ínicio'.decode('UTF-8'),
'tls_workflow_completemail':'Enviar e-mail quando completado',
'tls_noreturnform':'Formulário não disponível'.decode('UTF-8'),
'tls_noreturndiv':'div id não disponível'.decode('UTF-8'),
'tls_workflow_newtasks':'Adicionar novas tarefas',



# Frontpage
'tls_onlymine':'Visualizar apenas os meus',
'tls_frontmanage':'Gerir página principal'.decode('UTF-8'),
'tls_addbookmark':'Adicionar bookmark',
'tls_book_parent':'Categoria Mãe'.decode('UTF-8'),
'tls_cat_name':'Nome da categoria',
'tls_mybookmarks':'Os meus Bookmarks',
'tls_othersbookmarks':'Os Bookmarks Públicos'.decode('UTF-8'),
'tls_quicksearch':'Pesquisa Rápida'.decode('UTF-8'),
'tls_format_html':'HTML',
'tls_format_opera':'Opera (.adr)',
'tls_book_expimp':'Exportar & Importar Bookmarks',
'tls_import_success':'Importação com Sucesso!'.decode('UTF-8'),
'frontpage_managemessage':'Comunicados',
'frontpage_help_name':'Dicas:',
'frontpage_help_contents':'Este editor wysiwyg permite personalizar os comunicados da página principal.'.decode('UTF-8'),

'workflowobj_notsaved':'Objecto Fluxo de Trabalho (não gravado)'.decode('UTF-8'),
'workflowobj_noname':'Objecto Fluxo de Trabalho #%s',

'wfreminder_init_subject':'Tem um novo Fluxo de Trabalho: %s',
'wfreminder_init_message':"""Foi indicada a sua participação num Fluxo de Trabalho. Por favor visite o URL abaixo para saber mais detalhes.

Nome do Fluxo de Trabalho: %(workflow_title)s.
Data de ínicio: %(workflow_start_time)s.
Data limite: %(workflow_due_time)s.

Descrição:
%(workflow_description)s


URL: %(conflux_url)s
   
""".decode('UTF-8'),

'wfreminder_complete_subject':'Um Fluxo de Trabalho foi completado: %s',
'wfreminder_complete_message':"""Um Fluxo de Trabalho foi completado. Por favor visite o URL abaixo para saber mais detalhes.

Nome do Fluxo de Trabalho: %(workflow_title)s.
Data de ínicio: %(workflow_start_time)s.
Data limite: %(workflow_due_time)s.

Descrição:
%(workflow_description)s


URL: %(conflux_url)s
   
""".decode('UTF-8'),
'wfreminder_nexttask_subject':'Um Fluxo de Trabalho tem uma nova tarefa activada: %s',
'wfreminder_nexttask_message':"""Uma nova tarefa foi activada. Por favor visite o URL abaixo para saber mais detalhes.

Nome do Fluxo de Trabalho: %(workflow_title)s.
Data de ínicio: %(workflow_start_time)s.
Data limite: %(workflow_due_time)s.

Descrição:
%(workflow_description)s

URL: %(conflux_url2)s

Nome da tarefa: %(title)s.
Data limite: %(due_time)s.

Descrição:
%(description)s

URL: %(conflux_url)s
   
""".decode('UTF-8'),
# Emoticons
'em_smile':'Contente',
'em_wink':'Pisca o Olho',
'em_confused':'Confuso',
'em_eek':'Surpreendido',
'em_biggrin':'Brincalhão'.decode('UTF-8'),
'em_cool':'Solário'.decode('UTF-8'),
'em_mad':'Mau',
'em_rolleyes':'Stressado',
'em_embarrassed':'Envergonhado',
'em_frown':'Enjoado',
'em_sarcastic':'Sarcástico'.decode('UTF-8'),
'em_silly':'Sapo',

# Clients
'clients_add':'Acrescentar Cliente',
'clients_view':'Ver Cliente',
'clients_search':'Pesquisar Cliente',
'clients_name':'Nome do Cliente',
'clients_type':'Tipo de Cliente',
'clients_number':'Número de Cliente'.decode('UTF-8'),
'clients_area':'Actividade',
'clients_phone':'Telefone',
'clients_rating':'Rating',
'clients_fax':'Fax',
'clients_ownership':'Capital',
'clients_regcode':'Número de registo'.decode('UTF-8'),
'clients_kmkr':'NIF',
'clients_post_address':'Morada',
'clients_reg_address':'Morada da sede',
'clients_bank_info':'Informação bancária'.decode('UTF-8'),
'client_saved':'Cliente gravado.',
'client_owner':'Gestor de cliente',
'client_deleted':'Cliente apagado.',
'client_related_contacts':'Contactos relacionados com o cliente %s:',

# Opportunities
'opp_long':'Sales Oportunidade',
'opp_add':'Adicionar Oportunidade',
'opp_top':'Top de Oportunidades',
'opp_rep_top':'Oportunidades em aberto por vendedor',
'opp_client':'Cliente',
'opp_nextstep':'Próximo passo'.decode('UTF-8'),
'opp_date':'Data de fecho',
'opp_date_bw':'Data de fecho entre',
'opp_stage':'Etapa',
'opp_probability':'Probabilidade',
'opp_source':'Fonte da Lead',
'opp_amount':'Soma',
'opp_req_desc':'Descrição dos Requisitos'.decode('UTF-8'),
'opp_lost_reason':'Razão da perda do negócio'.decode('UTF-8'),
'opp_saved':'Oportunidade gravada.',
'opp_product_exists':'Este Produto já está na oportunidade.'.decode('UTF-8'),
'opp_bad_amount':'Quantia inválida:'.decode('UTF-8'),
'opp_bad_price':'Preço inválido:'.decode('UTF-8'),
'opp_my':'Oportunidades em aberto para os próximos 7 dias'.decode('UTF-8'),
'opp_others':'Oportunidades dos outros para os próximos 3 dias'.decode('UTF-8'),
'opp_nofound':'Nenhuma oportunidade encontrada.',

# Products
'prod_add':'Adicionar Produto',
'prod_edit':'Editar Produto',
'prod_name':'Nome do Produto',
'prod_group':'Grupo do Produto',
'prod_unit':'Unidade',
'prod_price':'Preço'.decode('UTF-8'),
'product_saved':'Produto gravado.',
'prod_amount':'Quantidade',
'prod_discount':'Desconto',
'prod_key_req':'Requisitos chave',

# Log
'log_show_det':'Ver Detalhes',
'log_hide_det':'Esconder Detalhes',
'log_show_all':'Ver Todos',
'log_hide_all':'Esconder Todos',
'log_mod_by':'Modificado por',
'log_mod_time':'Modificado em',
'log_field':'Campo',
'log_oldval':'Valor Antigo',
'log_newval':'Novo Valor',
'log_log':'Registo',
'log_nolog':'Ainda não existem alterações.'.decode('UTF-8'),
'log_item_id':'ID do Item',
'log_parent_id':'ID Parente',
'log_item_name':'Nome do Item',
'log_item_size':'Tamanho do Item',
'log_creator_id':'Dono',
'log_creator_ip':'IP do Dono',
'log_editor_id':'Editor',
'log_editor_ip':'IP do Editor',
'log_item_type_id':'Tipo de Item',
'log_is_public':'É público'.decode('UTF-8'),
'log_is_private':'É privado'.decode('UTF-8'),
'log_owner_id':'Dono secundário'.decode('UTF-8'),
'log_person_id':'Pessoa',
'is_disabled':'Está desactivado'.decode('UTF-8'),
'log_contact_id':'Contacto',
'log_organization_id':'Organização'.decode('UTF-8'),
'log_event_id':'Evento',
'log_folder_id':'Pasta',
'log_folder_name':'Nome da pasta',
'log_document_id':'Documento',
'log_todo_id':'Tarefa',
'log_workflow_id':'Fluxo de Trabalho',
'log_client_id':'Cliente',
'log_product_id':'Produto',
'log_opp_id':'Oportunidade',
'quota_exceeded':'Excedeu a quota de disco da organização!'.decode('UTF-8'),
'name_invchars':'O nome de utilizador não pode conter os seguintes caracteres: &lt;, &gt;, ".'.decode('UTF-8'),
'name_orginvchars':'O nome da organização não pode conter os seguinte caracteres: &lt;, &gt;, ".'.decode('UTF-8'),
'quota_soft_gt_hard':'Limite da quota de Software excede o limite da quota de Hardware!',
'quota_quota':'Quota',
'quota_soft':'Quota de Software',
'quota_hard':'Quota de Hardware',

# Reports
'rep_reports':'Relatórios'.decode('UTF-8'),
'rep_stat_period':'Estatístivas de vendas durante %s'.decode('UTF-8'),
'rep_won':'Negócios fechados'.decode('UTF-8'),
'rep_lost':'Negócios perdidos'.decode('UTF-8'),
'rep_pending':'Pendentes',
'rep_total':'Total',
'rep_thismonth':'Este mês'.decode('UTF-8'),
'rep_lastmonth':'Mês passado'.decode('UTF-8'),
'rep_fromlastmonth':'Desde o princípio do mês passado'.decode('UTF-8'),
'rep_q1':'T1',
'rep_q2':'T2',
'rep_q3':'T3',
'rep_q4':'T4',
'rep_thisyear':'Este ano',
'rep_lastyear':'Ano passado',
'rep_periodstart':'Começar em'.decode('UTF-8'),
'rep_periodend':'Terminar em',
'rep_shortformat':'Relatório compacto'.decode('UTF-8'),
'rep_longformat':'Relatório completo'.decode('UTF-8'),
'rep_prod_income':'Estatísticas de vendas'.decode('UTF-8'),
'rep_showreport':'Ver relatório'.decode('UTF-8'),
'rep_totalsales':'Total de Vendas',
'rep_clientsales':'Vendas por Clientes',
'rep_productsales':'Vendas por Produtos',
'rep_repsales':'Vendas por Representantes',
'rep_clientproduct':'Vendas por Clientes e Produtos',
'rep_title1':'Total de vendas ganhas, perdidas e pendentes',
'rep_title2':'Vendas ganhas, perdidas e pendentes por clientes',
'rep_title3':'Vendas, ganhas perdidas e pendentes por produtos',
'rep_title4':'Vendas, ganhas perdidas e pendentes por representantes',
'rep_title5':'Vendas por clientes e produtos',
'tls_supernamechange':'O nome de utilizador do superuser não pode ser alterado.'.decode('UTF-8'),
'tls_clientdel_opp':'Este cliente ainda é referenciado em algumas oportunidades existentes. Por favor apague primeiro as oportunidades.'.decode('UTF-8'),
'tls_userlimitexceed':'O limite de utilizadores foi excedido. Não podem ser acrescentados mais utilizadores.'.decode('UTF-8'),


'topmenu_hostadmin':'Alojamento (admin)',   
'topmenu_hostclient':'Alojamento',
'eventinverror': 'Ocorreu um erro ao enviar convites por e-mail. Por favor verifique as configurações do e-mail.'.decode('UTF-8'),

'month_name_01':'Jan',
'month_name_02':'Fev',
'month_name_03':'Mar',
'month_name_04':'Abr',
'month_name_05':'Mai',
'month_name_06':'Jun',
'month_name_07':'Jul',
'month_name_08':'Ago',
'month_name_09':'Set',
'month_name_10':'Out',
'month_name_11':'Nov',
'month_name_12':'Dez',

'tls_unlimited':'ilimitado',
'tls_license_title':'Dados da licensa Conflux',
'tls_userlimit':'Limite de utilizadores',
'tls_timelimit':'Limite de tempo',
'tls_userlimit_arg':'utilizadores',
'tls_timelimit_arg':'total de dias',


'contactport_csv_explain':'Por favor seleccione os campos apropriados para as colunas do seu ficheiro CSV por forma a haver <BR>correspondência com os dados a ser importados.'.decode('UTF-8'),

}


import _Conf
for key, value in translation_dict.items():
    translation_dict[key] = translation_dict[key].replace('#APPNAME#', _Conf.APP_NAME)
