# Copyright (C) 2003-2005 Inversion Software Ltd. <inversion@inversion.ee>
# http://www.conflux.ee/
#
# This file is part of Conflux Lite
#
# Conflux Lite is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# Conflux Lite is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Conflux Lite; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
######################################################################

import os

FALLBACK_ENCODING = "ISO8859-1"

# Default settings
DEFAULT_LANG = "en_US"
DEFAULT_DATE = "en_US"

DB_NAME = "litetest"
DB_USER = "conflux"
DB_PASS = ""
DB_HOST = ""
DB_PORT = "5432"

PG_DUMP_PATH = "/usr/bin/pg_dump"

SMTPSERVER = 'localhost'

MAX_REPEAT_EVENTS = 10000

BASE_PATH = "/home/incx/lightdev/LITEDEV/lib/conflux/"
BASE_URL = "/"
DAV_URL = "/DAV/"

BASE_DOCUMENT_PATH = os.path.join(BASE_PATH, "DOCROOT")
BACKUP_DOCUMENT_PATH = os.path.join(BASE_PATH, "DOCBACKUP")
TEMP_DOCUMENT_PATH = os.path.join(BASE_PATH, "tmp")
BACKUP_PATH = os.path.join(BASE_PATH, "BACKUP")

ERROR_SHOW_TB = 1 # Zero if reporting errors is disabled, one if on.
                  # Will display a python traceback in the comments of the error page
ERROR_EMAIL_ADMIN = "" # If the error reporting is on and this value is non-empty,
                       # the tracebacks will also be emailed to this address.
