# Copyright (C) 2003-2005 Inversion Software Ltd. <inversion@inversion.ee>
# http://www.conflux.ee/
#
# This file is part of Conflux Lite
#
# Conflux Lite is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# Conflux Lite is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Conflux Lite; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
######################################################################

import mx.DateTime

class TimeParser:
    """A class for limited parsing of postgresql interval. Should try to figure out why default did the randomize thing and fix that and drop this. FIXME"""
    def __init__(self, s=None):
        self.value = None
        self.delta = None
        self.s = s
        if s: self.from_string(s)

    def from_string(self, s):
        self.s = s
        days = 0
        hours = 0
        minutes = 0

        if s is None: return
        self.value = s
        s = s.split(' ')
        s.reverse()

        ndx = 0
        size = len(s)
        while 1:
            if ndx >= size:
                break
            elif s[ndx] in ['day', 'days']:
                days = int(s[ndx+1])
                ndx += 1
            elif ndx == 0 and s[ndx].find(':') <> -1:
                tmp = s[ndx].split(':')
                hours = int(tmp[0])
                minutes = int(tmp[1])
            ndx += 1
        self.delta = mx.DateTime.DateTimeDelta(days, hours, minutes)

    def __str__(self):
        if self.value is None: return "null"
        else: return str(self.value)
