#!/usr/bin/python

import os, commands, sys

if os.path.exists("lib/cCore.pyx"):
    TARGET = "lib/cCore.pyx"
    TARGET_DIR = "lib/"
elif os.path.exists("../lib/cCore.pyx"):
    TARGET = "../lib/cCore.pyx"
    TARGET_DIR = "../lib/"
elif os.path.exists("cCore.pyx"):
    TARGET = "cCore.pyx"
    TARGET_DIR = "./"

status, output = commands.getstatusoutput("pyrexc %s" % TARGET)
if status <> 0:
    print 'PYREXC FAILED.\n', output
    sys.exit()
status, output = commands.getstatusoutput("gcc -c -fPIC -I/usr/include/python2.3/ %scCore.c" % TARGET_DIR)
if status <> 0:
    print 'GCC stage 1 FAILED.\n', output
    sys.exit()
status, output = commands.getstatusoutput("gcc -shared cCore.o -o %scCore.so" % TARGET_DIR)
if status <> 0:
    print 'GCC stage 2 FAILED.\n', output
    sys.exit()
os.unlink(TARGET_DIR+'cCore.c')
os.unlink('cCore.o')
