#!/usr/bin/python

import os, commands, sys

if os.path.exists("lib/cUtils.pyx"):
    TARGET = "lib/cUtils.pyx"
    TARGET_DIR = "lib/"
elif os.path.exists("../lib/cUtils.pyx"):
    TARGET = "../lib/cUtils.pyx"
    TARGET_DIR = "../lib/"
elif os.path.exists("cUtils.pyx"):
    TARGET = "cUtils.pyx"
    TARGET_DIR = "./"

status, output = commands.getstatusoutput("pyrexc %s" % TARGET)
if status <> 0:
    print 'PYREXC FAILED.\n', output
    sys.exit()
status, output = commands.getstatusoutput("gcc -c -fPIC -I/usr/include/python2.3/ %scUtils.c" % TARGET_DIR)
if status <> 0:
    print 'GCC stage 1 FAILED.\n', output
    sys.exit()
status, output = commands.getstatusoutput("gcc -shared cUtils.o -o %scUtils.so" % TARGET_DIR)
if status <> 0:
    print 'GCC stage 2 FAILED.\n', output
    sys.exit()
os.unlink(TARGET_DIR+'cUtils.c')
os.unlink('cUtils.o')
