import mx.DateTime
import standard_html
import _InitTypes, _Conf, _Access, _Utils, Menus

MY_MENU_ID = 4

def index(REQUEST):
    output = []
    dformat = _Utils.dateformat2jscalformat(REQUEST)
    output.append(standard_html.html_header(REQUEST, '<link rel="stylesheet" type="text/css" media="all" href="%sjscalendar/calendar-blue.css" title="win2k-1" />' % _Conf.BASE_WEB_URL))
    output.append(Menus.get_calendar_menu(REQUEST, MY_MENU_ID))


    right_param = _Access.select_param(REQUEST.USER.get_id(), _Access.ACCESS_READ, [_InitTypes.ITEM_TYPE_PERSON])
    if right_param:
        right_param = " AND " + right_param
    REQUEST.db.execute(("""SELECT i.item_name, p.person_id FROM items i, persons p WHERE p.person_id=i.item_id AND p.is_deleted=0 %s""" % right_param).encode('UTF8'))
    related_persons = REQUEST.db.dictfetchall()
    related_persons = """<SELECT class="textfield1" name="related_persons2" multiple size="5">\n%s</SELECT>""" % "\n".join(map(lambda x: """<OPTION value="%d">%s""" % (x['person_id'], x['item_name'].decode('UTF8')), related_persons))

    right_param = _Access.select_param(REQUEST.USER.get_id(), _Access.ACCESS_READ, [_InitTypes.ITEM_TYPE_RESOURCE])
    if right_param:
        right_param = " AND " + right_param
    REQUEST.db.execute(("""SELECT r.resource_name, r.resource_id FROM items i, resources r WHERE r.resource_id=i.item_id%s""" % right_param).encode('UTF8'))
    resources = REQUEST.db.dictfetchall()
    resources = """<SELECT class="textfield1" name="cal_resources" multiple size="5">\n%s</SELECT>""" % "\n".join(map(lambda x: """<OPTION value="%d">%s""" % (x['resource_id'], x['resource_name'].decode('UTF8')), resources))

    priorities = _Utils.make_setting_selection(REQUEST, None, 'event_priority', 'cal_priorities')
    activities = _Utils.make_setting_selection(REQUEST, None, 'event_activity', 'cal_activities')

    tls_searchevent = REQUEST.TLS('cal_searchevent')
    tls_between = REQUEST.TLS('cal_between')
    tls_startdate = REQUEST.TLS('cal_startdate')
    tls_enddate = REQUEST.TLS('cal_enddate')
    tls_and = REQUEST.TLS('cal_and')
    tls_desc = REQUEST.TLS('tls_description')
    tls_search = REQUEST.TLS('tls_search')
    tls_pri = REQUEST.TLS('tls_priority')
    tls_act = REQUEST.TLS('tls_activity')
    tls_subject = REQUEST.TLS('tls_subject')
    tls_related = REQUEST.TLS('tls_related')
    tls_invdateformat = REQUEST.TLS('tls_invdateformat')
    tls_related = REQUEST.TLS('cal_creator_related')
    tls_uses_resource = REQUEST.TLS('cal_uses_resource')
    tls_search = REQUEST.TLS('tls_search')
    tls_asearch = REQUEST.TLS('tls_adv_search')
    tls_keyword = REQUEST.TLS('tls_keyword')
    datecheck_js = REQUEST.datecheck_js(REQUEST)
    BASE_CALENDAR_URL = _Conf.BASE_CALENDAR_URL
    BASE_WEB_URL = _Conf.BASE_WEB_URL
    BASE_ICON_URL = _Conf.BASE_ICON_URL
    BASE_GENERAL_URL = _Conf.BASE_GENERAL_URL
    dformat = _Utils.dateformat2jscalformat(REQUEST)
    lformat = _Utils.lang2jscalformat(REQUEST)
    output.append(u"""<script type="text/javascript" src="%(BASE_WEB_URL)sjscalendar/calendar.js"></script><script type="text/javascript" src="%(BASE_WEB_URL)sjscalendar/lang/calendar-%(lformat)s.js"></script><script type="text/javascript" src="%(BASE_WEB_URL)sjscalendar/cal_setup.js"></script>""" % locals())
    output.append(u"""\
<SCRIPT LANGUAGE="JavaScript" type="text/javascript">
<!--
function cal_popup(url, fieldname)
{
    window.date_result = document.searchform[fieldname];
    window.open(url,'popupcal','width=170,height=150,scrollbars=no');
}
function change(numb)
{
  el1 = document.getElementById('1');
  el2 = document.getElementById('2');
  if(numb=='1')
  {
    el1.style.visibility='visible';
    el2.style.visibility='hidden';
  }
  else if(numb=='2')
  {
    el1.style.visibility='hidden';
    el2.style.visibility='visible';  }
}
%(datecheck_js)s
// -->
</SCRIPT>
<DIV id="1" style="position: absolute; left: 0px; top: 50px; visibility: visible;">
<FORM method="POST" name="vorm" action="%(BASE_CALENDAR_URL)seventsearch.py/search">
<TABLE border=0 width="100%%" cellpadding=0 cellspacing=0>
  <TR class="tr_listing0">
    <TD colspan=5>
      <TABLE border=0 width="100%%" cellpadding=0 cellspacing=0>
        <TR>
          <TD class="td_listing0"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk3.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
          <TD nowrap class="th_listingun">&nbsp;&nbsp;<a class="blackboldlink" href="#" onclick="change('1');">%(tls_search)s</a></b>&nbsp;&nbsp;</TD>
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk4.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
          <TD><img src="%(BASE_ICON_URL)sspacer.gif" width="10" height="1" border=0 alt=""></TD>
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk1.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
          <TD nowrap class="th_listing">&nbsp;&nbsp;<a class="blacklink" href="#" onclick="change('2');">%(tls_asearch)s</a>&nbsp;&nbsp;</TD>
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk2.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
          <TD><img src="%(BASE_ICON_URL)sspacer.gif" width="10" height="1" border=0 alt=""></TD>
          <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=1 border=0 alt=""></TD>
        </TR>
      </TABLE>
    </TD>
  </TR>
  <TR class="tr_listing1">
    <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
    <TD nowrap class="td_listing1">%(tls_keyword)s</TD>
    <TD class="td_listing1"><INPUT type="text" class="textfield4" name="search_keyword"></TD>
    <TD nowrap class="td_listing1"><INPUT type="submit" name="_search" value="%(tls_search)s" class="input2"></TD>
    <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=1 border=0 alt=""></TD>
  </TR>
</TABLE>
</FORM>
</DIV>
<DIV id="2" style="position: absolute; left: 0px; top: 50px; visibility: hidden;">
<FORM method="POST" name="searchform" action="%(BASE_CALENDAR_URL)seventsearch.py/search">
<TABLE border=0 cellpadding=0 cellspacing=0 align="left" width="100%%">
  <TR class="tr_listing0">
    <TD colspan=7>
      <TABLE border=0 width="100%%" cellpadding=0 cellspacing=0>
        <TR>
          <TD class="td_listing0"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk1.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
          <TD nowrap class="th_listing">&nbsp;&nbsp;<a class="blacklink" href="#" onclick="change('1');">%(tls_search)s</a></b>&nbsp;&nbsp;</TD>
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk2.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
          <TD><img src="%(BASE_ICON_URL)sspacer.gif" width="10" height="1" border=0 alt=""></TD>
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk3.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
          <TD nowrap class="th_listingun">&nbsp;&nbsp;<a class="blackboldlink" href="#" onclick="change('2');">%(tls_asearch)s</a>&nbsp;&nbsp;</TD>
          <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk4.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
          <TD><img src="%(BASE_ICON_URL)sspacer.gif" width="10" height="1" border=0 alt=""></TD>
          <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=1 border=0 alt=""></TD>
        </TR>
      </TABLE>
    </TD>
  </TR>
  <TR class="tr_listing1">
    <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
    <TD class="td_listing1" nowrap>%(tls_subject)s</TD>
    <TD class="td_listing1" colspan="4"><INPUT type="text" size=30 class="textfield1" name="event_name"></TD>
    <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=1 border=0 alt=""></TD>
  </TR>
  <TR class="tr_listing0">
    <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
    <TD class="td_listing0" nowrap>%(tls_act)s</TD>
    <TD class="td_listing0">%(activities)s</TD>
    <TD class="td_listing0" nowrap align="center">%(tls_pri)s</TD>
    <TD class="td_listing0" colspan="2">%(priorities)s</TD>
    <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=1 border=0 alt=""></TD>
  </TR>
  <TR class="tr_listing1">
    <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
    <TD class="td_listing1" nowrap>%(tls_startdate)s %(tls_between)s</TD>
    <TD class="td_listing1" colspan="4">
    <INPUT type="text" size="10" class="textfield1" name="start_stamp_1" id="start_stamp_1" onblur="if (datecheck_js(this.value) != true) { if (!datecheck_js(this.value)) { alert('%(tls_invdateformat)s'); } this.value=datecheck_js(this.value); }">
    &nbsp;
    <A href="javascript:void(0);" OnClick="return showCalendar('start_stamp_1', '%(dformat)s');"><img src="%(BASE_ICON_URL)scale.gif" width="16" height="15" border=0 alt="" style="position: relative; top: 2px;"></A>
    &nbsp;&nbsp;%(tls_and)s&nbsp;&nbsp;
    <INPUT type="text" size="10" class="textfield1" name="start_stamp_2" id="start_stamp_2" onblur="if (datecheck_js(this.value) != true) { if (!datecheck_js(this.value)) { alert('%(tls_invdateformat)s'); } this.value=datecheck_js(this.value); }">
    &nbsp;
    <A href="javascript:void(0);" OnClick="return showCalendar('start_stamp_2', '%(dformat)s');"><img src="%(BASE_ICON_URL)scale.gif" width="16" height="15" border=0 alt="" style="position: relative; top: 2px;"></A></TD>
    <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=1 border=0 alt=""></TD>
  </TR>
  <TR class="tr_listing0">
    <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
    <TD class="td_listing0" nowrap>%(tls_enddate)s %(tls_between)s</TD>
    <TD class="td_listing0" colspan="4"><INPUT type="text" class="textfield1" size="10" name="end_stamp_1" id="end_stamp_1" onblur="if (datecheck_js(this.value) != true) { if (!datecheck_js(this.value)) { alert('%(tls_invdateformat)s'); } this.value=datecheck_js(this.value); }">
    &nbsp;
    <A href="javascript:void(0);" OnClick="return showCalendar('end_stamp_1', '%(dformat)s');"><img src="%(BASE_ICON_URL)scale.gif" width="16" height="15" border=0 alt="" style="position: relative; top: 2px;"></A>
    &nbsp;&nbsp;%(tls_and)s&nbsp;&nbsp;
    <INPUT type="text" class="textfield1" size="10" name="end_stamp_2" id="end_stamp_2" onblur="if (datecheck_js(this.value) != true) { if (!datecheck_js(this.value)) { alert('%(tls_invdateformat)s'); } this.value=datecheck_js(this.value); }">
    &nbsp;
    <A href="javascript:void(0);" OnClick="return showCalendar('end_stamp_2', '%(dformat)s');"><img src="%(BASE_ICON_URL)scale.gif" width="16" height="15" border=0 alt="" style="position: relative; top: 2px;"></A></TD>
    <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=1 border=0 alt=""></TD>
  </TR>
  <TR class="tr_listing1">
    <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
    <TD class="td_listing1">%(tls_related)s:</TD>
    <TD class="td_listing1">%(related_persons)s</TD>
    <TD class="td_listing1">%(tls_uses_resource)s:</TD>
    <TD class="td_listing1" colspan="2">%(resources)s</TD>
    <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=1 border=0 alt=""></TD>
  </TR>
  <TR class="tr_listing0">
    <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
    <TD class="td_listing0" nowrap>%(tls_desc)s</TD>
    <TD class="td_listing0" colspan="5"><INPUT class="textfield3" name="description"></TD>
    <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=1 border=0 alt=""></TD>
  </TR>
  <TR class="tr_listing1">
    <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
    <TD class="td_listing1" colspan="6"><INPUT type="submit" class="input2" name="_search" value="%(tls_search)s"></TD>
    <TD width="100%%"><img src="%(BASE_ICON_URL)sspacer.gif" width=1 height=1 border=0 alt=""></TD>
  </TR>
</TABLE>
</FORM>
</DIV>"""%locals())
    output.append(standard_html.html_footer(REQUEST))
    return "\n".join(output)

def search(REQUEST):
    BASE_ICON_URL = _Conf.BASE_ICON_URL
    right_param = _Access.select_param(REQUEST.USER.get_id(), _Access.ACCESS_READ, [_InitTypes.ITEM_TYPE_EVENT])
    if right_param:
        right_param = " AND %s" % right_param
    
    search_params = []
    if REQUEST.form.has_key('search_keyword'):
        w = _Utils.sql_quote_simple(REQUEST.form['search_keyword'].value.decode('UTF8').lower())
        w2 = _Utils.sql_quote_simple(REQUEST.form['search_keyword'].value.decode('UTF8'))
        search_params = u""" AND (
lower(e.event_name) like '%%%s%%' OR 
lower(e.event_activity) = '%s' OR
lower(e.event_priority) = '%s' OR
lower(e.description) like '%%%s%%')""" % (w,w,w,w)
    else:
        if REQUEST.form.has_key('event_name') and REQUEST.form['event_name'].value.decode('UTF8').strip():
            search_params.append(u"lower(e.event_name) like '%%%s%%'" % _Utils.sql_quote_simple(REQUEST.form['event_name'].value.decode('UTF8').strip().lower()))
        if REQUEST.form.has_key('description') and REQUEST.form['description'].value.decode('UTF8').strip():
            search_params.append(u"lower(e.description) like '%%%s%%'" % _Utils.sql_quote_simple(REQUEST.form['description'].value.decode('UTF8').strip().lower()))
        if REQUEST.form.has_key('event_activity') and REQUEST.form['event_activity'].value.decode('UTF8'):
            search_params.append(u"e.event_activity=%s" % _Utils.sql_quote(REQUEST.form['event_activity'].value.decode('UTF8')))
        if REQUEST.form.has_key('event_priority') and REQUEST.form['event_priority'].value.decode('UTF8'):
            search_params.append(u"e.event_priority=%s" % _Utils.sql_quote(REQUEST.form['event_priority'].value.decode('UTF8')))
        if REQUEST.form.has_key('start_stamp_1') and REQUEST.form['start_stamp_1'].value.decode('UTF8'):
            year, month, day = map(int, REQUEST.user2isodate(REQUEST, REQUEST.form['start_stamp_1'].value.decode('UTF8').strip()).split('-'))
            date = _Utils.local2utc_mx(REQUEST, mx.DateTime.DateTime(year, month, day))
            search_params.append(u"e.start_stamp>=%s" % _Utils.sql_quote(str(date)))
        if REQUEST.form.has_key('start_stamp_2') and REQUEST.form['start_stamp_2'].value.decode('UTF8').strip():
            year, month, day = map(int, REQUEST.user2isodate(REQUEST, REQUEST.form['start_stamp_2'].value.decode('UTF8').strip()).split('-'))
            date = _Utils.local2utc_mx(REQUEST, mx.DateTime.DateTime(year, month, day, 23, 59))
            search_params.append(u"e.start_stamp<=%s" % _Utils.sql_quote(str(date)))
        if REQUEST.form.has_key('end_stamp_1') and REQUEST.form['end_stamp_1'].value.decode('UTF8').strip():
            year, month, day = map(int, REQUEST.user2isodate(REQUEST, REQUEST.form['end_stamp_1'].value.decode('UTF8').strip()).split('-'))
            date = _Utils.local2utc_mx(REQUEST, mx.DateTime.DateTime(year, month, day))
            search_params.append(u"e.end_stamp>=%s" % _Utils.sql_quote(str(date)))
        if REQUEST.form.has_key('end_stamp_2') and REQUEST.form['end_stamp_2'].value.decode('UTF8').strip():
            year, month, day = map(int, REQUEST.user2isodate(REQUEST, REQUEST.form['end_stamp_2'].value.decode('UTF8').strip()).split('-'))
            date = _Utils.local2utc_mx(REQUEST, mx.DateTime.DateTime(year, month, day, 23, 59))
            search_params.append(u"e.end_stamp<=%s" % _Utils.sql_quote(str(date)))
        if search_params:
            search_params = " AND %s" % " AND ".join(search_params)
        else:
            search_params = u""
        
        person_search = []
        if REQUEST.form.has_key('related_persons2') and isinstance(REQUEST.form['related_persons2'], list) and REQUEST.form['related_persons2']:
            if REQUEST.db.version < 740:
                for itemval in REQUEST.form['related_persons2']:
                    person_search.append(u"i.creator_id=%d or e.related_persons @ '{%s}'::int[]" % (int(itemval.decode('UTF8')),itemval.decode('UTF8')))
            else:
                for itemval in REQUEST.form['related_persons2']:
                    person_search.append(u"i.creator_id=%d or %d=ANY(e.related_persons)" % (int(itemval.decode('UTF8')),int(itemval.decode('UTF8'))))
        elif REQUEST.form.has_key('related_persons2') and not isinstance(REQUEST.form['related_persons2'], list) and REQUEST.form['related_persons2'].value.decode('UTF8'):
            itemval = REQUEST.form['related_persons2'].value.decode('UTF8')
            if REQUEST.db.version < 740:
                person_search.append(u"i.creator_id=%d or e.related_persons @ '{%s}'::int[]" % (int(itemval),itemval))
            else:
                person_search.append(u"i.creator_id=%d or %d=ANY(e.related_persons)" % (int(itemval),int(itemval)))
        if person_search:
            person_str = u" OR ".join(person_search)
        else:
            person_str = u""
        
        if person_str:
            search_params += " AND (" + person_str + ")"
        
        
        resource_search = []
        if REQUEST.form.has_key('cal_resources') and isinstance(REQUEST.form['cal_resources'], list) and REQUEST.form['cal_resources']:
            for itemval in REQUEST.form['cal_resources']:
                resource_search.append(u"er.resource_id=%d" % (int(itemval.decode('UTF8'))))
        elif REQUEST.form.has_key('cal_resources') and not isinstance(REQUEST.form['cal_resources'], list) and REQUEST.form['cal_resources'].value.decode('UTF8'):
            itemval = REQUEST.form['cal_resources'].value.decode('UTF8')
            resource_search.append(u"er.resource_id=%d" % (int(itemval)))
        if resource_search:
            resource_str = u" OR ".join(resource_search)
        else:
            resource_str = u""
        
        if resource_str:
            search_params += " AND (" + resource_str + ")"
    
    sortby = [
'event_name ASC', 'event_name DESC',
'creator_name ASC', 'creator_name DESC',
'start_stamp ASC', 'start_stamp DESC',
'end_stamp ASC', 'end_stamp DESC',
'event_priority ASC', 'event_priority DESC',
'event_activity ASC', 'event_activity DESC']

    DEFAULT_SORTBY = 7
    sortby_id = -1
    if REQUEST.form.has_key('sort_by') and REQUEST.form['sort_by'].value.decode('UTF8').strip():
        sortby_id = int(REQUEST.form['sort_by'].value.decode('UTF8').strip())
    if sortby_id < 0 or sortby_id >= len(sortby):
        sortby_id  = DEFAULT_SORTBY

    tls_startdate = REQUEST.TLS('cal_startdate')
    tls_enddate = REQUEST.TLS('cal_enddate')
    tls_search = REQUEST.TLS('tls_search')
    tls_pri = REQUEST.TLS('tls_priority')
    tls_act = REQUEST.TLS('tls_time3')
    tls_subject = REQUEST.TLS('tls_subject')
    tls_creator = REQUEST.TLS('tls_creator')

    formstring = REQUEST.get_formstring(['qs','sort_by'])
    sortby_subject = u"""<A class="blackboldlink" href="%seventsearch.py/search%ssort_by=0">%s</A>""" % (_Conf.BASE_CALENDAR_URL, formstring, tls_subject)
    sortby_creator = u"""<A class="blackboldlink" href="%seventsearch.py/search%ssort_by=2">%s</A>""" % (_Conf.BASE_CALENDAR_URL, formstring, tls_creator)
    sortby_start = u"""<A class="blackboldlink" href="%seventsearch.py/search%ssort_by=4">%s</A>""" % (_Conf.BASE_CALENDAR_URL, formstring, tls_startdate)
    sortby_end = u"""<A class="blackboldlink" href="%seventsearch.py/search%ssort_by=6">%s</A>""" % (_Conf.BASE_CALENDAR_URL, formstring, tls_enddate)
    sortby_pri = u"""<A class="blackboldlink" href="%seventsearch.py/search%ssort_by=8">%s</A>""" % (_Conf.BASE_CALENDAR_URL, formstring, tls_pri)
    sortby_act = u"""<A class="blackboldlink" href="%seventsearch.py/search%ssort_by=10">%s</A>""" % (_Conf.BASE_CALENDAR_URL, formstring, tls_act)
    if sortby_id == 0:
        sortby_subject = u"""<A class="blackboldlink" href="%seventsearch.py/search%ssort_by=1">%s</A>&nbsp;<SPAN class="sort">&uarr;</SPAN>""" % (_Conf.BASE_CALENDAR_URL, formstring, tls_subject)
    elif sortby_id == 1:
        sortby_subject = u"""<A class="blackboldlink" href="%seventsearch.py/search%ssort_by=0">%s</A>&nbsp;<SPAN class="sort">&darr;</SPAN>""" % (_Conf.BASE_CALENDAR_URL, formstring, tls_subject)
    elif sortby_id == 2:
        sortby_creator = u"""<A class="blackboldlink" href="%seventsearch.py/search%ssort_by=3">%s</A>&nbsp;<SPAN class="sort">&uarr;</SPAN>""" % (_Conf.BASE_CALENDAR_URL, formstring, tls_creator)
    elif sortby_id == 3:
        sortby_creator = u"""<A class="blackboldlink" href="%seventsearch.py/search%ssort_by=2">%s</A>&nbsp;<SPAN class="sort">&darr;</SPAN>""" % (_Conf.BASE_CALENDAR_URL, formstring, tls_creator)
    elif sortby_id == 4:
        sortby_start = u"""<A class="blackboldlink" href="%seventsearch.py/search%ssort_by=5">%s</A>&nbsp;<SPAN class="sort">&uarr;</SPAN>""" % (_Conf.BASE_CALENDAR_URL, formstring, tls_startdate)
    elif sortby_id == 5:
        sortby_start = u"""<A class="blackboldlink" href="%seventsearch.py/search%ssort_by=4">%s</A>&nbsp;<SPAN class="sort">&darr;</SPAN>""" % (_Conf.BASE_CALENDAR_URL, formstring, tls_startdate)
    elif sortby_id == 6:
        sortby_end = u"""<A class="blackboldlink" href="%seventsearch.py/search%ssort_by=7">%s</A>&nbsp;<SPAN class="sort">&uarr;</SPAN>""" % (_Conf.BASE_CALENDAR_URL, formstring, tls_enddate)
    elif sortby_id == 7:
        sortby_end = u"""<A class="blackboldlink" href="%seventsearch.py/search%ssort_by=6">%s</A>&nbsp;<SPAN class="sort">&darr;</SPAN>""" % (_Conf.BASE_CALENDAR_URL, formstring, tls_enddate)
    elif sortby_id == 8:
        sortby_pri = u"""<A class="blackboldlink" href="%seventsearch.py/search%ssort_by=9">%s</A>&nbsp;<SPAN class="sort">&uarr;</SPAN>""" % (_Conf.BASE_CALENDAR_URL, formstring, tls_pri)
    elif sortby_id == 9:
        sortby_pri = u"""<A class="blackboldlink" href="%seventsearch.py/search%ssort_by=8">%s</A>&nbsp;<SPAN class="sort">&darr;</SPAN>""" % (_Conf.BASE_CALENDAR_URL, formstring, tls_pri)
    elif sortby_id == 10:
        sortby_act = u"""<A class="blackboldlink" href="%seventsearch.py/search%ssort_by=11">%s</A>&nbsp;<SPAN class="sort">&uarr;</SPAN>""" % (_Conf.BASE_CALENDAR_URL, formstring, tls_act)
    elif sortby_id == 11:
        sortby_act = u"""<A class="blackboldlink" href="%seventsearch.py/search%ssort_by=10">%s</A>&nbsp;<SPAN class="sort">&darr;</SPAN>""" % (_Conf.BASE_CALENDAR_URL, formstring, tls_act)


    SQL = u"""\
SELECT count(DISTINCT e.event_id) AS count_all
FROM
 events e left join event_resources er on e.event_id=er.event_id,
 items i,
 items p
WHERE 
 e.event_id=i.item_id AND
 i.creator_id=p.item_id 
-- search-param
%s
-- right-param
%s
-- end q
""" % (search_params, right_param)
    REQUEST.db.execute(SQL.encode('UTF8'))
    count_all = REQUEST.db.dictfetchone()['count_all']

    if REQUEST.qs <> 0 or count_all > REQUEST.qs + REQUEST.batch_size:
        batch_url = "%seventsearch.py/search%sqs=" % (_Conf.BASE_CALENDAR_URL, REQUEST.get_formstring(['qs']))
        batches = []
        for n in range(1, count_all+1, REQUEST.batch_size):
            if (REQUEST.qs == 0 and n == 1) or (REQUEST.qs >= n-1 and REQUEST.qs < n+REQUEST.batch_size-1):
                batches.append(u"""<A class="redlink" href="%s%d"><B>%d&minus;%d</B></A>""" % (batch_url, n-1, n, n+REQUEST.batch_size-1))
            else:
                batches.append(u"""<A class="redlink" href="%s%d">%d&minus;%d</A>""" % (batch_url, n-1, n, n+REQUEST.batch_size-1))
        NAV_BAR = " ".join(batches)
        START_BAR = ""
        END_BAR = ""
        if REQUEST.qs <> 0:
            START_BAR = """<A class="redlink" href="%seventsearch.py/search%sqs=%d">&laquo;&nbsp;&nbsp;%s</A>""" % (_Conf.BASE_CALENDAR_URL, REQUEST.get_formstring(['qs']), REQUEST.qs-REQUEST.batch_size, (REQUEST.TLS('tls_back_x') % REQUEST.batch_size))
        if count_all > REQUEST.qs + REQUEST.batch_size:
            END_BAR = u"""<A class="redlink" href="%seventsearch.py/search%sqs=%d">%s&nbsp;&nbsp;&raquo;</A>""" %  (_Conf.BASE_CALENDAR_URL, REQUEST.get_formstring(['qs']), REQUEST.batch_size+REQUEST.qs, (REQUEST.TLS('tls_forward_x') % REQUEST.batch_size))
        FULL_BAR = standard_html.FULL_BAR2(START_BAR, NAV_BAR, END_BAR)
    else:
        FULL_BAR = ""

    SQL = u"""\
SELECT
 DISTINCT e.event_id,
 e.start_stamp,
 e.event_name,
 e.end_stamp,
 e.event_priority,
 e.event_activity,
 p.item_name AS creator_name,
 i.*
FROM
 events e left join event_resources er on e.event_id=er.event_id,
 items i,
 items p
WHERE 
 e.event_id=i.item_id AND
 i.creator_id=p.item_id 
-- search-param
%s
-- right-param
%s
-- end q
ORDER BY %s
LIMIT %d OFFSET %d
""" % (search_params, right_param, sortby[sortby_id], REQUEST.batch_size, REQUEST.qs)
    REQUEST.db.execute(SQL.encode('UTF8'))
    dbresults = REQUEST.db.dictfetchall()

    output = []
    output.append(standard_html.html_header(REQUEST))
    output.append(Menus.get_calendar_menu(REQUEST, MY_MENU_ID))
    output.append(standard_html.window_script(height=670,width=550))
    output.append(u"""\
<BR>
<TABLE width="100%%" cellpadding=0 cellspacing=0 border=0>
 <TR>
  <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD colspan=5 width="100%%">
    <TABLE border=0 width="100%%" cellpadding=0 cellspacing=0>
      <TR>
        <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk1.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
        <TD class="th_listing" align=center nowrap>&nbsp;&nbsp;&nbsp;<b>%(tls_search)s</b>&nbsp;&nbsp;&nbsp;</TD>
        <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk2.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
        <TD width="100%%" >&nbsp;</TD>
      </TR>
    </TABLE>
  </TD>
 </TR>
 <TR>
  <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=20 border=0 alt=""></TD>
  <TD class="td_listing1b">%(sortby_subject)s</TD>
  <TD class="td_listing1b">%(sortby_creator)s</TD>
  <TD class="td_listing1b">%(sortby_start)s</TD>
  <TD class="td_listing1b">%(sortby_end)s</TD>
  <TD class="td_listing1b">%(sortby_pri)s</TD>
  <TD class="td_listing1b">%(sortby_act)s</TD>
 </TR>""" % locals())
    index = 0
    for dbresult in dbresults:
        if(index % 2 == 0):
          dbresult['td_style']='td_listing0'
        else:
          dbresult['td_style']='td_listing1'
        index = index + 1
        dbresult['BASE_CALENDAR_URL'] = _Conf.BASE_CALENDAR_URL
        dbresult['BASE_ICON_URL'] = _Conf.BASE_ICON_URL
        if dbresult['start_stamp']:
            dbresult['start_stamp'] = REQUEST.iso2userdatetime(REQUEST, dbresult['start_stamp'])
        else:
            dbresult['start_stamp'] = ''
        if dbresult['end_stamp']:
            dbresult['end_stamp'] = REQUEST.iso2userdatetime(REQUEST, dbresult['end_stamp'])
        else:
            dbresult['end_stamp'] = ''
        dbresult['event_name'] = _Utils.html_quote(dbresult['event_name'].decode('UTF8'))
        dbresult['creator_name'] = dbresult['creator_name'].decode('UTF8')
        try:
            dbresult['event_activity'] = (dbresult['event_activity'] and REQUEST.TLS('cal_showas_'+dbresult['event_activity'])) or '&nbsp;'
        except:
            dbresult['event_activity'] = (dbresult['event_activity'] and dbresult['event_activity'].decode('UTF8')) or '&nbsp;'
        dbresult['event_priority'] = (dbresult['event_priority'] and dbresult['event_priority'].decode('UTF8')) or '&nbsp;'
        output.append(u"""\
 <TR>
  <TD class="%(td_style)s"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=20 border=0 alt=""></TD>
  <TD class="%(td_style)s" width="25%%"><A class="blacklink" href="%(BASE_CALENDAR_URL)seditevent.py?event_id=%(event_id)d">%(event_name)s</A></TD>
  <TD class="%(td_style)s" nowrap width="15%%">%(creator_name)s</TD>
  <TD class="%(td_style)s" nowrap width="15%%">%(start_stamp)s</TD>
  <TD class="%(td_style)s" nowrap width="15%%">%(end_stamp)s</TD>
  <TD class="%(td_style)s" nowrap width="15%%">%(event_priority)s</TD>
  <TD class="%(td_style)s" nowrap width="15%%">%(event_activity)s</TD>
 </TR>""" % dbresult)
    output.append(u"""</TABLE>""")
    if FULL_BAR:
        output.append(FULL_BAR)
    output.append(u"""<BR>""")
    output.append(standard_html.html_footer(REQUEST))
    return "\n".join(output)

