# Copyright (C) 2003-2005 Inversion Software Ltd. <inversion@inversion.ee>
# http://www.conflux.ee/
#
# This file is part of Conflux Lite
#
# Conflux Lite is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# Conflux Lite is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Conflux Lite; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
######################################################################

import standard_html

import SQLTree, _InitTypes, _Conf, Menus

def index(REQUEST):
    return " "

def frametree(REQUEST):
    output = []
    output.append(standard_html.html_header_popup(REQUEST))

    a = SQLTree.SQLTree(REQUEST, "disctree2")
    a.set_param('item_types', [_InitTypes.ITEM_TYPE_ORGANIZATION])
    a.set_param('tree_url', _Conf.BASE_DISCUSSION_URL + 'disctree.py/frametree')
    a.set_param('target_url', _Conf.BASE_DISCUSSION_URL + 'discindex.py')
    a.set_param('target', 'framecontents')
    a.set_param('js', """<A href="javascript:void(0);" onClick="window.opener.document.forms.addform.parent_id.value=%(item_id)d; window.opener.document.forms.addform.parent_name.value='%(item_name)s'; window.close();\">""")
    a.maketree()

    output.append(a.getTree())

    output.append(standard_html.html_footer(REQUEST))
    return "\n".join(output)
