# Copyright (C) 2003-2005 Inversion Software Ltd. <inversion@inversion.ee>
# http://www.conflux.ee/
#
# This file is part of Conflux Lite
#
# Conflux Lite is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# Conflux Lite is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Conflux Lite; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
######################################################################

from Menus import get_email_menu
from mod_python import apache
import standard_html
import _Conf, _Efolder, _Efilter, _InitTypes

MY_MENU_ID=5

def index(REQUEST):
    output = []
    output.append(standard_html.html_header(REQUEST))
    output.append(get_email_menu(REQUEST, MY_MENU_ID))

    if REQUEST.form.has_key('delete'):
        del_ids = []
        for key in REQUEST.form.keys():
            if key[:4] == 'sel_':
                del_ids.append(int(key[4:]))
        for del_id in del_ids:
            obj = _Efilter.Efilter(REQUEST, _InitTypes.INIT_TYPE_ID, del_id)
            obj.delete()

    tls_missing_input = REQUEST.TLS('tls_missing_input')
    BASE_ICON_URL = _Conf.BASE_ICON_URL
    BASE_EMAIL_URL = _Conf.BASE_EMAIL_URL
    tls_save = REQUEST.TLS('tls_save')
    tls_filters = REQUEST.TLS('compmenu_email_filters')
    tls_newfilter = REQUEST.TLS('email_newfilter')
    tls_condition = REQUEST.TLS('email_condition')
    tls_search_in = REQUEST.TLS('email_search_in')
    tls_action = REQUEST.TLS('email_action')
    tls_contains = REQUEST.TLS('email_contains')
    tls_case = REQUEST.TLS('email_case')
    tls_whole = REQUEST.TLS('email_cond_whole')
    tls_header = REQUEST.TLS('email_cond_header')
    tls_body = REQUEST.TLS('email_cond_body')
    tls_from = REQUEST.TLS('email_cond_from')
    tls_to = REQUEST.TLS('email_cond_to')
    tls_title = REQUEST.TLS('email_cond_title')
    tls_text = REQUEST.TLS('email_cond_text')
    tls_move = REQUEST.TLS('email_act_move')
    tls_del = REQUEST.TLS('email_act_del')
    tls_pri = REQUEST.TLS('email_act_pri')
    tls_deletesel = REQUEST.TLS('tls_deletesel')
    tls_priority = REQUEST.TLS('tls_priority')
    REQ_FIELD = _Conf.REQ_FIELD
    
    
    REQUEST.db.execute("""SELECT e.efolder_id, e.efolder_name, efolder_flags FROM items i, efolders e WHERE e.efolder_id=i.item_id AND i.parent_id=%d ORDER BY efolder_id ASC""" % REQUEST.USER.get_id())
    result = REQUEST.db.dictfetchall()
    select = [u"""<SELECT class="sel_input" name="moveto_efolder_id" style="visibility: hidden" id="1">"""]
    if not result:
        raise RuntimeError, REQUEST.TLS('emails_nofolders')
    for item in result:
        if item.get('efolder_flags') & _Efolder.EFOLDER_DRAFTS:
            item['efolder_name'] = REQUEST.TLS('mail_Drafts')
        elif item.get('efolder_flags') & _Efolder.EFOLDER_SENT:
            item['efolder_name'] = REQUEST.TLS('mail_Sent Items')
        elif item.get('efolder_flags') & _Efolder.EFOLDER_INBOX:
            item['efolder_name'] = REQUEST.TLS('mail_Inbox')
        elif item.get('efolder_flags') & _Efolder.EFOLDER_DELETED:
            item['efolder_name'] = REQUEST.TLS('mail_Deleted Items')
        else: item['efolder_name'] = item['efolder_name'].decode('UTF8')
        select.append(u"""<OPTION value="%s">%s""" % (item['efolder_id'], item['efolder_name']))
    select.append(u"""</SELECT>""")
    select = "\n".join(select)
    
    efolders = {}
    for item in result:
            if item.get('efolder_flags') & _Efolder.EFOLDER_DRAFTS:
                item['efolder_name'] = REQUEST.TLS('mail_Drafts')
            elif item.get('efolder_flags') & _Efolder.EFOLDER_SENT:
                item['efolder_name'] = REQUEST.TLS('mail_Sent Items')
            elif item.get('efolder_flags') & _Efolder.EFOLDER_INBOX:
                item['efolder_name'] = REQUEST.TLS('mail_Inbox')
            elif item.get('efolder_flags') & _Efolder.EFOLDER_DELETED:
                item['efolder_name'] = REQUEST.TLS('mail_Deleted Items')
            else: item['efolder_name'] = item['efolder_name']
            efolders[item['efolder_id']]=item['efolder_name']
    
    output.append("""
<SCRIPT type="text/javascript">
function vis(){
  sel = document.getElementById('1');
  if(document.forms[1].action.value=="1")
      sel.style.visibility="visible";
  else
      sel.style.visibility="hidden";
}
</SCRIPT>
<BR>
<TABLE width="100%%" cellpadding=0 cellspacing=0 border=0>
<FORM method="post" action="%(BASE_EMAIL_URL)sefilters.py">
<TR>
  <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD width="100%%" colspan="9">
    <TABLE border=0 width="100%%" cellpadding=0 cellspacing=0>
      <TR>
        <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk1.gif');"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
        <TD class="th_listing" align=center nowrap>&nbsp;&nbsp;&nbsp;<b>%(tls_filters)s</b>&nbsp;&nbsp;&nbsp;</TD>
        <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk2.gif');"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
        <TD width="100%%">&nbsp;</TD>
      </TR>
    </TABLE>
  </TD>
</TR>
<TR class="tr_listing1">
 <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 border=0 alt=""></TD>
 <TD class="td_listing1b" nowrap>%(tls_condition)s</TD>
 <TD class="td_listing1b" nowrap>&nbsp;</TD>
 <TD class="td_listing1b" nowrap>&nbsp;</TD>
 <TD class="td_listing1b" nowrap>%(tls_action)s</TD>
 <TD class="td_listing1b" nowrap>&nbsp;</TD>
 <TD class="td_listing1b" nowrap>%(tls_case)s</TD>
 <TD class="td_listing1b" nowrap>%(tls_priority)s</TD>
 <TD class="td_listing1" width="100%%">&nbsp;</TD>
 <TD class="td_listing1">&nbsp;</TD>
</TR>
""" % locals())
    SQL = "select * from email_filters, items where item_id=filter_id and item_type_id=%s and creator_id=%s order by priority desc, condition_id asc" % (_InitTypes.ITEM_TYPE_EFILTER, REQUEST.USER.get_id())
    REQUEST.db.execute(SQL)
    dbres = REQUEST.db.dictfetchall()
    conditions = {}
    conditions[0]=''
    conditions[1]=tls_whole
    conditions[2]=tls_header
    conditions[3]=tls_body
    conditions[4]=tls_from
    conditions[5]=tls_to
    conditions[6]=tls_title
    conditions[7]=tls_text

    actions = {}
    actions[0]=''
    actions[1]=tls_move
    actions[2]=tls_del
    actions[3]=tls_pri

    index = 0
    for row in dbres:
      index = index + 1
      if index%2==0:
        td_class = 1
      else:
        td_class = 0
      condition = conditions[row['condition_id']]
      keywords = row['keywords'].decode('UTF8')
      action = actions[row['action_id']]
      if row['folder_id']:
        target = efolders[row['folder_id']]
      else:
        target = "&nbsp;"
      if row['use_case']:
        case = "+"
      else:
        case = "-"
      priority = row['priority']
      filter_id = row['filter_id']
      output.append(u"""
<TR class="tr_listing%(td_class)s">
  <TD class="td_listing%(td_class)s"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 border=0 alt=""></TD>
  <TD class="td_listing%(td_class)s" nowrap>%(tls_search_in)s %(condition)s</TD>
  <TD class="td_listing%(td_class)s" nowrap>%(tls_contains)s</TD>
  <TD class="td_listing%(td_class)s" nowrap>%(keywords)s</TD>
  <TD class="td_listing%(td_class)s" nowrap>%(action)s</TD>
  <TD class="td_listing%(td_class)s" nowrap>%(target)s</TD>
  <TD class="td_listing%(td_class)s" nowrap align="center">%(case)s</TD>
  <TD class="td_listing%(td_class)s" nowrap align="center">%(priority)s</TD>
  <TD class="td_listing%(td_class)s" width="100%%">&nbsp;</TD>
  <TD class="td_listing%(td_class)s"><input type="checkbox" name="sel_%(filter_id)s"></TD>
</TR>""" % locals())
    
    index = index + 1
    if index%2==0:
      td_class = 1
    else:
      td_class = 0
    output.append("""
<TR class="tr_listing%(td_class)s">
  <TD class="td_listing%(td_class)s"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 border=0 alt=""></TD>
  <TD class="td_listing%(td_class)s" colspan="9"><input type="submit" name="delete" class="input6" value="%(tls_deletesel)s"></TD>
</TR>
</TABLE>
</FORM>
<BR>
<BR>
<SCRIPT type="text/javascript">
function check() {
  if(document.forms[1].keywords.value&&document.forms[1].action.value>0)
  {
    return true;
  }
  else
  {
    alert("%(tls_missing_input)s");
    return false;
  }
  return false
}
</SCRIPT>
<BR>
<TABLE width="100%%" cellpadding=0 cellspacing=0 border=0>
<FORM method="post" action="%(BASE_EMAIL_URL)sefilters.py/save" name="filter" onsubmit="return check();">
<TR>
  <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD width="100%%" colspan="4">
    <TABLE border=0 width="100%%" cellpadding=0 cellspacing=0>
      <TR>
        <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk1.gif');"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
        <TD class="th_listing" align=center nowrap>&nbsp;&nbsp;<b>%(tls_newfilter)s</b>&nbsp;&nbsp;</TD>
        <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk2.gif');"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
        <TD width="100%%">&nbsp;</TD>
      </TR>
    </TABLE>
  </TD>
</TR>
<TR class="tr_listing1">
 <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height="20" border=0 alt=""></TD>
 <TD class="td_listing1b" nowrap>%(tls_condition)s:</TD>
 <TD class="td_listing1b" nowrap>&nbsp;</TD>
 <TD class="td_listing1b" nowrap>&nbsp;</TD>
 <TD class="td_listing1b" width="100%%">&nbsp;</TD>
</TR>
<TR class="tr_listing0">
 <TD class="td_listing0"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 border=0 alt=""></TD>
 <TD class="td_listing0" nowrap><b>%(tls_search_in)s</b>&nbsp;
   <SELECT name="condition" class="sel_input">
     <OPTION VALUE="1">%(tls_whole)s</OPTION>
     <OPTION VALUE="2">%(tls_header)s</OPTION>
     <OPTION VALUE="3">%(tls_body)s</OPTION>
     <OPTION VALUE="4">%(tls_from)s</OPTION>
     <OPTION VALUE="5">%(tls_to)s</OPTION>
     <OPTION VALUE="6">%(tls_title)s</OPTION>
     <OPTION VALUE="7">%(tls_text)s</OPTION>
   </SELECT>
 </TD>
 <TD class="td_listing0" nowrap align="center"><b>%(tls_contains)s</b>%(REQ_FIELD)s</TD>
 <TD class="td_listing0" nowrap><INPUT type="text" name="keywords" class="textfield2" size=30></TD>
 <TD class="td_listing0" width="100%%">&nbsp;</TD>
</TR>
<TR class="tr_listing1">
 <TD class="td_listing1b"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 border=0 alt=""></TD>
 <TD class="td_listing1b" nowrap>%(tls_action)s%(REQ_FIELD)s</TD>
 <TD class="td_listing1b" nowrap colspan=2>&nbsp;</TD>
 <TD class="td_listing1b" width="100%%">&nbsp;</TD>
</TR>
<TR class="tr_listing0">
 <TD class="td_listing0"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 border=0 alt=""></TD>
 <TD class="td_listing0" nowrap>
   <SELECT name="action" class="sel_input" onchange="vis();">
     <OPTION VALUE="0">&nbsp;</OPTION>
     <OPTION VALUE="1">%(tls_move)s</OPTION>
     <OPTION VALUE="2">%(tls_del)s</OPTION>
     <OPTION VALUE="3">%(tls_pri)s</OPTION>
   </SELECT>
 </TD>
 <TD class="td_listing0" colspan=2>&nbsp;%(select)s</TD>
 <TD class="td_listing0" width="100%%">&nbsp;</TD>
</TR>
<TR class="tr_listing1">
 <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 border=0 alt=""></TD>
 <TD class="td_listing1b" nowrap>%(tls_priority)s &nbsp;
   <SELECT name="priority" style="background-color: #FFFFFF;">
     <OPTION value="1">1</OPTION>
     <OPTION value="2">2</OPTION>
     <OPTION value="3">3</OPTION>
     <OPTION value="4">4</OPTION>
     <OPTION value="5" SELECTED>5</OPTION>
     <OPTION value="6">6</OPTION>
     <OPTION value="7">7</OPTION>
     <OPTION value="8">8</OPTION>
     <OPTION value="9">9</OPTION>
     <OPTION value="10">10</OPTION>
   </SELECT>
 </TD>
 <TD class="td_listing1b" nowrap>%(tls_case)s</TD>
 <TD class="td_listing1" nowrap><INPUT TYPE="checkbox" value="1" name="case"></TD>
 <TD class="td_listing1" width="100%%">&nbsp;</TD>
</TR>
<TR>
 <TD class="td_listing0"><img src="%(BASE_ICON_URL)sspacer.gif" width=10 border=0 alt=""></TD>
 <TD class="td_listing0" colspan="4"><input type="submit" name="save" value="%(tls_save)s" class="input2"></TD>
</TD>
</TABLE>
</FORM>
  """ % locals())
    output.append(standard_html.html_footer(REQUEST))
    return '\n'.join(output)

def save(REQUEST):
    filter = _Efilter.Efilter(REQUEST, _InitTypes.INIT_TYPE_NEW)
    filter.set('parent_id', REQUEST.USER.get_id())
    filter.set('condition_id',int(REQUEST.form['condition'].value))
    filter.set('keywords',REQUEST.form['keywords'].value.decode('UTF8'))
    filter.set('action_id',int(REQUEST.form['action'].value))
    if REQUEST.form['action'].value=="1":
      filter.set('folder_id', int(REQUEST.form['moveto_efolder_id'].value))
    else:
      filter.set('folder_id',0)
    if REQUEST.form.has_key('case') and REQUEST.form['case'].value=="1":
      filter.set('use_case',1)
    else:
      filter.set('use_case',0)
    filter.set('priority',REQUEST.form['priority'].value)
    filter.save()
    REQUEST.mod_req.headers_out["Location"] = "%sefilters.py" % _Conf.BASE_EMAIL_URL
    return apache.HTTP_MOVED_TEMPORARILY  
