# Copyright (C) 2003-2005 Inversion Software Ltd. <inversion@inversion.ee>
# http://www.conflux.ee/
#
# This file is part of Conflux Lite
#
# Conflux Lite is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# Conflux Lite is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Conflux Lite; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
######################################################################

import _Conf, _RootObject, urllib
from mod_python import apache

def index(REQUEST):
    formkeys = ""
    if REQUEST.form.keys():
        formkeys = []
        for key in REQUEST.form.keys():
            if key not in ['RealmAuthUser', 'RealmAuthPass', 'x', 'y']:
                formkeys.append(u"""%s=%s""" % (key, urllib.quote(REQUEST.form[key].value.decode('UTF8'))))
        formkeys = "&".join(formkeys)
    if formkeys:
        formkeys = u"?%s" % formkeys

    REQUEST.mod_req.headers_out["Location"] = """%sefolder.py%s""" % (_Conf.BASE_EMAIL_URL, formkeys.encode('UTF8'))
    return apache.HTTP_MOVED_TEMPORARILY
