# Copyright (C) 2003-2005 Inversion Software Ltd. <inversion@inversion.ee>
# http://www.conflux.ee/
#
# This file is part of Conflux Lite
#
# Conflux Lite is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# Conflux Lite is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Conflux Lite; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
######################################################################

import standard_html, _Conf, Menus, _Utils
from mod_python import apache

MY_MENU_ID=3

def index(REQUEST):

    if REQUEST.USER.get_id() == _Conf.SUPERUSER:
        edit_root = 1
    else:
        top_parent = REQUEST.USER.get_parent(REQUEST).get_top_parent()
        if REQUEST.USER.get_id() == top_parent.get('superuser_id'):
            edit_root = 0
        else:
            raise RuntimeError, REQUEST.TLS('admin_notsuper')

    BASE_WEB_URL = _Conf.BASE_WEB_URL
    BASE_URL = _Conf.BASE_URL
    BASE_ICON_URL = _Conf.BASE_ICON_URL
    tls_save = REQUEST.TLS('tls_save')
    tls_frontmanage = REQUEST.TLS('tls_frontmanage')
    tls_help_name = REQUEST.TLS('frontpage_help_name')
    tls_help_text = REQUEST.TLS('frontpage_help_contents')
    try:
         body = REQUEST.get_setting('frontpage_contents')
    except:
         body = ""
    output = []
    output.append(standard_html.html_header(REQUEST))
    output.append(Menus.get_frontpage_menu(REQUEST, MY_MENU_ID))
    output.append(u"""\
<BR>
<TABLE border="0" width="100%%" cellpadding="0" cellspacing="0">
<FORM method="post" action="%(BASE_URL)sfrontmanage.py/save_frontpage">
<TR>
  <TD><img src="%(BASE_ICON_URL)sspacer.gif" width=10 height=1 border=0 alt=""></TD>
  <TD colspan=2 width="100%%">
    <TABLE border=0 width="100%%" cellpadding=0 cellspacing=0>
      <TR>
        <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk1.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
        <TD class="th_listing" align="center" nowrap>&nbsp;&nbsp;&nbsp;<b>%(tls_frontmanage)s</b>&nbsp;&nbsp;&nbsp;</TD>
        <TD style="background-image: url('%(BASE_ICON_URL)sdokunurk2.gif')"><img src="%(BASE_ICON_URL)sspacer.gif" width="2" height="20" border=0 alt=""></TD>
        <TD width="100%%">&nbsp;</TD>
      </TR>
    </TABLE>
  </TD>
</TR>
  <TR class="tr_listing1">
    <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width="10" height="20" border="0" alt=""></TD>
    <TD class="td_listing1" width="100%%">%(tls_help_name)s</TD>
    <TD class="td_listing1" ><img src="%(BASE_ICON_URL)sspacer.gif" width="10" height="10" border="0" alt=""></TD>
  </TR>
  <TR class="tr_listing0">
    <TD class="td_listing0"><img src="%(BASE_ICON_URL)sspacer.gif" width="10" height="20" border="0" alt=""></TD>
    <TD class="td_listing0" width="100%%">%(tls_help_text)s</TD>
    <TD class="td_listing0"><img src="%(BASE_ICON_URL)sspacer.gif" width="10" height="10" border="0" alt=""></TD>
  </TR>
  <TR class="tr_listing0">
    <TD class="td_listing0"><img src="%(BASE_ICON_URL)sspacer.gif" width="10" height="20" border="0" alt=""></TD>
    <TD class="td_listing0" width="100%%">
""" % locals())
    output.append(_Utils.get_epoz_field(REQUEST, 'body', body))
    output.append(u"""\
        </TD>
    <TD class="td_listing0"><img src="%(BASE_ICON_URL)sspacer.gif" width="10" height="10" border="0" alt=""></TD>
  </TR>
  <TR class="tr_listing1">
    <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width="10" height="20" border="0" alt=""></TD>
    <TD class="td_listing1" width="100%%"><input type="submit" value="%(tls_save)s" class="input2"></TD>
    <TD class="td_listing1"><img src="%(BASE_ICON_URL)sspacer.gif" width="10" height="10" border="0" alt=""></TD>
  </TR>
</TABLE>
</FORM>""" % locals())
    output.append(standard_html.html_footer(REQUEST))
    return '\n'.join(output)

def save_frontpage(REQUEST):
    if REQUEST.form.has_key('body'):
        REQUEST._settings.set_setting_org(REQUEST, 'frontpage_contents', REQUEST.form['body'].value.decode('UTF8'))
    REQUEST.mod_req.headers_out["Location"] = "%sfrontmanage.py" % _Conf.BASE_URL
    return apache.HTTP_MOVED_TEMPORARILY
