# Copyright (C) 2003-2005 Inversion Software Ltd. <inversion@inversion.ee>
# http://www.conflux.ee/
#
# This file is part of Conflux Lite
#
# Conflux Lite is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# Conflux Lite is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Conflux Lite; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
######################################################################

import _Conf, standard_html, _RootObject, _InitTypes, _Utils, _Access
from mod_python import apache

def index(REQUEST):
    if not REQUEST.form.has_key('item_id') or not REQUEST.form['item_id'].value:
        raise RuntimeError, REQUEST.TLS('tls_noitemid')
    item = _RootObject.dispatch_item(REQUEST, int(REQUEST.form['item_id'].value))
    item_type = item.get('item_type_id')

    BASE_ADMIN_URL = _Conf.BASE_ADMIN_URL
    BASE_CALENDAR_URL = _Conf.BASE_CALENDAR_URL
    BASE_DOCUMENT_URL = _Conf.BASE_DOCUMENT_URL
    BASE_TODO_URL = _Conf.BASE_TODO_URL
    BASE_CONTACT_URL = _Conf.BASE_CONTACT_URL
    BASE_EMAIL_URL = _Conf.BASE_EMAIL_URL
    BASE_GENERAL_URL = _Conf.BASE_GENERAL_URL
    BASE_DISCUSSION_URL = _Conf.BASE_DISCUSSION_URL
    BASE_WORKFLOWS_URL = _Conf.BASE_WORKFLOWS_URL
    BASE_CLIENT_URL = _Conf.BASE_CLIENT_URL
    BASE_OPPORTUNITIES_URL = _Conf.BASE_OPPORTUNITIES_URL
    BASE_PRODUCTS_URL = _Conf.BASE_PRODUCTS_URL

    url_dict = {
1:"%(BASE_ADMIN_URL)susers.py/user_info?person_id=%(item_id)s",
2:"%(BASE_ADMIN_URL)susers.py/org_edit_form?organization_id=%(item_id)s",
3:"%(BASE_GENERAL_URL)sinfo.py?item_id=%(item_id)s",
4:"%(BASE_GENERAL_URL)sinfo.py?item_id=%(item_id)s",
5:"%(BASE_CALENDAR_URL)seditevent.py?event_id=%(item_id)s",
6:"%(BASE_TODO_URL)stodoedit.py?todo_id=%(item_id)s",
7:"%(BASE_CONTACT_URL)scontactedit.py?contact_id=%(item_id)s",
9:"%(BASE_EMAIL_URL)sread.py?mail_id=%(item_id)s",
11:"%(BASE_DISCUSSION_URL)sdiscread.py?discussion_id=%(item_id)s",
12:"%(BASE_TODO_URL)snotes.py/edit?note_id=%(item_id)s",
16:"%(BASE_WORKFLOWS_URL)sworkflowedit.py?workflow_id=%(item_id)s",
18:"%(BASE_CLIENT_URL)sclientedit.py?client_id=%(item_id)s",
19:"%(BASE_OPPORTUNITIES_URL)soppedit.py?opp_id=%(item_id)s",
20:"%(BASE_PRODUCTS_URL)seditproduct.py?product_id=%(item_id)s"}
    
    item_id = item.get_id()
    if item_type == _InitTypes.ITEM_TYPE_USERNOTE:
        parent = _RootObject.dispatch_item(REQUEST, item.get('parent_id'))
        if parent.get('item_type_id') == _InitTypes.ITEM_TYPE_PERSON:
            url = url_dict[item_type] % locals()
        else:
            item_id = parent.get_id()
            url = url_dict[parent.get('item_type_id')] % locals()
            url = url + "&note=1"
    else:
        url = url_dict[item_type] % locals()
    REQUEST.mod_req.headers_out["Location"] = url
    return apache.HTTP_MOVED_TEMPORARILY
