# Copyright (C) 2003-2005 Inversion Software Ltd. <inversion@inversion.ee>
# http://www.conflux.ee/
#
# This file is part of Conflux Lite
#
# Conflux Lite is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# Conflux Lite is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Conflux Lite; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
######################################################################

import _Conf, standard_html, _RootObject, _InitTypes, _Utils, _Access, urllib
from mod_python import apache

def index(REQUEST):
    if REQUEST.form.has_key('search_keyword') and REQUEST.form['search_keyword'].value:
        search_keyword = REQUEST.form['search_keyword'].value.strip()
    else:
        search_keyword = ""
    item_type = int(REQUEST.form['search_type'].value)
    
    if search_keyword:
        try:
            saved_list = REQUEST.get_setting('quick_searches')
        except:
            saved_list = []
        save = 1
        for item in saved_list:
            if item==search_keyword:
                save = 0
                break
        if save:
            saved_list.append(search_keyword)
            if len(saved_list)>8:
                saved_list.remove(saved_list[0])
        REQUEST.set_setting('quick_searches', saved_list)
    BASE_URL = _Conf.BASE_URL
    BASE_ADMIN_URL = _Conf.BASE_ADMIN_URL
    BASE_CALENDAR_URL = _Conf.BASE_CALENDAR_URL
    BASE_DOCUMENT_URL = _Conf.BASE_DOCUMENT_URL
    BASE_TODO_URL = _Conf.BASE_TODO_URL
    BASE_CONTACT_URL = _Conf.BASE_CONTACT_URL
    BASE_EMAIL_URL = _Conf.BASE_EMAIL_URL
    BASE_GENERAL_URL = _Conf.BASE_GENERAL_URL
    BASE_DISCUSSION_URL = _Conf.BASE_DISCUSSION_URL
    BASE_WORKFLOWS_URL = _Conf.BASE_WORKFLOWS_URL
    BASE_CLIENT_URL = _Conf.BASE_CLIENT_URL
    BASE_OPPORTUNITIES_URL = _Conf.BASE_OPPORTUNITIES_URL
    BASE_PRODUCTS_URL = _Conf.BASE_PRODUCTS_URL
    
    url = ""
    if item_type==0:
        url = "_meta=checked&_data=checked&_word=%(search_keyword)s&_modules=3&_modules=4&_modules=5&_modules=6&_modules=7&_modules=9&_modules=11&_modules=12&_modules=16&_modules=18&_modules=19&_modules=20" % locals()
    elif item_type==1:
        url = urllib.quote("%(BASE_DOCUMENT_URL)sdocsearch.py/search?search_keyword=%(search_keyword)s" % locals())
    elif item_type==2:
        url = "_meta=checked&_word=%(search_keyword)s&_modules=3" % locals()
    elif item_type==5:
        url = "_meta=checked&_word=%(search_keyword)s&_modules=12" % locals()
    elif item_type==11:
        url = "_meta=checked&_word=%(search_keyword)s&_modules=20" % locals()
    elif item_type==12:
        url = "_data=checked&_meta=checked&_word=%(search_keyword)s&_modules=9" % locals()
    url_dict = {
0:"%(BASE_URL)ssearch.py/search?%(url)s",
1:"%(BASE_DOCUMENT_URL)sdocframe.py?doc_url=%(url)s",
2:"%(BASE_URL)ssearch.py/search?%(url)s",
3:"%(BASE_CALENDAR_URL)seventsearch.py/search?search_keyword=%(search_keyword)s",
4:"%(BASE_TODO_URL)stodosearch.py/search?search_keyword=%(search_keyword)s",
5:"%(BASE_URL)ssearch.py/search?%(url)s",
6:"%(BASE_WORKFLOWS_URL)sworkflowsearch.py/search?search_keyword=%(search_keyword)s",
7:"%(BASE_DISCUSSION_URL)sdiscsearch.py/search?disc_message=%(search_keyword)s",
8:"%(BASE_CLIENT_URL)sclientsearch.py/search?search_keyword=%(search_keyword)s",
9:"%(BASE_CONTACT_URL)scontactsearch.py/search?search_keyword=%(search_keyword)s",
10:"%(BASE_OPPORTUNITIES_URL)soppsearch.py/search?search_keyword=%(search_keyword)s",
11:"%(BASE_URL)ssearch.py/search?%(url)s",
12:"%(BASE_URL)ssearch.py/search?%(url)s",
}
    
    url = url_dict[item_type] % locals()
    REQUEST.mod_req.headers_out["Location"] = url
    return apache.HTTP_MOVED_TEMPORARILY
