# Copyright (C) 2003-2005 Inversion Software Ltd. <inversion@inversion.ee>
# http://www.conflux.ee/
#
# This file is part of Conflux Lite
#
# Conflux Lite is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# Conflux Lite is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Conflux Lite; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
######################################################################

translation_dict = {
# Login
'login_user':'User',
'login_password':'Password',
'login_remember':'remember me',

# Top level left menu items
'topmenu_desktop':'Desktop',
'topmenu_documents':'Documents',
'topmenu_calendar':'Calendar',
'topmenu_todos':'Tasks and notes',
'topmenu_contacts':'Contacts',
'topmenu_email':'E-mail',
'topmenu_disc':'Discussions',
'topmenu_admin':'Admin',
'topmenu_workflows':'Workflows',
'topmenu_clients':'Clients',
'topmenu_products':'Products',
'topmenu_opportunities':'Opportunities',
'topmenu_messages':'Messages',
'topmenu_translation':'Translations',

# Item types
'type_Persons':'Persons',
'type_Organizations':'Organizations',
'type_Folders':'Folders',
'type_Documents':'Documents',
'type_Events':'Events',
'type_Todos':'Tasks',
'type_Contacts':'Contacts',
'type_eFolders':'eFolders',
'type_e-mails':'E-mails',
'type_eAccounts':'eAccounts',
'type_Discussions':'Discussions',
'type_UserNotes':'Notes',
'type_Discussion categories':'Discussion categories',
'type_Calendar resources':'Calendar resources',
'type_Bookmarks':'Bookmarks',
'type_Workflows':'Workflows',
'type_Client':'Clients',
'type_Opportunity':'Opportunities',
'type_Product':'Products',
'type_Quota':'Quotas',
'type_Messages':'Messages',

# System e-mail folders
'mail_Inbox':'<b>Inbox</b>',
'mail_Sent Items':'<b>Sent Items</b>',
'mail_Deleted Items':'<b>Deleted Items</b>',
'mail_Drafts':'<b>Drafts</b>',


# Generic keywords
'':'', # EMPTY STRING
'tls_search':'Search',
'tls_adv_search':'Advanced Search',
'tls_dupe_search':'Duplicate Search',
'tls_keyword':'Keyword',
'tls_add':'Add',
'tls_save':'Save',
'tls_list':'List',
'tls_name':'Name',
'tls_information':'Information',
'tls_versions':'Versions',
'tls_title':'Title',
'tls_creator':'Creator',
'tls_author':'Author',
'tls_editor':'Editor',
'tls_edit':'Edit',
'tls_createtime':'Created on',
'tls_createtimebetween':'Created between',
'tls_edittime':'Edited on',
'tls_description':'Description',
'tls_comments':'Comments',
'tls_contents':'Contents',
'tls_folders':'Folders',
'tls_active':'Active',
'tls_missing_input':'Please fill all required form fields before submitting!',
'tls_missing_meta_data':'Please check either data or contents field',
'tls_subject':'Subject',
'tls_date':'Date',
'tls_back_x':'Previous %d items',
'tls_forward_x':'Next %d items',
'tls_deletesel':'Delete selected',
'tls_delete':"Delete",
'tls_password':'Password',
'tls_passwordagain':'Password again',
'tls_email':'E-mail',
'tls_phone_work':'Work phone',
'tls_phone_fax':'Fax',
'tls_phone_home':'Home phone',
'tls_phone_cell':'Cell phone',
'tls_website':'Website',
'tls_contacts':'Contacts',
'tls_todos':'Tasks',
'tls_todo':'Task',
'tls_first_name':'First name',
'tls_last_name':'Last name',
'tls_middle_names':'Middle names',
'tls_category':'Category',
'tls_private':'Private',
'tls_public':'Public',
'tls_fromto_to':'to',
'tls_priority':'Priority',
'tls_activity':'Activity',
'tls_status':'Status',
'tls_related':'Related',
'tls_responsible_per':'Responsible Persons',
'tls_responsible':'Responsible',
'tls_invdateformat':'Invalid date format entered.',
'tls_nousers':'No users specified.',
'tls_nodata':'Event data not given.',
'tls_missinginfo':'Missing required info',
'tls_notitle':'No title given',
'tls_notes':'Notes',
'tls_note':'Note',
'tls_discussions':'Discussions',
'tls_emails':'E-mails',
'tls_myinfo':'My info',
'tls_settings':'User settings',
'tls_remove':'Remove',
'tls_enabled_modules':'Enabled modules',
'tls_select_all':'select all',
'tls_relations':'Relations',
'tls_remove_rels':'Remove relations',
'tls_add_relation':'Create relation',
'tls_logoff':'Log out',
'tls_search_events':'Calendar events',
'tls_input_short':'Full text search keywords require at least 3 letters.',
'tls_type':'Type',
'tls_search_results':'Search results',
'tls_sms':'SMS',
'tls_emoticons':'Emoticons',
'tls_timezone':'Time zone',
'tls_subjects':'Topics',
'tls_noitemid':'No item id given',
'tls_all':'All',
'tls_my':'My',
'tls_confirm_del':'Do you really want to delete?',
'tls_save_close':'Save & Close',
'tls_selected':'Selected',
'tls_remove_sel':'Remove selected',
'tls_add_sel':'Add selected',
'tls_group':'Group',
'tls_file':'File',
'tls_norecords':'No records specified.',
'tls_groupname':'Group name',
'tls_members':'Members',
'tls_members2':'Members',
'tls_viewmembers':'View Members',
'tls_nomembers':'There are no members in this group.',
'tls_usedspace':'Used Space',
'tls_invalid_file':'Invalid file submitted.',
'tls_document':'Document',
'tls_currdate':'Present Date',
'tls_time':'Time',
'tls_time2':'Time',
'tls_time3':'Time',
'tls_merge':'Merge',
'tls_object':'Object',
'tls_show':'Show',
'tls_deleter':'Deleted by',
'tls_deltime':'Deleted on',
'tls_deleteditem':'Deleted Item',
'tls_path':'Path',
'tls_free':'Free',
'tls_used':'Used',
'tls_size':'Size',
'tls_format':'Format',
'tls_bgcolor':'Background color',
'tls_recentsearches':'Recent searches',
'tls_programs':'Programs',
'tls_dictionaries':'Dictionaries',
'tls_add_to_dict':'Add to dictionary',
'tls_schedule':'Schedule',
'tls_mymessages':'My Messages',
'tls_mynotes':'My Notes',
'tls_greeting':'Welcome to #APPNAME# %s',
'tls_newevent':'new event',
'tls_newtask':'new task',
'tls_newnote':'new note',
'tls_newemail':'new mail',
'tls_noevents':'No events scheduled.',
'tls_close':'Close',
'tls_closewin':'Close Window',
'tls_back':'Back',
'tls_view':'View',
'tls_birthdays':'Birthdays',
'tls_location':'Location',
'tls_attendees':'Attendees',
'tls_attendee':'Attendee',
'tls_gantt':'Gantt',
'tls_print':'Print',


# Menus.py, admin menu
'compmenu_admin_org':'Organizations',
'compmenu_admin_user':'Users',
'compmenu_admin_group':'Groups',
'compmenu_admin_settings':'Settings',
'compmenu_admin_choices':'Choices',
'compmenu_admin_access':'Access Tree',
'compmenu_admin_toplevel':'ASP',
'compmenu_admin_news':'News',
'compmenu_admin_system':'System',

# Menus.py, calendar menu
'compmenu_cal_day':'Daily calendar',
'compmenu_cal_week':'Weekly calendar',
'compmenu_cal_month':'Monthly calendar',

# Menus.py, document menu
'compmenu_doc_docs':'Documents',
'compmenu_doc_addfile':'Add file',
'compmenu_doc_addfolder':'Add folder',
'compmenu_doc_tree':'Document tree',
'compmenu_org_tree':'Organization tree',

# Menus.py, messages menu
'compmenu_mes_mess':'Messages',
'compmenu_mes_addin':'Add incoming',
'compmenu_mes_addout':'Add outgoing',
'compmenu_mes_addfolder':'Add folder',

# Menus.py, todo menu
'compmenu_todo_active':'Active Tasks',
'compmenu_todo_all':'All Tasks',
'compmenu_todo_notes':'Notes',

# Menus.py, contact menu
'compmenu_contact_listmy':'My contacts',
'compmenu_contact_all':'All contacts',
'compmenu_export_import':'Export/Import',

# Menus.py, email menu
'compmenu_email_list':'E-mails',
'compmenu_email_compose':'Compose',
'compmenu_email_settings':'Settings',
'compmenu_email_sync':'Check for mail',
'compmenu_email_filters':'Filters',

# Menus.py, clients menu
'compmenu_client_mine':'My clients',
'compmenu_client_all':'All clients',

# Menus.py opportunities menu
'compmenu_active_opp':'My active',
'compmenu_active_oth':'Others\' active',
'compmenu_all_opp':'All closed',

# Menus.py products menu
'compmenu_products':'Products',

# _Document.py
'docobj_nodocsave':'Nothing was uploaded.',
'docobj_undeletemissing':'INTERNAL: Missing required information for undeleting the document.',
'docobj_notsaved':'Document object (not saved)',
'docobj_noname':'Document object #%s',

# _Event.py
'eventobj_noname':'Event object #%s',
'eventobj_notsaved':'Event object (not saved)',

# _Folder.py
'folderobj_noname':'Folder object #%s',
'folderobj_notsaved':'Folder object (not saved)',
'folderobj_undeletemissing':'INTERNAL: Missing required information for undeleting the folder.',

# _Indexer.py
'indexer_noparser':'No parser for %s found.',
'indexer_nofilter':'No filter for %s found.',
'indexer_failed':'Filter failed: %s, %d',

# _Organization.py
'orgobj_noname':'Organization object #%s',
'orgobj_notsaved':'Organization object (not saved)',
'orgobj_accgrperr':'Unable to create default access group for the organization.',
'orgobj_undeletemissing':'INTERNAL: Missing required information for undeleting the document.',
'orgobj_copytohook':'Organizations cannot be copied!',
'orgobj_noaccgrp':'No access group for organization!',

# _Person.py
'personobj_noname':'Person object #%s',
'personobj_notsaved':'Person object (not saved)',

# _RootObject.py
'rootobj_matchingkeys':'Matching fields in item_data and object_data found.',
'rootobj_noitemtype':'Object has no item type set.',
'rootobj_invalidinit':'Invalid initiation type given.',
'rootobj_nosetaccess':'Access to setting field "%s" not permitted.',
'rootobj_noname':'RootObject object #%s',
'rootobj_notsaved':'RootObject object (not saved)',
'rootobj_selecterror':'Loading object from database failed.',
'rootobj_primarykeyset':'INTERNAL: Trying to insert an object with primary key set.',
'rootobj_typecasterr':'Type casting failed with field "%s".',
'rootobj_missingnodefault':'Missing data for required field "%s".',
'rootobj_primarykeymissing':'INTERNAL: Trying to update an object without primary key.',
'rootobj_parentmissing':'No valid parent found while saving.',
'rootobj_savefailed':'Saving object to database failed.',
'rootobj_selectnoprimary':'Loading from database without required data failed.',
'rootobj_noreadaccess':'Permission to read object denied.',
'rootobj_noinsertaccess':'Permission to create new object denied.',
'rootobj_noupdateaccess':'Permission to modify object denied.',
'rootobj_recursiveupdate':'Recursive updates are not allowed.',
'rootobj_nodeleteaccess':'Permission to delete object denied.',
'rootobj_dispatchnotype':'INTERNAL: Unsupported object found item dispatcher.',

# _Todo.py
'todoobj_noname':'Task object #%s',
'todoobj_notsaved':'Task object (not saved)',

# _Efolder.py
'efolderobj_noname':'E-folder object #%s',
'efolderobj_notsaved':'E-folder object (not saved)',

# _Eaccount.py
'eaccountobj_noname':'E-account object #%s',
'eaccountobj_notsaved':'E-account object (not saved)',

# _Email.py
'emailobj_noname':'E-mail object #%s',
'emailobj_notsaved':'E-mail object (not saved)',

# _Discusssion.py
'discobj_noname':'Discussion object #%s',
'discobj_notsaved':'Discussion object (not saved)',

# _Usernote.py
'noteobj_noname':'Note object #%s',      
'noteobj_notsaved':'Note object (not saved)',

# _Contact.py
'contactobj_noname':'Contact object #%s',
'contactobj_notsaved':'Contact object (not saved)',

# _Utils.py
'utils_invalidboolean':'Invalid value for a boolean.',
'utils_invalidint':'Invalid value for an integer.',
'utils_invalidarray':'Invalid value for an array.',

# Error messages, _Baselib.py
'baselib_authenticate_please':'Please authenticate yourself:',
'baselib_authenticate_wrongpass':'Incorrect username or password.',
'baselib_authenticate_disabled':'User has been disabled.',
'baselib_authenticate_expired':'Your session has expired.',
'request_sunouser':'Su could not find data matching given user information.',
'request_nounsu':'The session stack for su is already empty.',

# Calendar
'month_1':'January',
'month_2':'February',
'month_3':'March',
'month_4':'April',
'month_5':'May',
'month_6':'June',
'month_7':'July',
'month_8':'August',
'month_9':'September',
'month_10':'October',
'month_11':'November',
'month_12':'December',

# Document management
'size':'Size',
'date':'Date',
'doc_cutbutton':'cutbtn.gif',
'doc_copybutton':'copybtn.gif',
'doc_deletebutton':'deletebtn.gif',
'doc_renamebutton':'renamebtn.gif',
'doc_pastebutton':'pastebtn.gif',
'doc_metadatasaved':'Document metadata saved.',
'doc_contentssaved':'Document contents saved.',
'doc_newversaved':'New version of document saved.',
'doc_simple_search':'Simple Search',
'doc_complex_search':'Complex Search',
'doc_filename':'File name',
'doc_file':'File',
'doc_folder':'Folder',
'doc_author':'Author',
'doc_modification_date':'Modification date',
'doc_creation_date':'Creation date',
'doc_addfile':'Add file',
'doc_editfilemeta':'Edit metadata',
'doc_editfilecontents':'Edit file contents',
'doc_loadnewversion':'Load new version',
'doc_delversion':'Delete Versions',
'doc_primeversion':'Restore Version',
'doc_saveasnewversion':'Save as new version',
'doc_addfolder':'Add folder',
'doc_foldername':'Name',     
'doc_fileadded':'File saved.<BR>You are now being redirected to list.',
'doc_fileadded2':'File <b>%s</b> saved.<BR>You are now being redirected to list.',
'required_parameters_missing':'Required parameters were not provided.',
'doc_folderadded':'Folder created.<BR>You are now being redirected to list.',
'doc_nosuchdocop':'The type of document operation you requested is not implemented.',
'doc_nothing_selected':'You did not select any objects.',
'doc_rename_wrongtype':'The selected type of object cannot be renamed through document management.',
'doc_rename':'Rename',
'doc_rename_newname':'New name',
'doc_simple':'simple',
'doc_advanced':'advanced',
'doc_copy_marked':'Objects marked as to be copied.',
'doc_cut_marked':'Objects marked as to be cut.',
'doc_item_copied':'Object %s copied.<BR>',
'doc_item_moved':'Object %s moved.<BR>',
'doc_item_deleted':'Object %s deleted.<BR>',
'doc_item_renamed':'Object renamed.',
'doc_rename_nochange':'Object name was not changed.',
'doc_rename_exists':'A file or folder with that name already exists.',
'doc_file_notfound':'You have issued a request for a document that either does not exist or you have insufficient rights to see it.',
'doc_toolarge':'Web-based editing does not support files with size over 1 megabyte.',
'doc_noid':'No document id',
'doc_islocked':'Document is locked.',
'doc_isunlocked':'Document unlocked.',
'doc_isnotlocked':'Document is not locked.',
'doc_cantunlock':'Cannot unlock document.',
'doc_alreadylocked':'Document is already locked.',
'doc_nolocktime':'Lock time not set.',
'doc_lock':'Lock Document',
'doc_unlock':'Unlock Document',
'doc_lockuntil':'Lock until',
'doc_islock_show':'Document is <font color="red">locked.</font>',
'doc_lockedby':'Locked by',
'doc_lockeduntil':'Locked until',
'doc_showtree':'Show Tree',
'doc_hidetree':'Hide Tree',

'day_monday':'Monday',
'day_tuesday':'Tuesday',
'day_wednesday':'Wednesday',
'day_thursday':'Thursday',
'day_friday':'Friday',
'day_saturday':'Saturday',
'day_sunday':'Sunday',

'day_end_th':'th',
'day_end_st':'st',
'day_end_nd':'nd',
'day_end_rd':'rd',

'email_nodeletedfolder':'No "Deleted Items" folder found.',
'email_noinboxfolder':'No "Inbox" folder found.',
'email_nodraftsfolder':'No "Drafts" folder found.',
'email_nosentfolder':'No "Sent Items" folder found.',
'email_nofolderdef':'No folder was selected for this operation.',
'emails_nofolders':'No e-folders were found.',
'emails_totalstring':'Total %d messages.',
'email_from':'From',
'email_to':'To',
'email_cc':'CC',
'email_bcc':'BCC',
'email_createnew':'Create new',
'email_deletefolder':'Delete folder',
'email_short_newmail':'N',
'email_confirm_del':'Do you really want to delete the selected items?',
'email_moveselto':'Move to Folder',
'email_imapreturnednoid':'An IMAP server returned a message without a message-id. Syncronization is not possible.',
'email_invalidserver':'Invalid server type.',
'email_syncrostring':'Found %d new messages on server %s, user %s.',
'email_syncro_popup':'You have %d new messages!',
'email_syncro_popup1':'You have 1 new message!',
'email_newfolder':'Create a new e-folder',
'email_delfolder':'Delete an e-folder',
'email_accounts':'Accounts',
'email_server':'Server',
'email_user':'User',
'email_type':'Server type',
'email_active':'Active',
'email_activate':'Activate',
'email_deactivate':'Deactivate',
'email_addaccount':'Add an account',
'email_userinfo':'User information',
'email_sendername':'Sender name',
'email_sendermail':'Sender e-mail',
'email_replyto':'Reply-to',
'email_drafts':'Drafts',
'email_attachment':'Attachment',
'email_addattachment':'Add an attachment',
'email_short_del':'Del',
'email_newmessage':'New message',
'email_replymessage':'Reply to a message',
'email_replyallmessage':'Reply to all',
'email_forwardmessage':'Forward a message',
'email_send':'Send',
'email_nofileattached':'You did not upload an attachment.',
'email_emptyfileattached':'You uploaded an empty attachment.',
'email_nosettings':'You have not configured your e-mail account settings. Please do so under the "Settings" tab.',
'email_noreturnpath':'The data was submitted from an unsupported form.',
'email_msgdeleted':'Message moved to "Deleted Items".',
'email_msgdeleted2':'Message deleted.',
'email_messagesent':'Message was sent.',
'email_sendmailerror':'Recipient %s was rejected by the mail server: %s [%s]',
'email_forward':'Forward',
'email_forwardwhole':'Forward whole message',
'email_reply':'Reply',
'email_unsupported_quoting':'Unsupported quoting used in message.',
'email_invalidsubject':'Invalid subject "%s" found: error %s',
'email_sig':'Signatures',
'email_signature':'Signature',
'email_choose':'Choose',
'email_advanced_options':'Advanced options',
'email_mark_read':'Mark as read',
'email_mark_unread':'Mark as unread',
'email_high_priority':'High priority',
'email_normal_priority':'Normal priority',
'email_no_accounts':'No active accounts.',
'email_newfilter':'New filter',
'email_condition':'Condition',
'email_action':'Action',
'email_search_in':'Search in',
'email_contains':'for',
'email_case':'Case sensitive',
'email_cond_whole':'Whole message',
'email_cond_header':'Header (from, to)',
'email_cond_body':'Body (subject, text)',
'email_cond_from':'From',
'email_cond_to':'To',
'email_cond_title':'Subject',
'email_cond_text':'Text',
'email_act_move':'Move message to',
'email_act_del':'Delete message',
'email_act_pri':'Mark as high priority',
'email_filter_moved':'Moved',
'email_filter_del':'Deleted',
'email_filter_pri':'Marked',
'email_attach_nocheck':'Don\'t check',
'email_attach_yes':'Must have',
'email_attach_no':'Must not have',
'email_pref_client':'Default e-mail editor',
'email_format_html':'Rich Text',
'email_format_plain':'Plain Text',
'email_format_confirm':'Some changes might get lost. Proceed?',
'email_view_frames':'E-mail listing and contents',
'email_view_single':'Single Frame View',
'email_view_dual':'Dual Frame View (Recommended)',
'email_framesize':'Frame size',
'email_sent':'Sent',
'email_missingattachment':'Please choose an attachment first.',
'email_spellcheck':'Check Spelling',
'email_resumeedit':'Resume Editing',
'email_spellingok':'Spelling OK.',
'email_contactadded':'The sender has been added to your contacts list',
'email_eventadded':'The event has been added to your calendar!',
'email_mygroups':'My Groups',
'email_pubgroups':'Public Groups',
'email_delchk':'Purge mail from Deleted Items',
'email_deldays':'Delete after',
'email_inline':'View attachments inline',
'email_accepted':'Accepted',
'email_declined':'Declined',
'email_tentative':'Tentative',
'email_confirm_leave':'Really discard message?',

'contact_company':'Company',
'contact_department':'Department',
'contact_job':'Job title',
'contact_dateofbirth':'Date of Birth',
'contact_male':'Male',
'contact_female':'Female',
'contact_sex':'Sex',
'contact_address':'Address',
'contact_state':'State, country',
'contact_tele':'Telephone',
'contact_addcontact':'Add new contact',
'contact_viewcontact':'View contact',
'contact_editcontact':'Edit contact',
'contact_searchcontact':'Search for contacts',
'contact_homepage':'Webpage',
'contact_saved':'Contact saved.',
'contact_info':'Info',
'contact_export':'Export',
'contact_import':'Import',
'contact_import_csv':'CSV Import',
'contact_format':'Output format',
'contact_import_req':'All contacts must have first and last name.',
'contact_duplicate':'Multiple contacts found matching contact \'%s %s\', aborting.',
'contact_matching':'Matching names',
'contact_insert_new':'Insert as new',
'contact_update_ex':'Update existing contacts',
'contact_leave_out':'Leave out',
'contact_import_success':'Import successful',
'contact_import_fount':'Found %s contacts',
'contact_import_added':'Added %s contacts',
'contact_import_updated':'Updated %s contacts',
'contact_import_left_out':'Left out %s contacts',
'contact_corresp':'Correspondence with contact %s',
'contact_merge':'Merge Contacts',
'contact_stay':'This contact remains.',
'contact_out':'This contact gets deleted.',
'contact_flip':'Switch values',
'contact_select_two':'Please select two contacts to merge them.',
'contact_nomergeaccess':'You do not have access to change either one of the contacts.',
'contact_selprim':'Please select primary contact',
'contact_prim':'Select as Primary',
'contact_order':'Contact name order',
'contact_first_last':'First name Last name',
'contact_last_first':'Last name, First name',


'todo_due':'Due',
'todo_done':'Done',
'todo_searchtodo':'Search for tasks',
'todo_addtodo':'Add a task',
'todo_edittodo':'View/edit a task',
'todo_starttime':'Start date',
'todo_duetime':'Due date',
'todo_completedover':'Completed equal or over',
'todo_percentcomplete':'Percent complete',
'todo_complete':'Complete',
'todo_saved':'The task was saved.',
'todo_accept':'Save and accept',
'todo_reject':'Save and reject',
'todo_hasseen':'has seen the task',
'todo_hasaccepted':'has accepted the task',
'todo_deleted':'The task was deleted.',
'todo_onlyme':'Only my tasks',
'todo_select_others':'Select others\' tasks',
'todo_mytasks':'My Tasks',
'todo_date_1':'%d days left.',
'todo_date_2':'One day left.',
'todo_date_3':'The deadline is today.',
'todo_date_4':'One day overdue.',
'todo_date_5':'%d days overdue.',
'todo_v_normal':'Normal view',
'todo_v_created':'Tasks created by you',
'todo_v_assigned':'Tasks assigned to you',
'todo_v_due':'Past due tasks',

'note_message':'Message',
'note_addnote':'Add a note',
'note_editnote':'Edit the note',
'note_public':'Front-page note',
'note_none':'You do not have any personal notes.',

'disc_posted':'Posted on',
'disc_updated':'Last post',
'disc_search':'Search for posts',
'disc_add':'Add a topic',
'disc_edit':'Edit message',
'disc_reply':'Reply to a topic',
'disc_front':'Front page thread',
'disc_onlytop':'You can only reply to topics, not replies.',
'disc_replies':'Replies',
'disc_open':'Open thread',

'front_notes':'Public organization notes',
'front_notodos':'You have no current or overdue tasks.',
'front_nodiscs':'No discussion threads are currently open.',
'front_noaccount':'You have no mail.',
'front_mail':"""You have <span style="color: #A50000;">%d</span> messages in your inbox, out of those <span style="color: #A50000;">%d</span> are unread.""",
'front_nonotes':'No public notes have currently been published.',
'front_exptodos':'Overdue tasks',
'front_todtodos':'Today\'s tasks',

'setting_language':'Language',
'setting_dateformat':'Date format',
'setting_batch':'Batch size',
'setting_batch_email':'E-mail batch size',
'setting_nolang':'Unknown language requested.',
'setting_nodate':'Unknown date format requested.',
'setting_nobatch':'Invalid batch size, valid range is between 10 and 100.',
'setting_saved':'Settings were saved.',

'cal_start':'Starts on',
'cal_end':'Ends on',
'cal_nextyear':'Next year',
'cal_lastyear':'Previous year',
'cal_nextmonth':'Next month',
'cal_lastmonth':'Previous month',
'cal_users':'Others\' events/tasks',
'cal_selusers':'Select others',
'cal_onlymine':'Show only mine',
'cal_usertitle':'Select the persons whose events/tasks you would like to see:',
'cal_myviewlist':'I see following persons\' events/tasks:',
'cal_allpeople':'All other persons:',
'cal_select_resources':'Select resources which usage you would like to see in your calendar:',
'cal_myviewresources':'I see following resources in my calendar:',
'cal_allresources':'All other resources:',
'cal_addevent':'Add an event',
'cal_editevent':'Edit an event',
'cal_startdate':'Start date',
'cal_enddate':'End date',
'cal_starttime':'Start time',
'cal_endtime':'End time',
'cal_reminder':'Reminder',
'cal_remindtime':'Remind time',
'cal_repeattype':'Repeat type',
'cal_repeatinterval':'Repeat interval',
'cal_repweek':'Repeats weekly',
'cal_repmonth':'Repeats monthly',
'cal_repyear':'Repeats yearly',
'cal_onthe':'on the',
'cal_repmonthstr':'day of the month',
'cal_dayof':'dayof',
'cal_every':'every',
'cal_minutes':'minutes',
'cal_daily':'Daily',
'cal_weekly':'Weekly',
'cal_monthly':'Monthly',
'cal_yearly':'Yearly',
'cal_doesnotrepeat':'Does not repeat',
'cal_off':'Off',
'cal_nosuprep':'The specified type of repeated events is not supported.',
'cal_saved':'Event saved.',
'cal_hasseen':'has seen the event.',
'cal_hasaccepted':'has accepted the event.',
'cal_deleted':'Event was deleted.',
'cal_between':'between',
'cal_searchevent':'Search for events',
'cal_and':'and',
'cal_nodayselected':'No repeat days were selected with weekly repeating.',
'cal_onday':'day',
'cal_dayevery':'every',
'cal_onweek':'week',
'cal_weekevery':'every',
'cal_onmonth':'month',
'cal_monthevery':'every',
'cal_onyear':'year',
'cal_yearevery':'every',
'cal_legend':'Legend',
'cal_myevent':'My event',
'cal_related_event':'Related event',
'cal_other_event':'Other event',
'cal_group_event':'Group event',
'cal_resource_event':'Resource related',
'cal_creator_related':'Creator or related person',
'cal_uses_resource':'Resources',
'cal_groups':'Groups',
'cal_newgroup':'Create new group',
'cal_grouptitle':'Select members for your new group:',
'cal_inmygroup':'Members of my group:',
'cal_relgroups':'Related groups',
'cal_selgroups':'Select the groups whose events/tasks you would like to see:',
'cal_myviewgroups':'I see following groups:',
'cal_allgroups':'All other groups:',
'cal_sendrelated':'Send reminder to invited persons',
'cal_repmontherror':'Value not specified for repeat month day.',
'cal_repyearerror':'Value not specified for repeat month day or repeat year month.',
'cal_nogroupname':'Group name not given',
'cal_nogroup':'No such group',
'cal_relcontacts':'Related contacts',
'cal_show_rels':'Show relations',
'cal_hide_rels':'Hide relations',
'cal_div_help':'Click the button to choose.',
'cal_choose_persons':'Choose Attendants',
'cal_prevweek':'Previous week',
'cal_nextweek':'Next week',
'cal_prevday':'Previous day',
'cal_nextday':'Next day',
'cal_wrongstamp':'Event\'s start time cannot be greater than end time.',
'cal_invitep':'Invite persons',
'cal_inviteg':'Invite groups',
'cal_invitedpersons':'Invited Persons',
'cal_invitedgroups':'Invited Groups',
'cal_invitedcontacts':'Invited Contacts',
'cal_showas_0':'Free',
'cal_showas_1':'Tentative',
'cal_showas_2':'Busy',
'cal_showas_3':'Away',
'cal_showas':'Show time as',
'cal_scheduling':'Scheduling',

'admin_organizations':'Organizations',
'admin_organization':'Organization',
'admin_phone':'Phone',
'admin_edit':'Edit',
'admin_delete':'Delete',
'admin_notsuper':'Access granted only for superusers!',
'admin_sureq':'Are you sure?',
'admin_orgname':'Organization name',
'admin_parentorg':'Parent organization',
'admin_city':'City',
'admin_state':'State',
'admin_zipcode':'Zipcode',
'admin_country':'Country',
'admin_choices':'Edit choices',
'admin_choices_systemwide':'Editing systemwide defaults:',
'admin_choices_org':'Editing top-level organization defaults:',
'admin_choices_notfound':'Setting not found.',
'admin_choice':'Choice',
'admin_choices_updated':'Choices for choice \'%s\' updated.',
'admin_choices_empty':'Choices cannot be empty.',
'admin_access':'Access',
'admin_read':'Read',
'admin_write':'Write',
'admin_manage':'Manage',
'admin_hasaccess':'has',
'admin_right':'access to',
'admin_right_end':'',
'admin_orgsamename':'An organization with the same name already exists.',
'admin_orgsaved':'Organization saved.',
'admin_orgdeleted':'Organization deleted.',
'admin_orgedit':'View/edit organization',
'admin_users':'System users',
'admin_username':'Username',
'admin_usersaved':'User saved.',
'admin_userdeleted':'User deleted.',
'admin_users_edit':'Edit User Info',
'admin_users_nofirst':'No first name given.',
'admin_users_nolast':'No last name given.',
'admin_users_nouser':'No username given.',
'admin_users_nomatch':'Passwords do not match.',
'admin_users_usertaken':'The username is already in use.',
'admin_upload':'Upload',
'admin_picture':'Picture',
'admin_choose_pic':'Choose Picture',
'admin_picture2':'Organization Logo',
'admin_choose_pic2':'Choose Logo',
'admin_sys_status':'System status',
'admin_backups':'Backups',
'admin_file_backups':'File backups',
'admin_db_backups':'Database backups',
'admin_create_backup':'Create backup',
'admin_file_backup_failed':'File backup creation failed.',
'admin_db_backup_failed':'Database backup creation failed.',
'admin_disc_space':'Disc space',
'admin_memory':'Memory',
'admin_processes':'Processes',
'admin_toplevel':'Toplevel org',
'admin_undelete':'Recover deleted items',
'admin_pit':'Point-in-Time Recovery',
'admin_data':'Object Data',
'admin_recover':'Recover',
'admin_rec_confirm':'Really recover object shown state?',
'admin_recovered':'Object data recovered.',
'admin_on_time':'on',
'admin_lastitems':'Last 5 changed items',
'admin_lastitems2':'Last 5 deleted items',
'admin_notfound':'No results found',
'admin_mountpoint':'Mount point',
'admin_partition':'Partition',
'admin_percent_used':'Percentage used',
'admin_mem_phys':'Physical memory',
'admin_mem_swap':'Swap memory',
'admin_notify':'Send me invitations and assignments by e-mail',
'admin_permissions':'Permissions',
'admin_haspermissions':'has the following permissions',
'admin_manage_to':'Manage Access to',
'admin_write_to':'Write Access to',
'admin_read_to':'Read Access to',
'admin_no_to':'No Access to',
'admin_interface':'User interface',
'admin_interface_1':'Standard (Recommended)',
'admin_interface_2':'Docked Menu',


'cal_short_1':'Mo',
'cal_short_2':'Tu',
'cal_short_3':'We',
'cal_short_4':'Th',
'cal_short_5':'Fr',
'cal_short_6':'Sa',
'cal_short_7':'Su',
'tls_month_1':'January',
'tls_month_2':'February',
'tls_month_3':'March',
'tls_month_4':'April',
'tls_month_5':'May',
'tls_month_6':'June',
'tls_month_7':'July',
'tls_month_8':'August',
'tls_month_9':'September',
'tls_month_10':'October',
'tls_month_11':'November',
'tls_month_12':'December',

'email_short_attach':'F',

'reminder_subject':'#APPNAME# event reminder: %s',
'reminder_message':"""You have requested a reminder for event '%s', which starts at %s.

Description:
%s
""",
'invite_message':"""\nHello %s,\n\n%s has invited you to take part of the event: %s.\nEvent starts on: %s\nDescription: %s\n#APPNAME# url: %s""",
'invite_message_update':"""\nHello %s,\n\nThe event %s has been updated.\nEvent starts on: %s\nDescription: %s\n#APPNAME# url: %s""",
'invite_message_delete':"""\nHello %s,\n\nThe event %s has been cancelled by %s.""",
'invite_subject_update':"""Updated: %s""",
'invite_subject_delete':"""Cancelled: %s""",
'invite_subject_accept':"""%(person_name)s has accepted the event %(event_name)s.""",
'invite_subject_reject':"""%(person_name)s has rejected the event %(event_name)s.""",
'assign_message':"""\nHello %s,\n\n%s has assigned you a new task: %s.\nDue Date: %s\nDescription: %s\n#APPNAME# url: %s""",

'admin_orgadmin':'Organization administrator',
'admin_assign':'Assign',
'admin_assigntitle':'Assign a superuser for the organization',

'admin_newsmessage':'Message',

'system_erroroccured':'An error occured',
'system_back':'Back',

'email_failedsyncrostring':'Fetching new mail failed from server %s, user %s.',

'contact_sendemail':'Send e-mail',

'docinvalidrename':'Illegal name provided.',

'tls_or':'or',
'email_selectdoc':'Select from #APPNAME# document management',

'disccatobj_noname':'Discussion category object #%s',
'disccatobj_notsaved':'Discussion category object (not saved)',
'resourceobj_noname':'Resource object #%s',
'resourceobj_notsaved':'Resource object (not saved)',

'compmenu_disc_mancat':'Manage categories',
'disc_addcat':'Add a category',
'disc_delcat':'Delete categories',

'todo_reject':'Save and reject',
'cal_hasrejected':'has rejected the event.',
'todo_hasrejected':'has rejected the task',

'contact_resbatch':'Show result in batches',

'disc_wrongparent':'Please select a discussion category.',

# Info:
'info':'Info',
'info_suborg':'Suborganization of',


# Seach:
'tls_search_words':'Search words',
'tls_search_modules':'Search in',
'tls_search_meta':'Search in objects data',
'tls_search_data':'Search in objects contents',

# Resources:
'tls_resource':'Resource',
'tls_resources':'Resources',
'resource_conflictmsg':u'Resource "%s" use conflicts with event "%s".',
'resource_add':'Add a resource',

# E-Mail
'email_deletemessages':"""Leave on server""",
'email_deletemessagesbutton':"Toggle 'Leave on server'",
'email_tocontacts':'Add to contacts',
'email_forwardedemail':'Forwarded email',

'tls_manage':'Manage',
'tls_overview':'Overview',
'tls_links':'Bookmarks',
'tls_url':'URL',

# Workflows:
'tls_workflow':'Workflow',
'tls_myworkflows':'My workflows',
'tls_othersworkflows':'Others\' workflows',
'tls_allworkflows':'All workflows',
'tls_addworkflow':'Add',
'tls_searchworkflows':'Search',
'tls_addworkflow':'Add workflow',
'tls_current_task':'Current task',
'tls_workflow_saved':'Workflow saved',
'tls_edit_info':'Edit info',
'tls_edit_tasks':'Manage tasks',
'tls_related_tasks':'Workflow tasks',
'tls_other_tasks':'Choose tasks',
'tls_workflow_saved':'The workflow was saved.',
'tls_search_workflow':'Search workflow',
'tls_add_rows':'Add rows',
'tls_serial':'Serial workflows',
'tls_send':'Send',
'tls_send_initial':'Send e-mail to related persons to notify them about the new workflow',
'tls_send_final':'Send e-mail to related persons when the workflow is done',
'tls_choose_related':'Please choose related persons',
'tls_workflow_related':'Related persons',
'tls_workflow_other':'All other persons',
'tls_workflow_flags':'Properties',
'tls_workflow_serial':'Serial workflow',
'tls_workflow_parallel':'Parallel workflow',
'tls_workflow_initmail':'Send initial e-mail',
'tls_workflow_completemail':'Send e-mail on completion',
'tls_noreturnform':'Return form not provided',
'tls_noreturndiv':'Return div id not provided',
'tls_workflow_newtasks':'Add new tasks',



# Frontpage
'tls_onlymine':'Show only mine',
'tls_frontmanage':'Manage frontpage',
'tls_addbookmark':'Add bookmark',
'tls_book_parent':'Parent Category',
'tls_cat_name':'Category name',
'tls_mybookmarks':'My Bookmarks',
'tls_othersbookmarks':'Public Bookmarks',
'tls_quicksearch':'Quick Search',
'tls_format_html':'HTML',
'tls_format_opera':'Opera (.adr)',
'tls_book_expimp':'Export & Import Bookmarks',
'tls_import_success':'Import Successful!',
'frontpage_managemessage':'Announcements',
'frontpage_help_name':'Tips:',
'frontpage_help_contents':'This wysiwyg editor allows to customize front page annoucements.',

'workflowobj_notsaved':'Workflow object (not saved)',
'workflowobj_noname':'Workflow object #%s',

'wfreminder_init_subject':'You have a new #APPNAME# workflow: %s',
'wfreminder_init_message':"""You have been added to workflow. Please visit the URL below for more details.

Workflow name: %(workflow_title)s.
Start time: %(workflow_start_time)s.
Due time: %(workflow_due_time)s.

Description:
%(workflow_description)s


#APPNAME# URL: %(conflux_url)s
   
""",

'wfreminder_complete_subject':'A #APPNAME# workflow has been completed: %s',
'wfreminder_complete_message':"""A workflow has been completed. Please visit the URL below for more details.

Workflow name: %(workflow_title)s.
Start time: %(workflow_start_time)s.
Due time: %(workflow_due_time)s.

Description:
%(workflow_description)s


#APPNAME# URL: %(conflux_url)s
   
""",
'wfreminder_nexttask_subject':'A #APPNAME# workflow has a new task activated: %s',
'wfreminder_nexttask_message':"""A new task has been activated. Please visit the URL below for more details.

Workflow name: %(workflow_title)s.
Start time: %(workflow_start_time)s.
Due time: %(workflow_due_time)s.

Description:
%(workflow_description)s

#APPNAME# URL: %(conflux_url2)s

Task name: %(title)s.
Due time: %(due_time)s.

Description:
%(description)s

#APPNAME# URL: %(conflux_url)s
   
""",
# Emoticons
'em_smile':'Happy',
'em_wink':'Wink',
'em_confused':'Confused',
'em_eek':'Surprised',
'em_biggrin':'Big grin',
'em_cool':'Cool',
'em_mad':'Mad',
'em_rolleyes':'Rolling eyes',
'em_embarrassed':'Embarrassed',
'em_frown':'Frown',
'em_sarcastic':'Sarcastic',
'em_silly':'Silly',

# Clients
'clients_add':'Add Client',
'clients_view':'View Client',
'clients_search':'Search Client',
'clients_name':'Client Name',
'clients_type':'Client Type',
'clients_number':'Client Number',
'clients_area':'Area',
'clients_phone':'Telephone',
'clients_rating':'Rating',
'clients_fax':'Fax',
'clients_ownership':'Ownership',
'clients_regcode':'Registration number',
'clients_kmkr':'Vat number',
'clients_post_address':'Mail address',
'clients_reg_address':'Registration address',
'clients_bank_info':'Bank info',
'client_saved':'Client saved.',
'client_owner':'Owner',
'client_deleted':'Client deleted.',
'client_related_contacts':'Contacts related to client %s:',

# Opportunities
'opp_long':'Sales Opportunity',
'opp_add':'Add Opportunity',
'opp_top':'Top Opportunities',
'opp_rep_top':'Active opportunities by salespersons',
'opp_client':'Client',
'opp_nextstep':'Next Step',
'opp_date':'Close Date',
'opp_date_bw':'Close date between',
'opp_stage':'Stage',
'opp_probability':'Probability',
'opp_source':'Lead Source',
'opp_amount':'Sum',
'opp_req_desc':'Requirements Description',
'opp_lost_reason':'Deal Lost Reason',
'opp_saved':'Opportunity saved.',
'opp_product_exists':'Product is already on opportunity.',
'opp_bad_amount':'Invalid amount:',
'opp_bad_price':'Invalid price:',
'opp_my':'Active opportunities for next 7 days',
'opp_others':'Others\' opportunities for next 3 days',
'opp_nofound':'No opportunities found.',

# Products
'prod_add':'Add Product',
'prod_edit':'Edit Product',
'prod_name':'Product Name',
'prod_group':'Product Group',
'prod_unit':'Unit',
'prod_price':'Price',
'product_saved':'Product saved.',
'prod_amount':'Amount',
'prod_discount':'Discount',
'prod_key_req':'Key Requirement',
'prodport_csv_explain':'Please select the appropriate fields for your CSV file columns to<BR>match the data being imported.',
'product_import_fount':'Found %s products',
'product_import_added':'Added %s products',
'product_import_updated':'Updated %s products',
'product_import_left_out':'Left out %s products',

# Log
'log_show_det':'Show Details',
'log_hide_det':'Hide Details',
'log_show_all':'Show All',
'log_hide_all':'Hide All',
'log_mod_by':'Modified by',
'log_mod_time':'Modified on',
'log_field':'Field',
'log_oldval':'Old Value',
'log_newval':'New Value',
'log_log':'Log',
'log_nolog':'No changes made yet.',
'log_item_id':'Item ID',
'log_parent_id':'Parent id',
'log_item_name':'Item name',
'log_item_size':'Item size',
'log_creator_id':'Owner',
'log_creator_ip':'Owner ip',
'log_editor_id':'Editor',
'log_editor_ip':'Editor ip',
'log_item_type_id':'Item type',
'log_is_public':'Is public',
'log_is_private':'Is private',
'log_owner_id':'Secondary owner',
'log_person_id':'Person',
'is_disabled':'Is disabled',
'log_contact_id':'Contact',
'log_organization_id':'Organization',
'log_event_id':'Event',
'log_folder_id':'Folder',
'log_folder_name':'Folder name',
'log_document_id':'Document',
'log_todo_id':'Task',
'log_workflow_id':'Workflow',
'log_client_id':'Client',
'log_product_id':'Product',
'log_opp_id':'Opportunity',
'quota_exceeded':'You have exceeded the organization disk quota!',
'name_invchars':'User name cannot contain the following characters: &lt;, &gt;, ".',
'name_orginvchars':'Organization name cannot contain the following characters: &lt;, &gt;, ".',
'quota_soft_gt_hard':'Soft quota limit exceeds hard quota limit!',
'quota_quota':'Quota',
'quota_soft':'Soft quota',
'quota_hard':'Hard quota',

# Reports
'rep_reports':'Reports',
'rep_stat_period':'Sales statistics during %s',
'rep_won':'Closed Won',
'rep_lost':'Closed Lost',
'rep_pending':'Pending',
'rep_total':'Total',
'rep_thismonth':'This month',
'rep_lastmonth':'Last month',
'rep_fromlastmonth':'From the beginning of last month',
'rep_q1':'Q1',
'rep_q2':'Q2',
'rep_q3':'Q3',
'rep_q4':'Q4',
'rep_thisyear':'This year',
'rep_lastyear':'Last year',
'rep_periodstart':'Begin on',
'rep_periodend':'End on',
'rep_shortformat':'Compact report',
'rep_longformat':'Full report',
'rep_prod_income':'Sales statistics',
'rep_showreport':'Show report',
'rep_totalsales':'Total Sales',
'rep_clientsales':'Sales by Clients',
'rep_productsales':'Sales by Products',
'rep_repsales':'Sales by Representatives',
'rep_clientproduct':'Sales by Clients and Products',
'rep_title1':'Total won, lost and pending sales',
'rep_title2':'Won, lost and pending sales by clients',
'rep_title3':'Won, lost and pending sales by products',
'rep_title4':'Won, lost and pending sales by representatives',
'rep_title5':'Sales by clients and products',
'tls_supernamechange':'The username of the superuser account cannot be changed.',
'tls_clientdel_opp':'This client is still referenced in some existing opportunities. Please delete the opportunities first.',
'tls_userlimitexceed':'The user limit has been exceeded. No more users can be added.',


'topmenu_hostadmin':'Hosting (admin)',   
'topmenu_hostclient':'Hosting',
'eventinverror': 'An error occured while sending e-mail invitations. Please check your #APPNAME# server e-mail settings.',

'month_name_01':'Jan',
'month_name_02':'Feb',
'month_name_03':'Mar',
'month_name_04':'Apr',
'month_name_05':'May',
'month_name_06':'Jun',
'month_name_07':'Jul',
'month_name_08':'Aug',
'month_name_09':'Sept',
'month_name_10':'Oct',
'month_name_11':'Nov',
'month_name_12':'Dec',

'tls_unlimited':'unlimited',
'tls_license_title':'#APPNAME# license data',
'tls_userlimit':'User limit',
'tls_timelimit':'Time limit',
'tls_userlimit_arg':'users',
'tls_timelimit_arg':'days total',

'contactport_csv_explain':'Please select the appropriate fields for your CSV file columns to<BR>match the data being imported.',

'mess_sender_org':'Sender org.',
'mess_sender_nr':'Sender nr.',
'mess_ans_deadline':'Answer deadline',
'mess_mess_contents':'Message contents',
'mess_incoming':'Incoming Message',
'mess_outgoing':'Outgoing Message',
'mess_receiver_org':'Receiver org.',
'mess_receiver_person':'Receiver person',
'message_incoming':'Incoming',
'message_outgoing':'Outgoing',
'message_direction':'Direction',


'tls_charsetconversionfailed': 'File conversion failed with the given format. Please select another format.',
'tls_selectcsvcharset': 'CSV file format',
'tls_topusercount':'Current user count',
'tls_topuserlimit':'Current user limit',
'tls_userlimitreached':'Organization %s user limit has been reached (users: %d, limit: %d). New users cannot be added.',

'menu_add_to':'Add to ...',
'menu_disable':'Disable menu',
'menu_add_folder':'add a new folder',
'menu_add_document':'add a new document',
'menu_add_event':'add a new event',
'menu_add_task':'add a new task',
'menu_add_note':'add a new note',
'menu_add_workflow':'add a new workflow',
'menu_add_client':'add a new client',
'menu_add_contact':'add a new contact',
'menu_add_opportunity':'add a new opportunity',
'menu_add_product':'add a new product',
'menu_add_mail':'compose new e-mail',

'menu_relate_to_2':'to this event',
'menu_relate_to_3':'to this task',
'menu_relate_to_4':'to this workflow',
'menu_relate_to_6':'to this client',
'menu_relate_to_7':'to this contact',
'menu_relate_to_8':'to this opportunity',
'menu_relate_to_9':'to this product',

'menu_relate_which_1':'add a new document %s',
'menu_relate_which_2':'add a new event %s',
'menu_relate_which_3':'add a new task %s',
'menu_relate_which_14':'add a new note %s',
'menu_relate_which_4':'add a new workflow %s',
'menu_relate_which_6':'add a new client %s',
'menu_relate_which_7':'add a new contact %s',
'menu_relate_which_8':'add a new opportunity %s',
'menu_relate_which_9':'add a new product %s',

'admin_rightmenu_view':'Right-click menu',
'admin_enabled':'Enabled',
'admin_disabled':'Disabled',
}

import _Conf
for key, value in translation_dict.items():
    translation_dict[key] = translation_dict[key].replace('#APPNAME#', _Conf.APP_NAME)
