# -*- coding: UTF-8 -*-
# Copyright (C) 2003-2005 Inversion Software Ltd. <inversion@inversion.ee>
# http://www.conflux.ee/
#
# This file is part of Conflux Lite
#
# Conflux Lite is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# Conflux Lite is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Conflux Lite; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
######################################################################

translation_dict = {
'':'', # EMPTY STRING
'cal_repmonthstr':"""päeval""".decode('UTF8'),
'doc_fileadded':"""Fail salvestatud.<BR>Teid suunatakse tagasi nimekirja.""".decode('UTF8'),
'tls_name':"""Nimi""".decode('UTF8'),
'cal_repeattype':"""Kordumise tüüp""".decode('UTF8'),
'setting_nodate':"""Nõuti tundmatu kuupäevaformaat.""".decode('UTF8'),
'contact_address':"""Aadress""".decode('UTF8'),
'doc_simple_search':"""Lihtne otsing""".decode('UTF8'),
'front_noaccount':"""Teile ei ole e-posti.""".decode('UTF8'),
'cal_users':"""Teiste kalendrid/ülesanded""".decode('UTF8'),
'baselib_authenticate_expired':"""Teie sessioon on aegunud.<BR>Palun tuvastage oma isiksus:""".decode('UTF8'),
'month_5':"""Mai""".decode('UTF8'),
'baselib_authenticate_disabled':"""Kasutajakonto on suletud.""".decode('UTF8'),
'month_6':"""Juuni""".decode('UTF8'),
'front_nodiscs':"""Hetkel ei ole ühtegi aktiivset arutelu.""".decode('UTF8'),
'admin_choices_systemwide':"""Süsteemisiseste vaikimisi-väärtuste muutmine:""".decode('UTF8'),
'compmenu_admin_settings':"""Seaded""".decode('UTF8'),
'topmenu_admin':"""Haldus""".decode('UTF8'),
'topmenu_workflows':"""Töövood""".decode('UTF8'),
'email_newmessage':"""Uus kiri""".decode('UTF8'),
'tls_activity':"""Tegevus""".decode('UTF8'),
'emails_nofolders':"""Ei leitud ühtegi e-kausta.""".decode('UTF8'),
'rootobj_parentmissing':"""Salvestamisel ei leitud korrektset vanemat.""".decode('UTF8'),
'eaccountobj_notsaved':"""E-konto objekt (salvestamata)""".decode('UTF8'),
'tls_author':"""Autor""".decode('UTF8'),
'compmenu_admin_access':"""Juurdepääs""".decode('UTF8'),
'admin_country':"""Maa""".decode('UTF8'),
'month_2':"""Veebruar""".decode('UTF8'),
'orgobj_noaccgrp':"""Puudub organisatsioonile juurdepääsu grupp!""".decode('UTF8'),
'topmenu_desktop':"""Töölaud""".decode('UTF8'),
'emailobj_notsaved':"""E-posti objekt (salvestamata)""".decode('UTF8'),
'cal_onlymine':"""Näita ainult minu oma""".decode('UTF8'),
'doc_contentssaved':"""Dokumendi sisu salvestatud.""".decode('UTF8'),
'doc_metadatasaved':"""Dokumendi meta-andmed salvestatud.""".decode('UTF8'),
'topmenu_todos':"""Ülesanded ja märkmed""".decode('UTF8'),
'todo_duetime':"""Tähtaeg""".decode('UTF8'),
'email_short_del':"""Kustuta""".decode('UTF8'),
'tls_public':"""Avalik""".decode('UTF8'),
'baselib_authenticate_please':"""Palun tuvastage oma isiksus:""".decode('UTF8'),
'admin_newsmessage':"""Teade""".decode('UTF8'),
'email_noinboxfolder':""""Inbox" kausta ei leitud.""".decode('UTF8'),
'rootobj_primarykeymissing':"""INTERNAL: Proovime objekti uuendada ilma primaarvõtmeta.""".decode('UTF8'),
'email_sig':"""Signatuurid""".decode('UTF8'),
'email_signature':"""Signatuur""".decode('UTF8'),
'doc_item_renamed':"""Objekt ümbernimetatud.""".decode('UTF8'),
'month_8':"""August""".decode('UTF8'),
'rootobj_recursiveupdate':"""Rekursiivsed uuendamised ei ole lubatud.""".decode('UTF8'),
'cal_lastyear':"""Eelmine aasta""".decode('UTF8'),
'todo_accept':"""Salvesta ja aksepteeri""".decode('UTF8'),
'doc_foldername':"""Nimi""".decode('UTF8'),
'tls_title':"""Pealkiri""".decode('UTF8'),
'admin_orgsaved':"""Organisatsioon salvestatud.""".decode('UTF8'),
'email_send':"""Saada""".decode('UTF8'),
'email_moveselto':"""Tõsta kausta""".decode('UTF8'),
'tls_edittime':"""Muudetud""".decode('UTF8'),
'rootobj_nodeleteaccess':"""Objekti kustutamine keelatud.""".decode('UTF8'),
'admin_phone':"""Telefon""".decode('UTF8'),
'email_msgdeleted2':"""Kiri kustutatud.""".decode('UTF8'),
'doc_modification_date':"""Muutmiskuupäev""".decode('UTF8'),
'tls_createtime':"""Loodud""".decode('UTF8'),
'tls_createtimebetween':"""Loodud vahemikus""".decode('UTF8'),
'rootobj_noinsertaccess':"""Objekti loomine keelatud.""".decode('UTF8'),
'doc_complex_search':"""Keerukas otsing""".decode('UTF8'),
'email_invalidsubject':"""Ebakorrektne pealkiri "%s" leitud: viga %s""".decode('UTF8'),
'email_syncrostring':"""%d uut kirja serveris %s, kasutajale %s.""".decode('UTF8'),
'tls_status':"""Staatus""".decode('UTF8'),
'cal_short_1':"""Es""".decode('UTF8'),
'cal_saved':"""Sündmus salvestatud.""".decode('UTF8'),
'cal_repyear':"""Aasta""".decode('UTF8'),
'month_12':"""Detsember""".decode('UTF8'),
'cal_minutes':"""minutit""".decode('UTF8'),
'month_10':"""Oktoober""".decode('UTF8'),
'month_11':"""November""".decode('UTF8'),
'todo_done':"""Valmis""".decode('UTF8'),
'setting_saved':"""Muudatused salvestatud.""".decode('UTF8'),
'cal_weekly':"""Nädalati""".decode('UTF8'),
'rootobj_noreadaccess':"""Objekti lugemine keelatud.""".decode('UTF8'),
'tls_information':"""Informatsioon""".decode('UTF8'),
'cal_dayof':"""päeval, kuus""".decode('UTF8'),
'tls_missing_input':"""Tärniga märgitud väljad on kohustuslikud.""".decode('UTF8'),
'admin_notsuper':"""Juurdepääs lubatud ainult superkasutajatele!""".decode('UTF8'),
'email_unsupported_quoting':"""Kirjas kasutatud mittetoetatud tsiteerimist.""".decode('UTF8'),
'contact_sex':"""Sugu""".decode('UTF8'),
'tls_description':"""Kirjeldus""".decode('UTF8'),
'cal_doesnotrepeat':"""Ei kordu""".decode('UTF8'),
'personobj_noname':"""Isiku objekt #%s""".decode('UTF8'),
'disc_reply':"""Vasta teemale""".decode('UTF8'),
'doc_author':"""Autor""".decode('UTF8'),
'admin_username':"""Kasutajanimi""".decode('UTF8'),
'docobj_undeletemissing':"""INTERNAL: Puudu vajaminev info dokumendi taastamiseks.""".decode('UTF8'),
'tls_month_10':"""Oktober""".decode('UTF8'),
'admin_users_nolast':"""Perekonnanimi puudu.""".decode('UTF8'),
'admin_choices':"""Muuda valikuid""".decode('UTF8'),
'utils_invalidboolean':"""Vale tõeväärtus.""".decode('UTF8'),
'contact_sendemail':"""Saada e-kiri""".decode('UTF8'),
'reminder_subject':"""#APPNAME# meeldetuletus: %s""".decode('UTF8'),
'day_end_th':""".""".decode('UTF8'),
'efolderobj_notsaved':"""E-kausta objekt (salvestamata)""".decode('UTF8'),
'admin_users_nomatch':"""Paroolid ei kattu.""".decode('UTF8'),
'tls_last_name':"""Perekonnanimi""".decode('UTF8'),
'tls_delete':"""Kustuta""".decode('UTF8'),
'email_nosentfolder':""""Sent Items" kausta ei leitud.""".decode('UTF8'),
'system_back':"""Tagasi""".decode('UTF8'),
'doc_rename_wrongtype':"""Valitud objekti ei saa ümbernimetada dokumendihalduse kaudu.""".decode('UTF8'),
'rootobj_notsaved':"""RootObject objekt (salvestamata)""".decode('UTF8'),
'compmenu_admin_group':"""Grupid""".decode('UTF8'),
'todo_edittodo':"""Vaata/muuda ülesannet""".decode('UTF8'),
'doc_loadnewversion':"""Lae uus versioon""".decode('UTF8'),
'todo_addtodo':"""Lisa ülesanne""".decode('UTF8'),
'doc_item_deleted':"""Objekt %s kustutatud.<BR>""".decode('UTF8'),
'email_deletefolder':"""Kustuta kaust""".decode('UTF8'),
'cal_onmonth':"""kuul""".decode('UTF8'),
'day_friday':"""Reede""".decode('UTF8'),
'folderobj_undeletemissing':"""INTERNAL: Puudu vajaminev info kausta taastamiseks.""".decode('UTF8'),
'tls_deletesel':"""Kustuta märgitud""".decode('UTF8'),
'tls_phone_home':"""Telefon kodus""".decode('UTF8'),
'cal_and':"""ja""".decode('UTF8'),
'cal_between':"""vahemikus""".decode('UTF8'),
'admin_sureq':"""Olete kindel?""".decode('UTF8'),
'tls_related':"""Seotud isikud""".decode('UTF8'),
'contact_editcontact':"""Muuda kontakti""".decode('UTF8'),
'contact_viewcontact':"""Vaata kontakti""".decode('UTF8'),
'rootobj_selecterror':"""Objekti laadimine andmebaasist ebaõnnestus.""".decode('UTF8'),
'front_notes':"""Avalikud organisatsioonisisesed märkmed""".decode('UTF8'),
'disc_onlytop':"""Te saate vastata ainult teemadele, mitte vastustele.""".decode('UTF8'),
'docobj_nodocsave':"""Ei laetud midagi üles.""".decode('UTF8'),
'doc_creation_date':"""Loomiskuupäev""".decode('UTF8'),
'disc_search':"""Otsi kirjet""".decode('UTF8'),
'todo_deleted':"""Ülesanne kustutatud.""".decode('UTF8'),
'disc_front':"""Esilehe jutulõng""".decode('UTF8'),
'tls_contacts':"""Kontaktid""".decode('UTF8'),
'email_confirm_del':"""Kas te tõesti soovite kustutada märgitud objektid?""".decode('UTF8'),
'email_cc':"""CC""".decode('UTF8'),
'email_bcc':"""BCC""".decode('UTF8'),
'contact_job':"""Ametinimetus""".decode('UTF8'),
'compmenu_cal_day':"""Päevakalender""".decode('UTF8'),
'admin_orgsamename':"""Sama nimega organisatsioon eksisteerib juba.""".decode('UTF8'),
'email_failedsyncrostring':"""Kirjade kontroll serverist %s, kasutaja %s, ebaõnnestus.""".decode('UTF8'),
'noteobj_notsaved':"""Märkme objekt (salvestamata)""".decode('UTF8'),
'cal_daily':"""Päeviti""".decode('UTF8'),
'note_addnote':"""Lisa uus""".decode('UTF8'),
'docobj_notsaved':"""Dokumendi objekt (salvestamata)""".decode('UTF8'),
'tls_first_name':"""Eesnimi""".decode('UTF8'),
'admin_orgname':"""Organisatsiooni nimi""".decode('UTF8'),
'front_exptodos':"""Üle tähtaja läinud ülesanded""".decode('UTF8'),
'request_nounsu':"""The session stack for su is already empty.""".decode('UTF8'),
'email_activate':"""Aktiveeri""".decode('UTF8'),
'tls_folders':"""Kaustad""".decode('UTF8'),
'email_imapreturnednoid':"""IMAP server tagastas kirje, kus puudus kirje-id. Sünkroniseerimine võimatu.""".decode('UTF8'),
'doc_cut_marked':"""Objektid märgitud teisaldamiseks.""".decode('UTF8'),
'email_msgdeleted':"""Kiri tõstetud ümber "Deleted Itemsisse".""".decode('UTF8'),
'compmenu_email_compose':"""Uus kiri""".decode('UTF8'),
'cal_starttime':"""Alguse kellaaeg""".decode('UTF8'),
'tls_save':"""Salvesta""".decode('UTF8'),
'rootobj_typecasterr':"""Tüübi määramine väljale "%s" ebaõnnestus.""".decode('UTF8'),
'topmenu_calendar':"""Kalender""".decode('UTF8'),
'compmenu_todo_notes':"""Märkmed""".decode('UTF8'),
'setting_batch':"""Ridu lehel""".decode('UTF8'),
'setting_batch_email':'Ridu lehel E-postis',
'tls_password':"""Parool""".decode('UTF8'),
'email_from':"""Kellelt""".decode('UTF8'),
'utils_invalidarray':"""Vale väärtus massiivile.""".decode('UTF8'),
'compmenu_doc_tree':"""Dokumendipuu""".decode('UTF8'),
'admin_manage':"""Manageerimise""".decode('UTF8'),
'admin_city':"""Linn""".decode('UTF8'),
'tls_month_8':"""August""".decode('UTF8'),
'email_nodraftsfolder':""""Drafts" kausta ei leitud.""".decode('UTF8'),
'tls_comments':"""Kommentaarid""".decode('UTF8'),
'email_nofolderdef':"""Operatsiooni sooritamiseks ei ole valitud kausta.""".decode('UTF8'),
'email_noreturnpath':"""Andmed edastati mittetoetatud vormilt.""".decode('UTF8'),
'disc_add':"""Lisa teema""".decode('UTF8'),
'doc_rename_newname':"""Uus nimi""".decode('UTF8'),
'cal_reminder':"""Meelespea""".decode('UTF8'),
'compmenu_doc_addfolder':"""Lisa kaust""".decode('UTF8'),
'cal_nextmonth':"""Järgmine kuu""".decode('UTF8'),
'doc_filename':"""Failinimi""".decode('UTF8'),
'day_sunday':"""Pühapäev""".decode('UTF8'),
'cal_onyear':"""aastal""".decode('UTF8'),
'eventobj_noname':"""Sündmuse objekt #%s""".decode('UTF8'),
'day_end_st':""".""".decode('UTF8'),
'cal_onday':"""päeval""".decode('UTF8'),
'tls_search':"""Otsi""".decode('UTF8'),
'noteobj_noname':"""Märkme objekt #%s""".decode('UTF8'),
'email_active':"""Aktiivne""".decode('UTF8'),
'email_messagesent':"""Kiri saadetud.""".decode('UTF8'),
'cal_searchevent':"""Otsi sündmust""".decode('UTF8'),
'admin_orgdeleted':"""Organisatsioon kustutatud.""".decode('UTF8'),
'tls_month_1':"""Jaanuar""".decode('UTF8'),
'admin_write':"""Kirjutamise""".decode('UTF8'),
'tls_versions':"""Versioonid""".decode('UTF8'),
'contact_female':"""Naine""".decode('UTF8'),
'day_tuesday':"""Teisipäev""".decode('UTF8'),
'tls_list':"""Nimekiri""".decode('UTF8'),
'email_drafts':"""Kavandid""".decode('UTF8'),
'todo_searchtodo':"""Otsi ülesandeid""".decode('UTF8'),
'cal_enddate':"""Lõpukuupäev""".decode('UTF8'),
'doc_file_notfound':"""Te esitasite päringu dokumendile mida kas ei ole või ei ole teil õigusi selle lugemiseks.""".decode('UTF8'),
'date':"""Kuupäev""".decode('UTF8'),
'personobj_notsaved':"""Isiku objekt (salvestamata)""".decode('UTF8'),
'topmenu_contacts':"""Kontaktid""".decode('UTF8'),
'admin_usersaved':"""Kasutaja salvestatud.""".decode('UTF8'),
'emails_totalstring':"""Kokku %d kirja.""".decode('UTF8'),
'tls_month_6':"""Juuni""".decode('UTF8'),
'compmenu_cal_week':"""Nädala kalender""".decode('UTF8'),
'doc_copy_marked':"""Objektid märgitud kopeerimiseks.""".decode('UTF8'),
'contactobj_noname':"""Kontakti objekt #%s""".decode('UTF8'),
'contact_dateofbirth':"""Sünnikuupäev""".decode('UTF8'),
'front_notodos':"""Üle tähtaja läinud ülesanded puuduvad.""".decode('UTF8'),
'compmenu_admin_toplevel':"""ASP""".decode('UTF8'),
'efolderobj_noname':"""E-kausta objekt #%s""".decode('UTF8'),
'tls_edit':"""Muuda""".decode('UTF8'),
'reminder_message':"""Te soovisite meeldetuletust sündmusele '%s', mis algab %s.

Kirjeldus:
%s
""".decode('UTF8'),
'tls_month_12':"""Detsember""".decode('UTF8'),
'eaccountobj_noname':"""E-konto objekt #%s""".decode('UTF8'),
'tls_settings':"""Kasutaja seaded""".decode('UTF8'),
'admin_users_usertaken':"""Selline kasutajanimi on juba kasutusel.""".decode('UTF8'),
'day_monday':"""Esmaspäev""".decode('UTF8'),
'required_parameters_missing':"""Puudu vajalikud parameetrid.""".decode('UTF8'),
'doc_addfolder':"""Lisa kaust""".decode('UTF8'),
'cal_nosuprep':"""Selline sündmuse kordumine ei ole toetatud.""".decode('UTF8'),
'orgobj_notsaved':"""Organisatsiooni objekt (salvestamata)""".decode('UTF8'),
'email_nosettings':"""Teie e-posti konto on seadistamata. Palun tehke seda "Seaded" valiku all.""".decode('UTF8'),
'cal_hasaccepted':"""on sündmuse aktsepteerinud.""".decode('UTF8'),
'tls_myinfo':"""Minu info""".decode('UTF8'),
'rootobj_selectnoprimary':"""Laadimine andmebaasist ebaõnnestus kuna ei olnud vajalike andmeid.""".decode('UTF8'),
'compmenu_admin_user':"""Kasutajad""".decode('UTF8'),
'cal_every':"""igal""".decode('UTF8'),
'cal_dayevery':'igal',
'cal_weekevery':'igal',
'cal_monthevery':'igal',
'cal_yearevery':'igal',
'tls_back_x':"""Eelmised %d kirjet""".decode('UTF8'),
'tls_fromto_to':"""kuni""".decode('UTF8'),
'rootobj_noupdateaccess':"""Objekti muutmine keelatud.""".decode('UTF8'),
'cal_usertitle':"""Valige isikud kelle tegevusi/ülesandeid soovite näha:""".decode('UTF8'),
'admin_organization':"""Organisatsioon""".decode('UTF8'),
'tls_creator':"""Looja""".decode('UTF8'),
'cal_repweek':"""Päevadel""".decode('UTF8'),
'folderobj_noname':"""Kausta objekt #%s""".decode('UTF8'),
'tls_discussions':"""Arutelud""".decode('UTF8'),
'doc_file':"""Fail""".decode('UTF8'),
'discobj_notsaved':"""Arutelu objekt (salvestamata)""".decode('UTF8'),
'tls_month_5':"""Mai""".decode('UTF8'),
'cal_start':"""Algab""".decode('UTF8'),
'email_accounts':"""Kontod""".decode('UTF8'),
'rootobj_invalidinit':"""Antud vigane algtüüp.""".decode('UTF8'),
'tls_month_9':"""September""".decode('UTF8'),
'tls_contents':"""Sisu""".decode('UTF8'),
'tls_month_2':"""Veebruar""".decode('UTF8'),
'tls_month_3':"""Märts""".decode('UTF8'),
'todo_complete':"""Valmis""".decode('UTF8'),
'todo_hasseen':"""on näinud ülesannet""".decode('UTF8'),
'tls_month_7':"""Juuli""".decode('UTF8'),
'tls_month_4':"""Aprill""".decode('UTF8'),
'tls_invdateformat':"""Kuupäeva formaat ei ole korrektne.""".decode('UTF8'),
'topmenu_documents':"""Dokumendid""".decode('UTF8'),
'topmenu_messages':'Sõnumid'.decode('UTF8'),
'doc_nosuchdocop':"""Sellist dokumendi operatsiooni ei ole veel teostatud.""".decode('UTF8'),
'email_to':"""Kellele""".decode('UTF8'),
'doc_pastebutton':"""pastebtn_est.gif""".decode('UTF8'),
'doc_folder':"""Kaust""".decode('UTF8'),
'admin_zipcode':"""Postiindeks""".decode('UTF8'),
'admin_access':"""Juurdepääs""".decode('UTF8'),
'cal_nextyear':"""Järgmine aasta""".decode('UTF8'),
'tls_add':"""Lisa""".decode('UTF8'),
'contact_homepage':"""Kodulehekülg""".decode('UTF8'),
'email_delfolder':"""Kustuta e-kaust""".decode('UTF8'),
'folderobj_notsaved':"""Kausta objekt (salvestamata)""".decode('UTF8'),
'admin_delete':"""Kustuta""".decode('UTF8'),
'admin_read':"""Lugemise""".decode('UTF8'),
'admin_users_nouser':"""Kasutajanimi puudu.""".decode('UTF8'),
'contact_department':"""Osakond""".decode('UTF8'),
'utils_invalidint':"""Vale väärtus täisarvule.""".decode('UTF8'),
'email_replyto':"""Vastamisaadress""".decode('UTF8'),
'indexer_noparser':"""Ei leitud parserit %s jaoks.""".decode('UTF8'),
'admin_edit':"""Muuda""".decode('UTF8'),
'doc_rename_exists':"""Sama nimega fail või kaust eksisteerib juba.""".decode('UTF8'),
'email_replymessage':"""Vasta kirjale""".decode('UTF8'),
'doc_editfilecontents':"""Muuda faili sisu""".decode('UTF8'),
'cal_repmonth':"""Kuu""".decode('UTF8'),
'cal_repeatinterval':"""Kordumise intervall""".decode('UTF8'),
'doc_nothing_selected':"""Te ei valinud ühtegi objekti.""".decode('UTF8'),
'contact_male':"""Mees""".decode('UTF8'),
'email_addaccount':"""Lisa konto""".decode('UTF8'),
'doc_newversaved':"""Uus versioon dokumendist salvestatud.""".decode('UTF8'),
'compmenu_contact_listmy':"""Minu kontaktid""".decode('UTF8'),
'compmenu_email_settings':"""Seaded""".decode('UTF8'),
'admin_choices_empty':"""Valikud ei saa olla tühi.""".decode('UTF8'),
'tls_active':"""Aktiivne""".decode('UTF8'),
'tls_phone_cell':"""Mobiiltelefon""".decode('UTF8'),
'setting_nolang':"""Nõuti tundmatu keel.""".decode('UTF8'),
'note_editnote':"""Muuda märget""".decode('UTF8'),
'tls_passwordagain':"""Parool uuesti""".decode('UTF8'),
'day_thursday':"""Neljapäev""".decode('UTF8'),
'rootobj_nosetaccess':"""Juurdepääs väljale "%s" ei ole lubatud.""".decode('UTF8'),
'cal_onweek':"""nädalal""".decode('UTF8'),
'todo_saved':"""Ülesanne salvestatud.""".decode('UTF8'),
'email_sendmailerror':"""Saaja %s serveri: %s [%s] poolt tagasi lükatud""".decode('UTF8'),
'doc_deletebutton':"""deletebtn_est.gif""".decode('UTF8'),
'orgobj_undeletemissing':"""INTERNAL: Puudu vajaminev info dokumendi taastamiseks.""".decode('UTF8'),
'tls_priority':"""Prioriteet""".decode('UTF8'),
'month_4':"""Aprill""".decode('UTF8'),
'setting_nobatch':"""Vigane portsu suurus, peab olema 10 ja 100 vahel.""".decode('UTF8'),
'tls_category':"""Kategooria""".decode('UTF8'),
'month_7':"""Juuli""".decode('UTF8'),
'month_1':"""Jaanuar""".decode('UTF8'),
'email_short_newmail':"""U""".decode('UTF8'),
'month_3':"""Märts""".decode('UTF8'),
'day_end_nd':""".""".decode('UTF8'),
'rootobj_noname':"""RootObject objekt #%s""".decode('UTF8'),
'month_9':"""September""".decode('UTF8'),
'email_newfolder':"""Loo uus e-kaust""".decode('UTF8'),
'cal_endtime':"""Lõpu kellaaeg""".decode('UTF8'),
'compmenu_cal_month':"""Kuukalender""".decode('UTF8'),
'contact_searchcontact':"""Otsi kontakti""".decode('UTF8'),
'orgobj_noname':"""Organisatsiooni objekt #%s""".decode('UTF8'),
'admin_users_nofirst':"""Eesnimi puudu.""".decode('UTF8'),
'admin_state':"""Osariik""".decode('UTF8'),
'admin_assign':"""Määra""".decode('UTF8'),
'doc_copybutton':"""copybtn_est.gif""".decode('UTF8'),
'doc_cutbutton':"""cutbtn_est.gif""".decode('UTF8'),
'cal_selusers':"""Vali teised""".decode('UTF8'),
'note_message':"""Sisu""".decode('UTF8'),
'email_forwardmessage':"""Saada edasi""".decode('UTF8'),
'cal_lastmonth':"""Eelmine kuu""".decode('UTF8'),
'admin_users':"""Süsteemi kasutajad""".decode('UTF8'),
'cal_addevent':"""Lisa sündmus""".decode('UTF8'),
'email_reply':"""Vasta""".decode('UTF8'),
'request_sunouser':"""Su could not find data matching given user information.""".decode('UTF8'),
'contact_company':"""Firma""".decode('UTF8'),
'tls_email':"""E-post""".decode('UTF8'),
'cal_monthly':"""Kuuti""".decode('UTF8'),
'cal_hasseen':"""on sündmust näinud.""".decode('UTF8'),
'admin_choices_org':"""Tipp-taseme organisatsiooni vaikimisi-väärtuste muutmine:""".decode('UTF8'),
'todo_percentcomplete':"""Protsenti valmis""".decode('UTF8'),
'email_user':"""Kasutaja""".decode('UTF8'),
'tls_month_11':"""November""".decode('UTF8'),
'doc_folderadded':"""Kaust loodud.<BR>Teid suunatakse tagasi nimekirja.""".decode('UTF8'),
'doc_renamebutton':"""renamebtn_est.gif""".decode('UTF8'),
'compmenu_contact_all':"""Kõik kontaktid""".decode('UTF8'),
'tls_phone_fax':"""Fax""".decode('UTF8'),
'setting_language':"""Keel""".decode('UTF8'),
'day_wednesday':"""Kolmapäev""".decode('UTF8'),
'rootobj_primarykeyset':"""INTERNAL: Proovime lisada objekti koos paigaldatud primaarvõtmega.""".decode('UTF8'),
'doc_addfile':"""Lisa fail""".decode('UTF8'),
'compmenu_admin_news':"""Uudised""".decode('UTF8'),
'compmenu_admin_system':"""Süsteem""".decode('UTF8'),
'tls_note':"""Märge""".decode('UTF8'),
'email_forward':"""Saada edasi""".decode('UTF8'),
'email_forwardwhole':"""Saada kogu kiri edasi""".decode('UTF8'),
'tls_emails':"""E-post""".decode('UTF8'),
'email_server':"""Server""".decode('UTF8'),
'cal_yearly':"""Aastati""".decode('UTF8'),
'size':"""Suurus""".decode('UTF8'),
'tls_private':"""Privaatne""".decode('UTF8'),
'rootobj_dispatchnotype':"""INTERNAL: Leiti mittetoetatud objekt.""".decode('UTF8'),
'topmenu_email':"""E-post""".decode('UTF8'),
'rootobj_matchingkeys':"""Leitud kokkusobivad väljad item_datas ja object_datas.""".decode('UTF8'),
'email_attachment':"""Manus""".decode('UTF8'),
'front_nonotes':"""Hetkel ei ole ühtegi avaliku märget.""".decode('UTF8'),
'email_nofileattached':"""Te ei lisanud manust.""".decode('UTF8'),
'cal_short_3':"""Ko""".decode('UTF8'),
'todo_due':"""Tähtaeg""".decode('UTF8'),
'cal_editevent':"""Muuda sündmust""".decode('UTF8'),
'doc_rename_nochange':"""Objekti nime ei muudetud.""".decode('UTF8'),
'todo_hasaccepted':"""on ülesande vastu võtnud""".decode('UTF8'),
'cal_short_2':"""Te""".decode('UTF8'),
'cal_short_5':"""Re""".decode('UTF8'),
'cal_short_4':"""Ne""".decode('UTF8'),
'cal_short_7':"""Pü""".decode('UTF8'),
'indexer_nofilter':"""Ei leitud filterit %s jaoks.""".decode('UTF8'),
'rootobj_savefailed':"""Objekti salvestamine andmebaasi ebaõnnestus.""".decode('UTF8'),
'admin_userdeleted':"""Kasutaja kustutatud.""".decode('UTF8'),
'discobj_noname':"""Arutelu objekt #%s""".decode('UTF8'),
'email_sendername':"""Saatja nimi""".decode('UTF8'),
'doc_editfilemeta':"""Muuda meta-andmeid""".decode('UTF8'),
'admin_assigntitle':"""Määra administraator asutusele""".decode('UTF8'),
'orgobj_accgrperr':"""Ei suutnud luua organisatsioonile juurdepääsu gruppi.""".decode('UTF8'),
'cal_short_6':"""La""".decode('UTF8'),
'doc_saveasnewversion':"""Salvesta uue versioonina""".decode('UTF8'),
'admin_parentorg':"""Vanem organisatsioon""".decode('UTF8'),
'day_saturday':"""Laupäev""".decode('UTF8'),
'orgobj_copytohook':"""Organisatsioone ei saa kopeerida!""".decode('UTF8'),
'email_sendermail':"""Saatja e-post""".decode('UTF8'),
'cal_off':"""Puudub""".decode('UTF8'),
'front_todtodos':"""Tänased ülesanded""".decode('UTF8'),
'compmenu_org_tree':"""Organisatsioonipuu""".decode('UTF8'),
'email_type':"""Serveri tüüp""".decode('UTF8'),
'tls_todos':"""Ülesanded""".decode('UTF8'),
'tls_todo':"""Ülesanne""".decode('UTF8'),
'doc_item_moved':"""Objekt %s ümber tõstetud.<BR>""".decode('UTF8'),
'email_emptyfileattached':"""Te lisasite tühja manuse.""".decode('UTF8'),
'compmenu_doc_addfile':"""Lisa fail""".decode('UTF8'),
'email_nodeletedfolder':""""Deleted Items" kausta ei leitud.""".decode('UTF8'),
'compmenu_doc_docs':"""Dokumendid""".decode('UTF8'),
'cal_onthe':"""""".decode('UTF8'),
'contactobj_notsaved':"""Kontakti objekt (salvestamata)""".decode('UTF8'),
'email_replyallmessage':"""Vasta kõigile""".decode('UTF8'),
'doc_rename':"""Nimeta ümber""".decode('UTF8'),
'tls_subject':"""Teema""".decode('UTF8'),
'rootobj_missingnodefault':"""Kohustuslikule väljale "%s" ei ole andmeid.""".decode('UTF8'),
'admin_choice':"""Valik""".decode('UTF8'),
'email_short_attach':"""F""".decode('UTF8'),
'email_userinfo':"""Kasutaja andmed""".decode('UTF8'),
'compmenu_email_sync':"""Kontrolli""".decode('UTF8'),
'note_public':"""Esilehe märge""".decode('UTF8'),
'tls_middle_names':"""Teised nimed""".decode('UTF8'),
'day_end_rd':""".""".decode('UTF8'),
'email_createnew':"""Loo uus""".decode('UTF8'),
'disc_posted':"""Lisatud""".decode('UTF8'),
'topmenu_disc':"""Arutelud""".decode('UTF8'),
'indexer_failed':"""Ebaõnnestus filter: %s, %d""".decode('UTF8'),
'admin_organizations':"""Organisatsioonid""".decode('UTF8'),
'tls_phone_work':"""Telefon tööl""".decode('UTF8'),
'compmenu_todo_active':"""Aktiivsed ülesanded""".decode('UTF8'),
'admin_users_edit':"""Muuda kasutaja infot""".decode('UTF8'),
'todoobj_noname':"""Ülesande objekt #%s""".decode('UTF8'),
'compmenu_admin_org':"""Organisatsioonid""".decode('UTF8'),
'cal_remindtime':"""Meelespea aeg""".decode('UTF8'),
'admin_orgedit':"""Vaata/muuda organisatsiooni""".decode('UTF8'),
'tls_date':"""Kuupäev""".decode('UTF8'),
'admin_choices_updated':"""Valikud uuendatud valiku '%s' jaoks.""".decode('UTF8'),
'cal_startdate':"""Alguskuupäev""".decode('UTF8'),
'compmenu_email_list':"""E-post""".decode('UTF8'),
'tls_notes':"""Märkmed""".decode('UTF8'),
'front_mail':"""Teil on postkastis <span style="color: #A50000;">%d</span> kirja, millest <span style="color: #A50000;">%d</span> on lugemata.""".decode('UTF8'),
'doc_item_copied':"""Objekt %s kopeeritud.<BR>""".decode('UTF8'),
'rootobj_noitemtype':"""Objektil puudub tüüp.""".decode('UTF8'),
'tls_forward_x':"""Järgmised %d kirjet""".decode('UTF8'),
'cal_nodayselected':"""Ühtegi kordumispäeva ei valitud nädalase kordumise puhul.""".decode('UTF8'),
'admin_orgadmin':"""Asutuse administraator""".decode('UTF8'),
'cal_deleted':"""Sündmus kustutatud.""".decode('UTF8'),
'baselib_authenticate_wrongpass':"""Vale parool.<BR>Palun tuvastage oma isiksus:""".decode('UTF8'),
'setting_dateformat':"""Kuupäeva formaat""".decode('UTF8'),
'contact_addcontact':"""Lisa uus kontakt""".decode('UTF8'),
'email_addattachment':"""Lisa manus""".decode('UTF8'),
'tls_editor':"""Muutja""".decode('UTF8'),
'admin_choices_notfound':"""Seadet ei leitud.""".decode('UTF8'),
'cal_end':"""Lõpeb""".decode('UTF8'),
'todo_completedover':"""Valmis vähemalt""".decode('UTF8'),
'todo_starttime':"""Alguskuupäev""".decode('UTF8'),
'compmenu_todo_all':"""Kõik ülesanded""".decode('UTF8'),
'compmenu_admin_choices':"""Valikud""".decode('UTF8'),
'todoobj_notsaved':"""Ülesande objekt (salvestamata)""".decode('UTF8'),
'eventobj_notsaved':"""Sündmuse objekt (salvestamata)""".decode('UTF8'),
'docobj_noname':"""Dokumendi objekt #%s""".decode('UTF8'),
'email_deactivate':"""Deaktiveeri""".decode('UTF8'),
'contact_saved':"""Kontakt salvestatud.""".decode('UTF8'),
'system_erroroccured':"""Süsteemis esines viga""".decode('UTF8'),
'emailobj_noname':"""E-posti objekt #%s""".decode('UTF8'),
'docinvalidrename':'Illegal name provided.'.decode('UTF8'), 
'tls_or':"""v\xc3\xb5i""".decode('UTF8'),
'email_selectdoc':"""Vali #APPNAME# dokumendihaldusest""".decode('UTF8'),

'disccatobj_noname':'Discussion category object #%s',
'disccatobj_notsaved':'Discussion category object (not saved)',
'compmenu_disc_mancat':'Kategooriad',
'disc_addcat':'Kategooria lisamine',
'disc_delcat':'Kategooriate kustutamine',
'todo_onlyme':'Minu ülesanded'.decode('UTF8'),
'todo_select_others':'Näita teisi'.decode('UTF8'),

'todo_reject':'Salvesta ja lükka tagasi'.decode('UTF8'),
'cal_hasrejected':'on sündmuse tagasi lükanud.'.decode('UTF8'),
'todo_hasrejected':'on ülesande tagasi lükanud'.decode('UTF8'),
'contact_resbatch':'Kuva tulemused portsudes',
'email_choose':'Vali',
'todo_mytasks':'Minu Ülesanded'.decode('UTF8'),
'cal_legend':'Seletus',
'cal_myevent':'Minu sündmus'.decode('UTF8'),
'cal_related_event':'Seotud sündmus'.decode('UTF8'),
'cal_other_event':'Teiste sündmus'.decode('UTF8'),
'disc_wrongparent':'Palun valige arutelu kategooria.',

'resourceobj_noname':'Ressursi objekt #%s',
'resourceobj_notsaved':'Ressursi objekt (salvestamata)',

'tls_resource':'Ressurss',
'tls_resources':'Ressursid',
'resource_conflictmsg':u'Ressursi "%s" kasutus on konfliktis sündmusega "%s".',
'resource_add':'Lisa ressurss',
'email_deletemessages':"""Kirjad serveris""",
'email_deletemessagesbutton':"Muuda 'Kirjad serveris'",
'email_tocontacts':'Lisa kontaktidesse',
'email_forwardedemail':'Edasi saadetud kiri',

'tls_manage':'Halda',
'tls_overview':'Ülevaade'.decode('UTF8'),
'tls_links':'Järjehoidjad'.decode('UTF8'),
'tls_url':'URL',

'tls_myworkflows':'Minu töövood'.decode('UTF8'),
'tls_othersworkflows':'Teiste töövood'.decode('UTF8'),
'tls_allworkflows':'K\xc3\xb5ik töövood'.decode('UTF8'),
'tls_addworkflow':'Lisa'.decode('UTF8'),
'tls_searchworkflows':'Otsi'.decode('UTF8'),
'tls_addworkflow':'Lisa töövoog'.decode('UTF8'),

'cal_myviewlist':'Mina näen järgmiste isikute sündmusi/ülesandeid:'.decode('UTF8'),
'cal_allpeople':'Ülejäänud isikud:'.decode('UTF8'),

'tls_onlymine':'Näita ainult minu omi'.decode('UTF8'),
'tls_frontmanage':'Esilehe haldus'.decode('UTF8'),
'tls_addbookmark':'Lisa järjehoidja'.decode('UTF8'),
'tls_mybookmarks':'Minu järjehoidjad'.decode('UTF8'),
'tls_othersbookmarks':'Avalikud järjehoidjad'.decode('UTF8'),
'frontpage_managemessage':'Teated'.decode('UTF8'),
'disc_updated':'Uuendatud'.decode('UTF8'),
'cal_resource_event':'Ressursiga seotud'.decode('UTF8'),
'workflowobj_notsaved':'Workflow object (not saved)'.decode('UTF8'),
'workflowobj_noname':'Workflow object #%s'.decode('UTF8'),
'cal_select_resources':'Vali resursid, mille kasutust soovid oma kalendris näha:'.decode('UTF8'),
'cal_myviewresources':'Mina näen oma kalendris järgmisi resursse:'.decode('UTF8'),
'cal_allresources':'Ülejäänud resursid:'.decode('UTF8'),
'frontpage_help_name':'Siia tuleb help:'.decode('UTF8'),
'frontpage_help_contents':'See moodul v\xc3\xb5imaldab panna esilehele teateid'.decode('UTF8'),
'tls_workflow':'Töövoog'.decode('UTF8'),
'tls_current_task':'Käesolev ülesanne'.decode('UTF8'),
'tls_workflow_saved':'Töövoog salvestatud'.decode('UTF8'),
'tls_edit_info':'Muuda infot',
'tls_edit_tasks':'Määra ülesandeid'.decode('UTF8'),
'wfreminder_init_subject':'Sulle on uus #APPNAME# töövoog: %s'.decode('UTF8'),
'wfreminder_init_message':"""Teid on määratud uude töövoogu. Täpsema info saate kui külastate allpool olevat URL'i.

Töövoo pealkiri: %(workflow_title)s.
Algab: %(workflow_start_time)s.
Tähtaeg: %(workflow_due_time)s.

Kirjeldus:
%(workflow_description)s


Viide #APPNAME#'i: %(conflux_url)s
   
""".decode('UTF8'),
'wfreminder_complete_subject':'#APPNAME# töövoog on valminud: %s'.decode('UTF8'),
'wfreminder_complete_message':"""Töövoog on valminud. Täpsema info saate kui külastate allpool olevat URL'i.

Töövoo pealkiri: %(workflow_title)s.
Algab: %(workflow_start_time)s.
Tähtaeg: %(workflow_due_time)s.

Kirjeldus:
%(workflow_description)s


Viide #APPNAME#'i: %(conflux_url)s
   
""".decode('UTF8'),
'tls_remove':'Eemalda',
'tls_related_tasks':'Töövoo ülesanded'.decode('UTF8'),
'tls_other_tasks':'Vali ülesanded'.decode('UTF8'),
'email_advanced_options':'Lisavõimalused'.decode('UTF8'),
'email_mark_read':'Märgi loetuks'.decode('UTF8'),
'email_mark_unread':'Märgi mitte loetuks'.decode('UTF8'),
'email_high_priority':'Märgi prioriteetseks'.decode('UTF8'),
'email_normal_priority':'Eemalda prioriteet',
'tls_workflow_saved':'Töövoog salvestatud.'.decode('UTF8'),
'tls_enabled_modules':'Kasutatavad moodulid',
'tls_select_all':'vali k\xc3\xb5ik'.decode('UTF8'),
'tls_remove_rels':'Eemalda seosed',
'tls_relations':'Seosed',
'tls_add_relation':'Tekita seos',
'tls_search_workflow':'Otsi töövoogu'.decode('UTF8'),
'tls_add_rows':'Lisa ridu',
'tls_serial':'Järjestikune töövoog'.decode('UTF8'),
'tls_send_initial':'Saada seotud isikutele e-mail, teavitamaks neid uuest töövoost'.decode('UTF8'),
'tls_send_final':'Saada seotud isikutele e-mail, kui töövoog on valmis saanud'.decode('UTF8'),
'tls_logoff':'Logi välja'.decode('UTF8'),
'admin_file_backups':'Failisüsteemi backupid'.decode('UTF8'),
'admin_db_backups':'Andmebaasi backupid',
'admin_create_backup':'Tekita backup',
'admin_sys_status':'Süsteemi seisund'.decode('UTF8'),
'admin_backups':'Backupid',
'email_no_accounts':'Ei leidnud ühtegi aktiivset kontot.'.decode('UTF8'),
'tls_search_events':'Kalendrisündmused'.decode('UTF8'),
'tls_search_words':'Otsi s\xc3\xb5nu'.decode('UTF8'),
'tls_search_modules':'Moodulites',
'tls_search_meta':'Vaata andmevälju'.decode('UTF8'),
'tls_search_data':'Vaata (faili) sisu'.decode('UTF8'),
'tls_missing_meta_data':'Palun valige üks kahest otsimisviisist'.decode('UTF8'),
'admin_file_backup_failed':'Failide backupi loomine eba\xc3\xb5nnestus'.decode('UTF8'),
'admin_db_backup_failed':'Andmebaasi backupi loomine eba\xc3\xb5nnestus.'.decode('UTF8'),
'admin_disc_space':'Kettaruum',
'admin_memory':'Mälu'.decode('UTF8'),
'admin_processes':'Protsessid',
'doc_simple':'lihtne',
'doc_advanced':'keerukas',
'contact_info':'Info',
'email_syncro_popup':'Postkastis %d uut kirja!',
'email_syncro_popup1':'Postkastis 1 uus kiri!',
'tls_choose_related':'Palun valige seotud isikud',
'tls_workflow_related':'Seotud isikud',
'tls_workflow_other':'K\xc3\xb5ik teised isikud'.decode('UTF8'),
'info_suborg':'\xc3\x9clemüksus'.decode('UTF8'),
'info':'Info',
'contact_state':'Osariik, maa',
'contact_tele':'Telefon',
'tls_website':'Veebilehekülg'.decode('UTF8'),
'tls_email':'E-post',
# Item types
'type_Persons':'Isikud',
'type_Organizations':'Asutused',
'type_Folders':'Kaustad',
'type_Documents':'Dokumendid',
'type_Events':'Sündmused'.decode('UTF8'),
'type_Todos':'\xc3\x9clesanded'.decode('UTF8'),
'type_Contacts':'Kontaktid',
'type_eFolders':'eKaustad',
'type_e-mails':'E-kirjad',
'type_eAccounts':'eKontod',
'type_Discussions':'Arutelud',
'type_UserNotes':'Märkmed'.decode('UTF8'),
'type_Discussion categories':'Arutelu kategooriad',
'type_Calendar resources':'Ressursid',
'type_Bookmarks':'Järjehoidjad'.decode('UTF8'),
'type_Workflows':'Töövood'.decode('UTF8'),
# System e-mail folders
'mail_Inbox':'<b>Sissetulnud</b>',
'mail_Sent Items':'<b>Saadetud</b>',
'mail_Deleted Items':'<b>Kustutatud</b>',
'mail_Drafts':'<b>Mustandid</b>',
'tls_input_short':'Täistekstiotsingu märks\xc3\xb5nad peavad olema vähemalt kolme tähelised.'.decode('UTF8'),
'tls_type':'Tüüp'.decode('UTF8'),
'tls_search_results':'Otsingu tulemused',
'tls_workflow_flags':'Tüüp'.decode('UTF8'),
'tls_workflow_serial':'Järjestik töövoog'.decode('UTF8'),
'tls_workflow_parallel':'Paralleelne töövoog'.decode('UTF8'),
'tls_workflow_initmail':'Saada teavitav e-kiri lisamisel',
'tls_workflow_completemail':'Saada teavitav e-kiri valmimisel',
'wfreminder_nexttask_subject':'#APPNAME# töövoos on aktiveeritud uus ülesanne: %s'.decode('UTF8'),
'wfreminder_nexttask_message':"""Uus ülesanne on aktiveeritud. Täpsema info saate kui külastate allpool olevat URL'i.

Töövoo pealkiri: %(workflow_title)s.
Algab: %(workflow_start_time)s.
L\xc3\xb5ppeb: %(workflow_due_time)s.

Kirjeldus:
%(workflow_description)s

Viide #APPNAME#'i: %(conflux_url2)s

\xc3\x9clesande nimetus: %(title)s.
Tähtaeg: %(due_time)s.

Kirjeldus:
%(description)s

Viide #APPNAME#'i: %(conflux_url)s
   
""".decode('UTF8'),
'cal_creator_related':'Sündmuse looja v\xc3\xb5i seotud isik'.decode('UTF8'),
'cal_uses_resource':'Seotud ressursiga',
'login_user':'Kasutajanimi',
'login_password':'Parool',
'login_remember':'mäleta mind'.decode('UTF8'),
'tls_sms':'SMS',
'cal_groups':'Grupid',
'cal_newgroup':'Uus grupp',
'cal_grouptitle':'Valige uue grupi liikmed:',
'cal_inmygroup':'Minu grupi liikmed:',
'cal_relgroups':'Seotud grupid',
'cal_selgroups':'Vali grupid mille sündmusi/ülesandeid soovite näha:'.decode('UTF8'),
'cal_myviewgroups':'Mina näen järgmiste gruppide sündmusi/ülesandeid:'.decode('UTF8'),
'cal_allgroups':'Ülejäänud grupid:'.decode('UTF8'),
'cal_sendrelated':'Saada meeldetuletus seotud isikutele',
'cal_group_event':'Grupi sündmus'.decode('UTF8'),
'disc_open':"""Avatud jutulõng""".decode('UTF8'),
'compmenu_email_filters':'Filtrid',
'email_newfilter':'Uus filter',
'email_condition':'Tingimus',
'email_action':'Tegevus',
'email_search_in':'Otsi',
'email_contains':'s\xc3\xb5na'.decode('UTF8'),
'email_case':'Eristab suurtähti'.decode('UTF8'),
'email_cond_whole':'Tervest kirjast',
'email_cond_header':'Päisest (kellelt, kellele, cc)'.decode('UTF8'),
'email_cond_body':'Sisust (pealkiri, tekst)',
'email_cond_from':'Kellelt',
'email_cond_to':'Kellele',
'email_cond_title':'Pealkirjast',
'email_cond_text':'Tekstist',
'email_act_move':'T\xc3\xb5sta kiri kausta'.decode('UTF8'),
'email_act_del':'Kustuta kiri',
'email_act_pri':'Märgi kiri prioriteetseks'.decode('UTF8'),
'email_filter_moved':'Ümber t\xc3\xb5stetud'.decode('UTF8'),
'email_filter_del':'Kustutatud',
'email_filter_pri':'Märgitud'.decode('UTF8'),
'disc_replies':'Vastuseid',
'tls_emoticons':'Emotikonid',
'tls_subjects':'Teemad',
'tls_timezone':'Ajavöönd'.decode('UTF8'),
'em_smile':'\xc3\x95nnelik'.decode('UTF8'),
'em_wink':'Pilgutab silma',
'em_confused':'Segaduses',
'em_eek':'\xc3\x9cllatunud'.decode('UTF8'),
'em_biggrin':'Irvitab',
'em_cool':'Lahe',
'em_mad':'Vihane',
'em_rolleyes':'P\xc3\xb6\xc3\xb6ritab silmi'.decode('UTF8'),
'em_embarrassed':'Piinlik',
'em_frown':'Kortsutab kulmu',
'em_sarcastic':'Sarkastiline',
'em_silly':'N\xc3\xa4itab keelt'.decode('UTF8'),
'compmenu_export_import':'Eksport/Import',
'contact_export':'Ekspordi',
'contact_import':'Impordi',
'contact_format':'V\xc3\xa4ljundi formaat'.decode('UTF8'),
'tls_nousers':'Ei m\xc3\xa4rgitud \xc3\xbchtegi kasutajat.'.decode('UTF8'),
'tls_nodata':'Sündmuse andmed puudulikud.'.decode('UTF8'),
'tls_missinginfo':'Puudu kohustuslik info',
'tls_notitle':'Pealkiri puudu',
'cal_repmontherror':'P\xc3\xa4ev kuuti korduvuses m\xc3\xa4rkimata.'.decode('UTF8'),
'cal_repyearerror':'P\xc3\xa4ev v\xc3\xb5i kuu aastases korduvuses m\xc3\xa4rkimata.'.decode('UTF8'),
'doc_toolarge':'Web-based editing does not support files with size over 1 megabyte.',
'doc_noid':'No document id',
'tls_all':'K\xc3\xb5ik'.decode('UTF8'),
'cal_nogroupname':'Grupi nimi puudu',
'cal_nogroup':'Ei leitud sellist gruppi',
'email_invalidserver':'Vigane serveri tüüp.'.decode('UTF8'),
'contact_duplicate':'Leiti mitu vastavust kontaktile \'%s %s\', katkestan.',
'tls_noreturnform':'Tagastusvorm m\xc3\xa4rkimata'.decode('UTF8'),
'tls_noreturndiv':'Tagastusdiv m\xc3\xa4rkimata'.decode('UTF8'),
'contact_import_req':'K\xc3\xb5ik kontaktid peavad omama ees ja perekonna nime.'.decode('UTF8'),
'tls_noitemid':'Item id m\xc3\xa4rkimata'.decode('UTF8'),
'email_attach_nocheck':'\xc3\x84ra kontrolli'.decode('UTF8'),
'email_attach_yes':'Peab olema',
'email_attach_no':'Ei tohi olla',
'topmenu_clients':'Kliendid',
'topmenu_products':'Tooted',
'topmenu_opportunities':'V\xc3\xb5imalused'.decode('UTF8'),
'compmenu_client_mine':'Minu kliendid',
'compmenu_client_all':'K\xc3\xb5ik kliendid'.decode('UTF8'),
'clients_add':'Lisa klient',
'clients_name':'Kliendi nimi',
'clients_type':'Kliendi tüüp'.decode('UTF8'),
'clients_number':'Kliendi number',
'clients_area':'Valdkond',
'clients_phone':'Telefon',
'clients_rating':'Reiting',
'clients_fax':'Fax',
'clients_ownership':'Omandivorm',
'clients_regcode':'Registrikood',
'clients_kmkr':'KMKR',
'clients_post_address':'Postiaadress',
'clients_reg_address':'Registreerimisaadress',
'clients_bank_info':'Panga rekvisiidid',
'client_saved':'Klient salvestatud.',
'client_owner':'Omanik',
'clients_view':'Vaata klienti',
'clients_search':'Otsi klienti',
'cal_relcontacts':'Seotud kontaktid',
'cal_show_rels':'N\xc3\xa4ita seoseid'.decode('UTF8'),
'cal_hide_rels':'Peida seosed',
'type_Client':'Kliendid',
'compmenu_active_opp':'Minu aktiivsed'.decode('UTF8'),
'compmenu_active_oth':'Teiste aktiivsed'.decode('UTF8'),
'compmenu_all_opp':'K\xc3\xb5ik L\xc3\xb5petatud'.decode('UTF8'),
'opp_add':'Lisa v\xc3\xb5imalus'.decode('UTF8'),
'opp_client':'Klient',
'opp_nextstep':'J\xc3\xa4rgmine samm'.decode('UTF8'),
'opp_date':'Sulgemiskuup\xc3\xa4ev'.decode('UTF8'),
'opp_stage':'Faas',
'opp_probability':'T\xc3\xb5en\xc3\xa4osus'.decode('UTF8'),
'opp_source':'Kliendi allikas',
'opp_amount':'Summa',
'opp_req_desc':'Vajaduste kirjeldus',
'opp_lost_reason':'Tehingu katkij\xc3\xa4\xc3\xa4mise p\xc3\xb5hjus'.decode('UTF8'),
'opp_saved':'V\xc3\xb5imalus salvestatud.'.decode('UTF8'),
'tls_confirm_del':'Kas te t\xc3\xb5esti soovite kustutada?'.decode('UTF8'),
'client_deleted':'Klient kustutatud',
'cal_div_help':'Valimiseks vajuta nuppu.',
'tls_save_close':'Salvesta & sulge',
'tls_selected':'Valitud',
'tls_remove_sel':'Eemalda valitud',
'cal_choose_persons':'Vali',
'tls_group':'Grupp',
'compmenu_products':'Tooted',
'prod_name':'Toote nimi',
'prod_group':'Tootegrupp',
'prod_unit':'\xc3\x9chik'.decode('UTF8'),
'prod_price':'Hind',
'prod_add':'Lisa toode',
'product_saved':'Toode salvestatud.',
'client_related_contacts':'Kliendiga %s seotud kontaktid:',
'prod_edit':'Muuda toodet',
'cal_prevweek':'Eelmine n\xc3\xa4dal'.decode('UTF8'),
'cal_nextweek':'J\xc3\xa4rgmine n\xc3\xa4dal'.decode('UTF8'),
'cal_prevday':'Eelmine p\xc3\xa4ev'.decode('UTF8'),
'cal_nextday':'J\xc3\xa4rgmine p\xc3\xa4ev'.decode('UTF8'),
'contact_matching':'Kattuvad nimed',
'contact_insert_new':'Lisa uuena',
'contact_update_ex':'Uuenda olemasolevaid',
'contact_leave_out':'J\xc3\xa4ta v\xc3\xa4lja'.decode('UTF8'),
'tls_file':'Fail',
'contact_import_success':'Import \xc3\xb5nnestus'.decode('UTF8'),
'contact_import_fount':'Leiti %s kontatkti',
'contact_import_added':'Lisati %s kontatkti',
'contact_import_updated':'Uuendati %s kontatkti',
'contact_import_left_out':'V\xc3\xa4lja j\xc3\xa4eti %s kontatkti'.decode('UTF8'),
'log_show_det':'N\xc3\xa4ita detaile'.decode('UTF8'),
'log_hide_det':'Peida detailid',
'log_show_all':'N\xc3\xa4ita k\xc3\xb5ike'.decode('UTF8'),
'log_hide_all':'Peida k\xc3\xb5ik'.decode('UTF8'),
'log_mod_by':'Muutis',
'log_mod_time':'Muudatuse aeg',
'log_field':'V\xc3\xa4li'.decode('UTF8'),
'log_oldval':'Vana v\xc3\xa4\xc3\xa4rtus'.decode('UTF8'),
'log_newval':'Uus v\xc3\xa4\xc3\xa4rtus'.decode('UTF8'),
'log_log':'Logi',
'log_nolog':'Objekti ei ole muudetud.',
'tls_norecords':'Kirjed puuduvad.',
'prod_amount':'Kogus',
'prod_discount':'Allahindlus',
'prod_key_req':'V\xc3\xb5tmevajadus'.decode('UTF8'),
'opp_product_exists':'Toode on juba v\xc3\xb5imaluse k\xc3\xbcljes.'.decode('UTF8'),
'opp_bad_amount':'Vigane kogus:',
'opp_bad_price':'Vigane hind:',
'admin_upload':'Saada',
'admin_picture':'Pilt',
'admin_choose_pic':'Vali pilt',
'cal_wrongstamp':'S\xc3\xbcndmuse alguse aeg ei saa olla suurem l\xc3\xb5pu ajast.'.decode('UTF8'),
'contact_corresp':'Kirjavahetus kontaktiga %s',
'tls_groupname':'Grupi nimi',
'tls_members':'Liikmed',
'tls_members2':'Liikmeid',
'tls_viewmembers':'Vaata liikmeid',
'tls_nomembers':'Selles grupis ei ole liikmeid.',
'tls_add_sel':'Lisa valitud',
'admin_toplevel':'Toplevel asutus',
'tls_usedspace':'Kasutatud kettaruum',
'tls_invalid_file':'Sisestatud fail on vigane.',
'doc_islocked':'Dokument on lukustatud.',
'doc_isnotlocked':'Dokument ei ole lukustatud.',
'doc_cantunlock':'Ei saa dokumenti lahti lukustada.',
'doc_alreadylocked':'Dokument on juba lukus.',
'doc_nolocktime':'Lukustamise kestvusaeg m\xc3\xa4\xc3\xa4ramata.'.decode('UTF8'),
'doc_lock':'Lukusta dokument',
'doc_unlock':'V\xc3\xb5ta lukk maha'.decode('UTF8'),
'tls_document':'Dokument',
'tls_currdate':'Praegune kuup\xc3\xa4ev'.decode('UTF8'),
'tls_time':'Kellaaeg',
'tls_time2':'Kell',
'tls_time3':'Aeg',
'doc_lockuntil':'Lukus kuni',
'doc_isunlocked':'Dokumendi lukk maha v\xc3\xb5etud.'.decode('UTF8'),
'cal_invitep':'M\xc3\xa4\xc3\xa4ra osav\xc3\xb5tjad'.decode('UTF8'),
'cal_inviteg':'M\xc3\xa4\xc3\xa4ra grupid'.decode('UTF8'),
'doc_islock_show':'Dokument on <font color="red">lukus.</font>',
'doc_lockedby':'Lukku pani',
'doc_lockeduntil':'Lukus kuni',
'log_item_id':'Item ID',
'log_parent_id':'Parent id',
'log_item_name':'Itemi nimi',
'log_item_size':'Itemi suurus',
'log_creator_id':'Omanik',
'log_creator_ip':'Omaniku ip',
'log_editor_id':'Muutja',
'log_editor_ip':'Muutja ip',
'log_item_type_id':'Itemi t\xc3\xbc\xc3\xbcp'.decode('UTF8'),
'log_is_public':'Avalik',
'log_is_private':'Privaatne',
'log_owner_id':'Lisaomanik',
'log_person_id':'Isik',
'is_disabled':'Kinni keeratud',
'log_contact_id':'Kontakt',
'log_organization_id':'Organisatsioon',
'log_event_id':'S\xc3\xbcndmus'.decode('UTF8'),
'log_folder_id':'Kaust',
'log_folder_name':'Kausta nimi',
'log_document_id':'Dokument',
'log_todo_id':'Ülesanne'.decode('UTF8'),
'log_workflow_id':'Töövoog'.decode('UTF8'),
'log_client_id':'Klient',
'log_product_id':'Toode',
'log_opp_id':'V\xc3\xb5imalus'.decode('UTF8'),
'tls_adv_search':'T\xc3\xa4psem otsing'.decode('UTF8'),
'tls_dupe_search':'Duplikaatide otsing',
'tls_keyword':'S\xc3\xb5na'.decode('UTF8'),
'contact_merge':'Kontaktide liitmine',
'contact_stay':'See kontakt j\xc3\xa4\xc3\xa4b alles.'.decode('UTF8'),
'contact_out':'See kontakt kustutatakse \xc3\xa4ra.'.decode('UTF8'),
'contact_flip':'Vaheta v\xc3\xa4\xc3\xa4rtused'.decode('UTF8'),
'tls_merge':'Liida',
'contact_select_two':'Palun valige kaks kontakti mida liita.',
'contact_nomergeaccess':'Teil ei ole piisavalt \xc3\xb5igusi kummagi kontakti muutmiseks.'.decode('UTF8'),
'contact_selprim':'Palun valige peamine kontakt',
'contact_prim':'Peamine',
'admin_undelete':'Kustutatud andmete taastamine',
'admin_pit':'Objektide eelmiste seisude taastamine',
'admin_data':'Objekti andmed',
'tls_object':'Objekt',
'tls_show':'N\xc3\xa4ita'.decode('UTF8'),
'admin_recover':'Taasta',
'admin_rec_confirm':'Kas t\xc3\xb5esti taastan objekti n\xc3\xa4idatud seisu?'.decode('UTF8'),
'admin_recovered':'Objekti andmed taastatud.',
'admin_on_time':'ajahetkel',
'admin_lastitems':'Viimased 5 muudetud objekti',
'admin_lastitems2':'Viimased 5 kustutatud objekti',
'type_Opportunity':'V\xc3\xb5imalused'.decode('UTF8'),
'type_Product':'Tooted',
'tls_deleter':'Kustutaja',
'tls_deltime':'Kustutati',
'admin_notfound':'Ei leitud \xc3\xbchtegi tulemust.'.decode('UTF8'),
'opp_date_bw':'Sulgemiskuup\xc3\xa4ev on vahemikus'.decode('UTF8'),
'type_Quota':'Kettamahu piirangud',
'quota_exceeded':'Te olete \xc3\xbcletanud oma asutuse kettamahu piirangu!'.decode('UTF8'),
'tls_deleteditem':'Kustutatud objekt',
'name_invchars':'Kasutaja nimes ei tohi esineda j\xc3\xa4rgnevaid m\xc3\xa4rke: &lt;, &gt;, ".'.decode('UTF8'),
'name_orginvchars':'Asutuse nimes ei tohi esineda j\xc3\xa4rgnevaid m\xc3\xa4rke: &lt;, &gt;, ".'.decode('UTF8'),
'quota_quota':'Kettalimiit',
'quota_soft_gt_hard':'Soovituslik kettalimiit on suurem kui absoluutne kettalimiit!',
'quota_soft':'Soovituslik kettalimiit',
'quota_hard':'Absoluutne kettalimiit',
'doc_delversion':'Kustuta versioonid',
'doc_primeversion':'Taasta versioon',
'doc_showtree':'N\xc3\xa4ita puud'.decode('UTF8'),
'doc_hidetree':'Peida puu',
'tls_path':'Asukoht',
'cal_invitedpersons':'Osav\xc3\xb5tjad'.decode('UTF8'),
'cal_invitedgroups':'Grupid',
'cal_invitedcontacts':'Kontaktid',
'rep_stat_period':'M\xc3\xbc\xc3\xbcgistatistika ajaperioodil %s'.decode('UTF8'),
'rep_won':'L\xc3\xb5petatud edukalt'.decode('UTF8'),
'rep_lost':'Kaotatud',
'rep_pending':'K\xc3\xa4imasolevad'.decode('UTF8'),
'rep_total':'Kokku',
'rep_reports':'Statistika',
'rep_thismonth':'See kuu',
'rep_lastmonth':'Eelmine kuu',
'rep_fromlastmonth':'Eelmise kuu algusest t\xc3\xa4naseni'.decode('UTF8'),
'rep_q1':'KV I',
'rep_q2':'KV II',
'rep_q3':'KV III',
'rep_q4':'KV IV',
'rep_thisyear':'See aasta',
'rep_lastyear':'Eelmine aasta',
'rep_periodstart':'Perioodi algus',
'rep_periodend':'Perioodi L\xc3\xb5pp'.decode('UTF8'),
'rep_shortformat':'L\xc3\xbchiformaat'.decode('UTF8'),
'rep_longformat':'Laiformaat',
'rep_prod_income':'M\xc3\xbc\xc3\xbcgistatistika toote l\xc3\xb5ikes'.decode('UTF8'),
'rep_showreport':'N\xc3\xa4ita aruannet'.decode('UTF8'),
'admin_mountpoint':'Mount point',
'admin_partition':'Partitsioon',
'admin_percent_used':'Protsenti kasutusel',
'tls_free':'Vaba',
'tls_used':'Kasutatud',
'tls_size':'Suurus',
'admin_mem_phys':'Operatiivm\xc3\xa4lu'.decode('UTF8'),
'admin_mem_swap':'Swap',
'tls_workflow_newtasks':'Lisa \xc3\xbclesandeid'.decode('UTF8'),
'rep_totalsales':'M\xc3\xbc\xc3\xbckide kokkuv\xc3\xb5te'.decode('UTF8'),
'rep_clientsales':'M\xc3\xbc\xc3\xbcgid kliendi l\xc3\xb5ikes'.decode('UTF8'),
'rep_productsales':'M\xc3\xbc\xc3\xbcgid toote l\xc3\xb5ikes'.decode('UTF8'),
'rep_repsales':'M\xc3\xbc\xc3\xbcgid m\xc3\xbc\xc3\xbcgiesindajate l\xc3\xb5ikes'.decode('UTF8'),
'rep_clientproduct':'M\xc3\xbc\xc3\xbcgid kliendi ja toote l\xc3\xb5ikes'.decode('UTF8'),
'rep_title1':'Edukate, kaotatud ja k\xc3\xa4imasolevate m\xc3\xbc\xc3\xbckide kokkuv\xc3\xb5te'.decode('UTF8'),
'rep_title2':'Edukad, kaotatud ja k\xc3\xa4imasolevad m\xc3\xbc\xc3\xbcgid klientide l\xc3\xb5ikes'.decode('UTF8'),
'rep_title3':'Edukad, kaotatud ja k\xc3\xa4imasolevad m\xc3\xbc\xc3\xbcgid toodete l\xc3\xb5ikes'.decode('UTF8'),
'rep_title4':'Edukad, kaotatud ja k\xc3\xa4imasolevad m\xc3\xbc\xc3\xbcgid m\xc3\xbc\xc3\xbcgiesindajate l\xc3\xb5ikes'.decode('UTF8'),
'rep_title5':'M\xc3\xbc\xc3\xbcgid klientide ja toodete l\xc3\xb5ikes'.decode('UTF8'),
'admin_notify':'Teavita seotud s\xc3\xbcndmustest ja \xc3\xbclesannetest e-posti teel'.decode('UTF8'),
'tls_format':'Formaat',
'email_pref_client':'Eelistatud e-posti klient',
'email_format_html':'HTML',
'email_format_plain':'Tavatekst',
'invite_message':"""
Tere %s,

%s kutsub sind osa v\xc3\xb5tma s\xc3\xbcndmusest: %s.
S\xc3\xbcndmus algab: %s
Kirjeldus: %s
Viide #APPNAME#'i: %s
""".decode('UTF8'),
'assign_message':"""
Tere %s,

%s m\xc3\xa4\xc3\xa4ras sulle uue \xc3\xbclesande: %s.
T\xc3\xa4htaeg: %s
Kirjeldus: %s
Viide #APPNAME#'i: %s
""".decode('UTF8'),
'tls_book_parent':'\xc3\x9clemkategooria'.decode('UTF8'),
'tls_cat_name':'Kategooria nimi',
'tls_bgcolor':'Tausta v\xc3\xa4rv'.decode('UTF8'),
'note_none':'Sul ei ole \xc3\xbchtegi personaalset m\xc3\xa4rget.'.decode('UTF8'),
'opp_my':'Aktiivsed v\xc3\xb5imalused j\xc3\xa4rgmisel seitsmel p\xc3\xa4eval'.decode('UTF8'),
'opp_others':'Teiste v\xc3\xb5imalused j\xc3\xa4rgmisel kolmel p\xc3\xa4eval'.decode('UTF8'),
'cal_showas_0':'Vaba',
'cal_showas_1':'Katseline',
'cal_showas_2':'H\xc3\xb5ivatud'.decode('UTF8'),
'cal_showas_3':'Eemal',
'cal_showas':'N\xc3\xa4ita aega kui'.decode('UTF8'),
'cal_scheduling':'Ajaplaneerimine',
'todo_date_1':'%d p\xc3\xa4eva j\xc3\xa4rgi.'.decode('UTF8'),
'todo_date_2':'Üks p\xc3\xa4ev j\xc3\xa4rgi.'.decode('UTF8'),
'todo_date_3':'T\xc3\xa4na on t\xc3\xa4htaeg.'.decode('UTF8'),
'todo_date_4':'Üks p\xc3\xa4ev üle t\xc3\xa4htaja.'.decode('UTF8'),
'todo_date_5':'%d p\xc3\xa4eva üle t\xc3\xa4htaja.'.decode('UTF8'),
'tls_quicksearch':'Otsing',
'opp_top':'Parimad M\xc3\xbc\xc3\xbcgiv\xc3\xb5imalused'.decode('UTF8'),
'opp_rep_top':'Müügivõimalused müügimeeste lõikes'.decode('UTF8'),
'tls_recentsearches':'Viimased otsingud',
'tls_format_html':'HTML',
'tls_format_opera':'Opera (.adr)',
'tls_book_expimp':'Järjehoidjate Eksport & Import'.decode('UTF8'),
'tls_import_success':'Import õnnestus!'.decode('UTF8'),
'opp_nofound':'Ei leitud ühtegi võimalust.'.decode('UTF8'),
'email_format_confirm':'Osa muudatusi võib kaduma minna. Muudan formaadi?'.decode('UTF8'),
'tls_my':'Minu',
'opp_long':'Müügivõimalus'.decode('UTF8'),
'admin_right':'õigust'.decode('UTF8'),
'admin_right_end':'\'ile'.decode('UTF8'),
'admin_hasaccess':'omab',
'admin_permissions':'Õigused'.decode('UTF8'),
'admin_haspermissions':'omab järgnevaid õigusi'.decode('UTF8'),
'admin_manage_to':'Manage Access to',
'admin_write_to':'Write Access to',
'admin_read_to':'Read Access to',
'admin_no_to':'No Access to',
'tls_supernamechange':'Administraatori kasutajanime muuta ei saa.',
'tls_clientdel_opp':'Sellele kliendile viidatakse olemasolevates müügivõimalustes. Palun kustutage esmalt müügivõimalused.'.decode('UTF8'),
'tls_userlimitexceed':'Kasutajalimiit on ületatud. Kasutajaid lisada ei saa.'.decode('UTF8'),
'topmenu_hostclient':'Hosting',
'topmenu_hostadmin':'Hosting (admin)',
'eventinverror': 'E-posti teavituste saatmisel tekkis viga. Palun kontrollige #APPNAME# serveri e-posti seadustusi.',
'email_view_frames':'E-mailide nimekiri ja sisu:',
'email_view_single':'Erinevatel lehtedel',
'email_view_dual':'Samal lehel (kahes freimis)',
'email_framesize':'Freimi suurus',
'email_sent':'Saadetud',
'month_name_01':'Jaan',
'month_name_02':'Veebr',
'month_name_03':'Märts'.decode('UTF8'),
'month_name_04':'Aprill',
'month_name_05':'Mai',
'month_name_06':'Juuni',
'month_name_07':'Juuli',
'month_name_08':'Aug',
'month_name_09':'Sept',
'month_name_10':'Okt',
'month_name_11':'Nov',
'month_name_12':'Dets',
'tls_programs':'Programmid',
'admin_interface':'Kasutajaliides',
'admin_interface_1':'Standardne'.decode('UTF8'),
'admin_interface_2':'Windows Start-menüü stiilis'.decode('UTF8'),
'email_missingattachment':'Palun valige manus enne selle lisamist.',

'tls_unlimited':'piiramatu arv',
'tls_license_title':"#APPNAME#'i litsentsiandmed",
'tls_userlimit':'Kasutajalimiit',
'tls_timelimit':'Ajaline limiit',
'tls_userlimit_arg':'kasutajat',
'tls_timelimit_arg':'päeva'.decode('UTF8'),
'email_spellcheck':'Kontrolli õigekirja'.decode('UTF8'),
'email_resumeedit':'Jätka kirjutamist'.decode('UTF8'),
'email_spellingok':'Õigekiri korras.'.decode('UTF8'),

'email_delchk':'Tühjenda kaust \'Kustutatud\''.decode('UTF8'),
'email_deldays':'Tühjenda peale'.decode('UTF8'),
'email_contactadded':'Saatja lisatud teie kontaktidesse',
'email_eventadded':'Sündmus lisatud teie kalendrisse!'.decode('UTF8'),
'tls_responsible_per':'Vastutavad isikud',
'tls_responsible':'Vastutav',
'tls_dictionaries':'Sõnastikud'.decode('UTF8'),
'tls_add_to_dict':'Lisa sõnastiku'.decode('UTF8'),
'email_mygroups':'Minu grupid',
'email_pubgroups':'Kõik grupid'.decode('UTF8'),
'tls_schedule':'Päevaplaan'.decode('UTF8'),
'tls_mymessages':'Minu E-post',
'tls_mynotes':'Minu Märkmed'.decode('UTF8'),
'tls_greeting':'Tere tulemast %s',
'tls_newevent':'uus sündmus'.decode('UTF8'),
'tls_newtask':'uus ülesanne'.decode('UTF8'),
'tls_newnote':'uus märge'.decode('UTF8'),
'tls_newemail':'uus kiri',
'tls_noevents':'Ei ole ühtegi sündmust.'.decode('UTF8'),
'tls_close':'Sulge',
'tls_closewin':'Sulge aken',
'tls_back':'Tagasi',
'compmenu_mes_mess':'Sõnumid'.decode('UTF8'),
'compmenu_mes_addin':'Lisa sissetulev'.decode('UTF8'),
'compmenu_mes_addout':'Lisa väljaminev'.decode('UTF8'),
'compmenu_mes_addfolder':'Lisa kaust',
'tls_view':'Vaade',
'todo_v_normal':'Tavaline',
'todo_v_created':'Sinu loodud ülesanded'.decode('UTF8'),
'todo_v_assigned':'Sulle määratud ülesanded'.decode('UTF8'),
'todo_v_due':'Üle tähtaja läinud ülesanded'.decode('UTF8'),

'contactport_csv_explain':'Palun valige CSV failis sisalduvatele tulpadele sobivad kontakti andmeväljad.'.decode('UTF8'),
'tls_send':'Saada',
'contact_import_csv':'CSV import',
'email_inline':'Vaata manuseid browseris',
'tls_birthdays':'Sünnipäevad'.decode('UTF8'),
'tls_location':'Asukoht',
'tls_attendees':'Osavõtjad'.decode('UTF8'),
'tls_attendee':'Osavõtja'.decode('UTF8'),
'tls_gantt':'Gantt',
'email_accepted':'Nõustus'.decode('UTF8'),
'email_declined':'Lükkas tagasi'.decode('UTF8'),
'email_tentative':'Katseline'.decode('UTF8'),
'mess_sender_org':'Saatja asutus',
'mess_sender_nr':'Saatja nr.',
'mess_ans_deadline':'Vastuse tähtaeg'.decode('UTF8'),
'mess_mess_contents':'Sõnumi sisu'.decode('UTF8'),
'mess_incoming':'Sissetulev sõnum'.decode('UTF8'),
'mess_outgoing':'Väljaminev sõnum'.decode('UTF8'),
'type_Messages':'Sõnumid'.decode('UTF8'),
'email_confirm_leave':'Kas tõesti loobute kirja saatmisest?'.decode('UTF8'),
'invite_message_update':"""\nTere %s,\n\nSündmuse %s andmeid on uuendatud.\nSündmus algab: %s\nKirjeldus: %s\nViid#APPNAME#'i: %s""".decode('UTF8'),
'invite_message_delete':"""\nTere %s,\n\nSündmus %s on %s poolt tühistatud.""".decode('UTF8'),
'invite_subject_update':"""Uuendatud: %s""".decode('UTF8'),
'invite_subject_delete':"""Tühistatud: %s""".decode('UTF8'),
'invite_subject_accept':"""%(person_name)s aktsepteeris sündmuse %(event_name)s.""".decode('UTF8'),
'invite_subject_reject':"""%(person_name)s lükkas sündmuse %(event_name)s tagasi.""".decode('UTF8'),
'mess_receiver_org':'Saaja asutus',
'mess_receiver_person':'Saaja isik',
'message_incoming':'Sissetulev',
'message_outgoing':'Väljaminev'.decode('UTF8'),
'message_direction':'Suund',
'prodport_csv_explain':'Palun valige CSV failis sisalduvatele tulpadele sobivad toote andmeväljad.'.decode('UTF8'),
'product_import_fount':'Leiti %s toodet',
'product_import_added':'Lisati %s toodet',
'product_import_updated':'Uuendati %s toodet',
'product_import_left_out':'V\xc3\xa4lja j\xc3\xa4eti %s toodet'.decode('UTF8'),
'doc_fileadded2':"""Fail <B>%s</B> salvestatud.<BR>Teid suunatakse tagasi nimekirja.""".decode('UTF8'),
'contact_order':'Kontaktinimede järjekord'.decode('UTF8'),
'contact_first_last':'Eesnimi Perekonnanimi',
'contact_last_first':'Perekonnanimi, Eesnimi',
'topmenu_translation':'Tõlketööd'.decode('UTF8'),
'disc_edit':'Muuda arutelu',
'tls_print':'Prindi',
'admin_picture2':'Asutuse Logo',
'admin_choose_pic2':'Vali Logo',

'tls_charsetconversionfailed': 'Faili konverteerimine valitud formaati ebaõnnestus. Palun valige õige formaat.'.decode('UTF8'),
'tls_selectcsvcharset': 'CSV formaat',
'tls_topusercount':'Kasutajaid asutuses',
'tls_topuserlimit':'Kasutajate piirang asutusele',
'tls_userlimitreached':'Asutuse %s kasutajapiirang on täis (%d kasutajat, limiit %d). Uusi kasutajaid lisada ei saa.'.decode('UTF8'),

'menu_add_to':'Lisa sellele ...',
'menu_disable':'Keela menüü'.decode('UTF8'),
'menu_add_folder':'lisa uus kaust',
'menu_add_document':'lisa uus dokument',
'menu_add_event':'lisa uus sündmus'.decode('UTF8'),
'menu_add_task':'lisa uus ülesanne'.decode('UTF8'),
'menu_add_note':'lisa uus märge'.decode('UTF8'),
'menu_add_workflow':'lisa uus töövoog'.decode('UTF8'),
'menu_add_client':'lisa uus klient',
'menu_add_contact':'lisa uus kontakt',
'menu_add_opportunity':'lisa uus müügivõimalus'.decode('UTF8'),
'menu_add_product':'lisa uus toode',
'menu_add_mail':'koosta uus e-kiri',

'menu_relate_to_2':'sellele sündmusele'.decode('UTF8'),
'menu_relate_to_3':'sellele ülesandele'.decode('UTF8'),
'menu_relate_to_4':'sellele töövoole'.decode('UTF8'),
'menu_relate_to_6':'sellele kliendile',
'menu_relate_to_7':'sellele kontaktile',
'menu_relate_to_8':'sellele müügivõimalusele'.decode('UTF8'),
'menu_relate_to_9':'sellele tootele',

'menu_relate_which_1':'lisa %s uus dokument',
'menu_relate_which_2':'lisa %s uus sündmus'.decode('UTF8'),
'menu_relate_which_3':'lisa %s uus ülesanne'.decode('UTF8'),
'menu_relate_which_14':'lisa %s uus märge'.decode('UTF8'),
'menu_relate_which_4':'lisa %s uus töövoog'.decode('UTF8'),
'menu_relate_which_6':'lisa %s uus klient',
'menu_relate_which_7':'lisa %s uus kontakt',
'menu_relate_which_8':'lisa %s uus müügivõimalus'.decode('UTF8'),
'menu_relate_which_9':'lisa %s uus toode',

'admin_rightmenu_view':'Parema klahvi menüü'.decode('UTF8'),
'admin_enabled':'Lubatud',
'admin_disabled':'Keelatud',
}

import _Conf
for key, value in translation_dict.items():
    translation_dict[key] = translation_dict[key].replace('#APPNAME#', _Conf.APP_NAME)

