# Copyright (C) 2003-2005 Inversion Software Ltd. <inversion@inversion.ee>
# http://www.conflux.ee/
#
# This file is part of Conflux Lite
#
# Conflux Lite is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# Conflux Lite is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Conflux Lite; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
######################################################################

import _Conf

MODULES_DESKTOP = 0
MODULES_DOCUMENTS = 1
MODULES_CALENDAR = 2
MODULES_TODOS = 3
MODULES_WORKFLOWS = 4
MODULES_DISCUSSION = 5
MODULES_CLIENTS = 6
MODULES_CONTACTS = 7
MODULES_OPPORTUNITIES = 8
MODULES_PRODUCTS = 9
MODULES_EMAIL = 10
MODULES_ADMIN = 11
MODULES_MESSAGES = 12
MODULES_TRANSLATION = 13
MODULES_NOTES = 14 # Dummy
MODULES_TOTAL_COUNT = 15 # ALWAYS MAKE THIS THE TOTAL NUMBER OF POSSIBLE MENU ITEMS!!!

MENU_NAME    = 0
MENU_LINK    = 1
MENU_ICON    = 2
MENU_ENABLED = 3

MENU = [
["topmenu_desktop",	_Conf.BASE_URL + "frontpage.py",		MODULES_DESKTOP,	1		],
["topmenu_documents",	_Conf.BASE_URL + "documents/docframe.py",	MODULES_DOCUMENTS,	1		],
["topmenu_translation",	_Conf.BASE_URL + "translation/joblist.py",	MODULES_TRANSLATION,	0		],
["topmenu_messages",	_Conf.BASE_URL + "messages/messindex.py",	MODULES_MESSAGES,	0		],
["topmenu_calendar",	_Conf.BASE_URL + "calendar/day.py",		MODULES_CALENDAR,	1		],
["topmenu_todos",	_Conf.BASE_URL + "todo/todoindex.py",		MODULES_TODOS,		1		],
["topmenu_workflows",	_Conf.BASE_URL + "workflows/workflowindex.py",	MODULES_WORKFLOWS,	0		],
["topmenu_disc",	_Conf.BASE_URL + "discussions/discindex.py",	MODULES_DISCUSSION,	1		],
["topmenu_clients",	_Conf.BASE_URL + "clients/clients.py?showmine=1", MODULES_CLIENTS, 	0		],
["topmenu_contacts",	_Conf.BASE_URL + "contacts/contactindex.py?only_mine=1",	MODULES_CONTACTS, 1	],
["topmenu_opportunities",	_Conf.BASE_URL + "opportunities/opportunities.py",		MODULES_OPPORTUNITIES, 0 ],
["topmenu_products",	_Conf.BASE_URL + "products/products.py",	MODULES_PRODUCTS,	0		],
["topmenu_email",	_Conf.BASE_URL + "email/efolder1.py",		MODULES_EMAIL,		1		],
["topmenu_admin",	_Conf.BASE_URL + "admin/settings.py",		MODULES_ADMIN,		1		],
]

MODULE_DEFAULT = MODULES_TOTAL_COUNT * "1"
