# Copyright (C) 2003-2005 Inversion Software Ltd. <inversion@inversion.ee>
# http://www.conflux.ee/
#
# This file is part of Conflux Lite
#
# Conflux Lite is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# Conflux Lite is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Conflux Lite; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
######################################################################

SENDER_EMAIL = "conflux"

TYPE_EMT   = 1
TYPE_QGSM  = 2
TYPE_RLE   = 3
TYPE_NONE  = 0

HOST_EMT  = '%(long_num)s@sms.emt.ee'
HOST_QGSM = '%(long_num)s@tele2.ee'  
HOST_RLE  = '%(short_num)s@rle.ee'   

CODES = {
"+372" : [ ("050", TYPE_EMT, HOST_EMT),
           ("051", TYPE_EMT, HOST_EMT),
           ("052", TYPE_EMT, HOST_EMT),
           ("053", TYPE_EMT, HOST_EMT),
           ("055", TYPE_QGSM, HOST_QGSM),
           ("058", TYPE_QGSM, HOST_QGSM),
           ("056", TYPE_RLE, HOST_RLE) ],
}
