#!/usr/bin/python

import os, commands, sys

if os.path.exists("lib/libsms.pyx"):
    TARGET = "lib/libsms.pyx"
    TARGET_DIR = "lib/"
elif os.path.exists("../lib/libsms.pyx"):
    TARGET = "../lib/libsms.pyx"
    TARGET_DIR = "../lib/"
elif os.path.exists("libsms.pyx"):
    TARGET = "libsms.pyx"
    TARGET_DIR = "./"

status, output = commands.getstatusoutput("pyrexc %s" % TARGET)
if status <> 0:
    print 'PYREXC FAILED.\n', output
    sys.exit()
status, output = commands.getstatusoutput("gcc -c -fPIC -I/usr/include/python2.3/ %slibsms.c" % TARGET_DIR)
if status <> 0:
    print 'GCC stage 1 FAILED.\n', output
    sys.exit()
status, output = commands.getstatusoutput("gcc -shared libsms.o -o %slibsms.so" % TARGET_DIR)
if status <> 0:
    print 'GCC stage 2 FAILED.\n', output
    sys.exit()
os.unlink(TARGET_DIR+'libsms.c')
os.unlink('libsms.o')
